# pybanner v1.0.3

A small and lightweight library for Python 3.x and PyPy3 to print texts as banners. No Figlet, Toilet ou PyFiglet needed. Works on Linux, MacOS and Windows. 

It's so small that you can even copy the class code and paste it into your own code, it's Pure Python!

- Font classes available:
    - banner    (the classic font)
    - banner3
    - banner3d
    - banner4
    - banner_5x7
    - banner_5x8
    - banner_6x9
    - banner_6x10
    - banner_clr4x6
    - banner_clr5x6
    - banner_clr5x8
    - banner_clr5x10
    - banner_clr6x6
    - banner_clr6x8
    - banner_clr6x10
    - banner_clb6x10
    - banner_clr7x8
    - banner_clr7x10
    - banner_clr8x8
    - banner_clb8x8
    - banner_clr8x10
    - banner_clb8x10

Join our Google Group to be notified when new fonts are available: https://groups.google.com/g/pybanner

## Installation

```
pip install pybanner
```

## Usage

```python
from pybanner import banner_clr6x6 as banner, MIDDOT
banner.print("BANNER clr6x6",spacing=1) # default spacing 0 between letters - In some fonts, is better to adjust to 1
print("")
banner.print("BANNER clr6x6") 
print("")
banner.print("BANNER clr6x6",char="^")  # you can replace the '#' by a char that you like best
print("")
banner.print("BANNER clr6x6",char=MIDDOT) 
```
```
 ####     #    #   #  #   #  #####  ####                  ##            ###           ###
 #   #   # #   ##  #  ##  #  #      #   #          ###     #    # ##   #      #  #   #
 ####   #   #  # # #  # # #  ####   ####          #        #    ##     ####    ##    ####
 #   #  #####  #  ##  #  ##  #      # #           #        #    #      #   #   ##    #   #
 ####   #   #  #   #  #   #  #####  #  ##          ###    ###   #       ###   #  #    ###

 ####    #   #   # #   # ##### ####               ##          ###         ###
 #   #  # #  ##  # ##  # #     #   #        ###    #   # ##  #     #  #  #
 ####  #   # # # # # # # ####  ####        #       #   ##    ####   ##   ####
 #   # ##### #  ## #  ## #     # #         #       #   #     #   #  ##   #   #
 ####  #   # #   # #   # ##### #  ##        ###   ###  #      ###  #  #   ###

 ^^^^    ^   ^   ^ ^   ^ ^^^^^ ^^^^               ^^          ^^^         ^^^
 ^   ^  ^ ^  ^^  ^ ^^  ^ ^     ^   ^        ^^^    ^   ^ ^^  ^     ^  ^  ^
 ^^^^  ^   ^ ^ ^ ^ ^ ^ ^ ^^^^  ^^^^        ^       ^   ^^    ^^^^   ^^   ^^^^
 ^   ^ ^^^^^ ^  ^^ ^  ^^ ^     ^ ^         ^       ^   ^     ^   ^  ^^   ^   ^
 ^^^^  ^   ^ ^   ^ ^   ^ ^^^^^ ^  ^^        ^^^   ^^^  ^      ^^^  ^  ^   ^^^

 ····    ·   ·   · ·   · ····· ····               ··          ···         ···
 ·   ·  · ·  ··  · ··  · ·     ·   ·        ···    ·   · ··  ·     ·  ·  ·
 ····  ·   · · · · · · · ····  ····        ·       ·   ··    ····   ··   ····
 ·   · ····· ·  ·· ·  ·· ·     · ·         ·       ·   ·     ·   ·  ··   ·   ·
 ····  ·   · ·   · ·   · ····· ·  ··        ···   ···  ·      ···  ·  ·   ···

 ```

## All available fonts:

```
######     #    #     # #     # ####### ######
#     #   # #   ##    # ##    # #       #     #
#     #  #   #  # #   # # #   # #       #     #
######  #     # #  #  # #  #  # #####   ######
#     # ####### #   # # #   # # #       #   #
#     # #     # #    ## #    ## #       #    #
######  #     # #     # #     # ####### #     #

########     ###    ##    ## ##    ## ######## ########   #######
##     ##   ## ##   ###   ## ###   ## ##       ##     ## ##     ##
##     ##  ##   ##  ####  ## ####  ## ##       ##     ##        ##
########  ##     ## ## ## ## ## ## ## ######   ########   #######
##     ## ######### ##  #### ##  #### ##       ##   ##          ##
##     ## ##     ## ##   ### ##   ### ##       ##    ##  ##     ##
########  ##     ## ##    ## ##    ## ######## ##     ##  #######

'########:::::'###::::'##::: ##:'##::: ##:'########:'########:::'#######::'########::
 ##.... ##:::'## ##::: ###:: ##: ###:: ##: ##.....:: ##.... ##:'##.... ##: ##.... ##:
 ##:::: ##::'##:. ##:: ####: ##: ####: ##: ##::::::: ##:::: ##:..::::: ##: ##:::: ##:
 ########::'##:::. ##: ## ## ##: ## ## ##: ######::: ########:::'#######:: ##:::: ##:
 ##.... ##: #########: ##. ####: ##. ####: ##...:::: ##.. ##::::...... ##: ##:::: ##:
 ##:::: ##: ##.... ##: ##:. ###: ##:. ###: ##::::::: ##::. ##::'##:::: ##: ##:::: ##:
 ########:: ##:::: ##: ##::. ##: ##::. ##: ########: ##:::. ##:. #######:: ########::
........:::..:::::..::..::::..::..::::..::........::..:::::..:::.......:::........:::

.########.....###....##....##.##....##.########.########..##.......
.##.....##...##.##...###...##.###...##.##.......##.....##.##....##.
.##.....##..##...##..####..##.####..##.##.......##.....##.##....##.
.########..##.....##.##.##.##.##.##.##.######...########..##....##.
.##.....##.#########.##..####.##..####.##.......##...##...#########
.##.....##.##.....##.##...###.##...###.##.......##....##........##.
.########..##.....##.##....##.##....##.########.##.....##.......##.

###   ##  #  # #  # #### ###       #### #  # ####
#  # #  # ## # ## # #    #  #      #    #  #    #
###  #  # ## # ## # ###  #  #      ###   ##    #
#  # #### # ## # ## #    ###          #  ##    #
#  # #  # # ## # ## #    # #       #  # #  #  #
###  #  # #  # #  # #### #  #       ##  #  #  #

 ###   ##  #  # #  # #### ###       #### #  #  ##
 #  # #  # ## # ## # #    #  #      #    #  # #  #
 ###  #  # #### #### ###  #  #      ###   ##   ##
 #  # #### # ## # ## #    ###          #  ##  #  #
 #  # #  # # ## # ## #    # ##      #  # #  # #  #
 ###  #  # #  # #  # #### #  #       ##  #  #  ##

 ####    #   #  #  #  #  ####  ###          ##   #   #  ##
 #   #  # #  ## #  ## #  #     #  #        #      # #  #  #
 ####  #   # # ##  # ##  ###   #  #        # #     #   # ##
 #   # ##### #  #  #  #  #     ###         ## #   # #   # #
 #   # #   # #  #  #  #  #     #  #        #  #   # #     #
 ####  #   # #  #  #  #  ####  #  #         ##   #   #  ##

 ####    #   #   # #   # ##### ####          ##  #   #   #     #
  #  #  # #  #   # #   # #     #   #        #    #   #  ##    # #
  #  # #   # ##  # ##  # #     #   #       #      # #  # #   #   #
  ###  #   # # # # # # # ####  ####        # ##    #     #   #   #
  #  # ##### #  ## #  ## #     # #         ##  #  # #    #   #   #
  #  # #   # #   # #   # #     #  #        #   # #   #   #    # #
 ####  #   # #   # #   # ##### #   #        ###  #   # #####   #
                               
##   #  # # # # ### ##       ## #   ##  # # # # ###
# # # # ### ### #   # #     #   #   # # # # # # #
##  ### ### ### ##  ##      #   #   ##  ###  #  ###
# # # # ### ### #   # #     #   #   # #   # # # # #
##  # # # # # # ### # #      ## ### # #   # # # ###

 ###   ##  #  # #  # #### ###        ### #    ###  #### #  #  ##
 #  # #  # ## # ## # #    #  #      #    #    #  # #    #  # #
 ###  #  # # ## # ## ###  ###       #    #    ###  ###   ##  ###
 #  # #### #  # #  # #    # #       #    #    # #     # #  # #  #
 ###  #  # #  # #  # #### #  #       ### #### #  # ###  #  #  ##

 ###   ##  #  # #  # #### ###        ##  #    ###  #### #  #  ##
 #  # #  # ## # ## # #    #  #      #  # #    #  # #    #  # #  #
 #  # #  # ## # ## # #    #  #      #    #    #  # #     ##  #  #
 ###  #### # ## # ## ###  ###       #    #    ###  ###   ##   ##
 #  # #  # # ## # ## #    # #       #    #    # #     # #  # #  #
 #  # #  # #  # #  # #    #  #      #  # #    #  #    # #  # #  #
 ###  #  # #  # #  # #### #  #       ##  #### #  # ###  #  #  ##

 ###   ##  #  # #  # #### ###        ##  #    ###  #### #  #  #    ##
 #  # #  # ## # ## # #    #  #      #  # #    #  # #    #  # ##   #  #
 #  # #  # ## # ## # #    #  #      #    #    #  # #     ##   #   # ##
 ###  #### # ## # ## ###  ###       #    #    ###  ###   ##   #   ## #
 #  # #  # # ## # ## #    # #       #    #    # #     # #  #  #   #  #
 #  # #  # #  # #  # #    #  #      #  # #    #  #    # #  #  #   #  #
 ###  #  # #  # #  # #### #  #       ##  #### #  # ###  #  #  #    ##

 ####    #   #   # #   # ##### ####         ###  #     ####   ###  #   #  ###
 #   #  # #  ##  # ##  # #     #   #       #   # #     #   # #      # #  #
 ####  #   # # # # # # # ####  ####        #     #     ####  ####    #   ####
 #   # ##### #  ## #  ## #     # #         #   # #     # #   #   #  # #  #   #
 ####  #   # #   # #   # ##### #  ##        ###  ##### #  ##  ###  #   #  ###

 ####    #   #   # #   # ##### ####         ###  #     ####    ##  #   #  ###
 #   #  # #  ##  # ##  # #     #   #       #   # #     #   #  #    #   # #   #
 #   # #   # ##  # ##  # #     #   #       #     #     #   # #      # #  #   #
 ####  #   # # # # # # # ####  ####        #     #     ####  ####    #    ###
 #   # ##### #  ## #  ## #     # #         #     #     # #   #   #  # #  #   #
 #   # #   # #  ## #  ## #     #  #        #   # #     #  #  #   # #   # #   #
 ####  #   # #   # #   # ##### #   #        ###  ##### #   #  ###  #   #  ###

                                                               ##          #    ###
 ####    #   #   # #   # ##### ####         ###  #     ####   #    #   #  ##   #   #
 #   #  # #  ##  # ##  # #     #   #       #   # #     #   # #     #   #   #   #  ##
 #   # #   # ##  # ##  # #     #   #       #     #     #   # ####   # #    #   # # #
 ####  #   # # # # # # # ####  ####        #     #     ####  #   #   #     #   ##  #
 #   # ##### #  ## #  ## #     # #         #     #     # #   #   #  # #    #   #   #
 #   # #   # #  ## #  ## #     #  #        #   # #     #  #  #   # #   #   #   #   #
 ####  #   # #   # #   # ##### #   #        ###  ##### #   #  ###  #   #   #    ###

                                                               ##          ##   ###
 ####    #   #  ## #  ## ##### ####         ###  ##    ####   ##   ## ##  ###  ## ##
 ## ##  ###  ## ## ## ## ##    ## ##       ## ## ##    ## ## ##    ## ##   ##  ## ##
 ## ## ## ## ##### ##### ##    ## ##       ##    ##    ## ## ####  #####   ##  ## ##
 ####  ## ## ##### ##### ####  ####        ##    ##    ####  ## ##  ###    ##  ## ##
 ## ## ##### ##### ##### ##    ###         ##    ##    ## ## ## ## #####   ##  ## ##
 ## ## ## ## ## ## ## ## ##    ####        ## ## ##    ## ## ## ## ## ##   ##  ## ##
 ####  ## ## ##  # ##  # ##### ## ##        ###  ##### ####   ###  ## ##   ##   ###

 #####    #    #    # #    # ###### #####           ###  #      #####  #####  #   #   ###
 #    #   #    ##   # ##   # #      #    #         #   # #      #    #     #  #   #  #   #
 #    #  ###   # #  # # #  # #      #    #        #      #      #    #     #   # #   #   #
 #####   # #   #  # # #  # # ####   #####         #      #      #####     #     #     ###
 #    # #####  #   ## #   ## #      #  #          #      #      #  #      #    # #   #   #
 #    # #   #  #    # #    # #      #   #          #   # #      #   #    #    #   #  #   #
 ##### ##   ## #    # #    # ###### #    #          ###  #####  #    #   #    #   #   ###

                                                                       #####           #     ###
 #####    #    #    # #    # ###### #####           ###  #      #####  #   #  #   #   ##    #   #
 #    #   #    ##   # ##   # #      #    #         #   # #      #    #     #  #   #    #    #   #
 #    #  ###   # #  # # #  # #      #    #        #      #      #    #    #    # #     #    #   #
 #####   # #   #  # # #  # # ####   #####         #      #      #####     #     #      #    #   #
 #    # #####  #   ## #   ## #      #  #          #      #      #  #     #     # #     #    #   #
 #    # #   #  #    # #    # #      #   #          #   # #      #   #    #    #   #    #    #   #
 ##### ##   ## #    # #    # ###### #    #          ###  #####  #    #   #    #   #    #     ###

 ######     #    #     # #     # ####### ######            ####  #       ######   ####   #     #  ####
 #     #    #    ##    # ##    # #       #     #          #    # #       #     # #    #   #   #  #    #
 #     #   ###   # #   # # #   # #       #     #         #       #       #     # #    #    # #   #    #
 ######    # #   #  #  # #  #  # #####   ######          #       #       ######   ####      #     ####
 #     #  #####  #   # # #   # # #       #   #           #       #       #   #   #    #    # #   #    #
 #     #  #   #  #    ## #    ## #       #    #           #    # #       #    #  #    #   #   #  #    #
 ######  ##   ## #     # #     # ####### #     #           ####  ######  #     #  ####   #     #  ####

 ######    ##    ##   ## ##   ## ####### ######            ####  ##      ######   ####   ##  ##   ####
 ##   ##   ##    ###  ## ###  ## ##      ##   ##          ##  ## ##      ##   ## ##  ##  ##  ##  ##  ##
 ##   ##  ####   ###  ## ###  ## ##      ##   ##         ##      ##      ##   ## ##  ##   ####   ##  ##
 ######   ## #   ## # ## ## # ## #####   ######          ##      ##      ######   ####     ##     ####
 ##   ## ######  ## # ## ## # ## ##      ## ##           ##      ##      ##   ## ##  ##   ####   ##  ##
 ##   ## ##   #  ##  ### ##  ### ##      ##  ##           ##  ## ##      ##   ## ##  ##  ##  ##  ##  ##
 ###### ###   ## ##   ## ##   ## ####### ##   ##           ####  ######  ######   ####   ##  ##   ####

                                                                                  ####              #     ####
 ######     #    #     # #     # ####### ######            ####  #       ######  #    #  #     #   ##    #    #
 #     #    #    ##    # ##    # #       #     #          #    # #       #     # #    #   #   #     #    #    #
 #     #   ###   # #   # # #   # #       #     #         #       #       #     #  ####     # #      #    #    #
 ######    # #   #  #  # #  #  # #####   ######          #       #       ######  #    #     #       #    #    #
 #     #  #####  #   # # #   # # #       #   #           #       #       #   #   #    #    # #      #    #    #
 #     #  #   #  #    ## #    ## #       #    #           #    # #       #    #  #    #   #   #     #    #    #
 ######  ##   ## #     # #     # ####### #     #           ####  ######  #     #  ####   #     #    #     ####

                                                                                  ####              ##    ####
 ######    ##    ##   ## ##   ## ####### ######            ####  ##      ######  ##  ##  ##  ##    ###   ##  ##
 ##   ##   ##    ###  ## ###  ## ##      ##   ##          ##  ## ##      ##   ## ##  ##  ##  ##     ##   ##  ##
 ##   ##  ####   ###  ## ###  ## ##      ##   ##         ##      ##      ##   ##  ####    ####      ##   ##  ##
 ######   ## #   ## # ## ## # ## #####   ######          ##      ##      ######  ##  ##    ##       ##   ##  ##
 ##   ## ######  ## # ## ## # ## ##      ## ##           ##      ##      ##   ## ##  ##   ####      ##   ##  ##
 ##   ## ##   #  ##  ### ##  ### ##      ##  ##           ##  ## ##      ##   ## ##  ##  ##  ##     ##   ##  ##
 ###### ###   ## ##   ## ##   ## ####### ##   ##           ####  ######  ######   ####   ##  ##     ##    ####

```

## Sugestions, request of new fonts, feedbacks, bugs...

Open an [issue](https://github.com/rabuchaim/pybanner/issues) or send a message to our Google Group: https://groups.google.com/g/pybanner

Or e-mail me: ricardoabuchaim at gmail.com
