"""pybanner v1.0.3"""
"""
             _
 _ __  _   _| |__   __ _ _ __  _ __   ___ _ __
| '_ \| | | | '_ \ / _` | '_ \| '_ \ / _ \ '__|
| |_) | |_| | |_) | (_| | | | | | | |  __/ |
| .__/ \__, |_.__/ \__,_|_| |_|_| |_|\___|_|
|_|.::.|___/.::::::::::::::::::::::::::::::::::
...::::.....:::::::::::::::::::::::::::::::::::

Author.: Ricardo Abuchaim - ricardoabuchaim@gmail.com
License: MIT
Github.: https://github.com/rabuchaim/pybanner
Issues.: https://github.com/rabuchaim/pybanner/issues
PyPI...: https://pypi.org/project/pybanner/  ( pip install pybanner )

"""
__all__ = ['MIDDOT',
           'banner','banner3','banner3d','banner4',
           'banner_clr4x6',
           'banner_clr5x6','banner_clr5x8','banner_clr5x10','banner_5x7','banner_5x8',
           'banner_clr6x6','banner_clr6x8','banner_clr6x10','banner_clb6x10','banner_6x9','banner_6x10',
           'banner_clr7x8','banner_clr7x10',
           'banner_clr8x8','banner_clb8x8','banner_clr8x10','banner_clb8x10']

MIDDOT = '\xb7'

##──── Font: banner.flf ──────────────────────────────────────────────────────────────────────────────────────────────────────────

 ####### ####### #     # #######    ######     #    #     # #     # ####### ######
 #       #     # ##    #    #       #     #   # #   ##    # ##    # #       #     #
 #       #     # # #   #    #       #     #  #   #  # #   # # #   # #       #     #
 #####   #     # #  #  #    #       ######  #     # #  #  # #  #  # #####   ######
 #       #     # #   # #    #       #     # ####### #   # # #   # # #       #   #
 #       #     # #    ##    #       #     # #     # #    ## #    ## #       #    #
 #       ####### #     #    #       ######  #     # #     # #     # ####### #     #

class banner():
    letters = { ##──── The figlet font banner.flf converted to a dict 
        ' ':['   ','   ','   ','   ','   ','   ','   ','   '],'!':['### ','### ','### ',' #  ','    ','### ','### ','    '],
        '"':['### ### ','### ### ',' #   #  ','        ','        ','        ','        ','        '],'#':['  # #   ','  # #   ','####### ','  # #   ','####### ','  # #   ','  # #   ','        '],
        '$':[' #####  ','#  #  # ','#  #    ',' #####  ','   #  # ','#  #  # ',' #####  ','        '],'%':['###   # ','# #  #  ','### #   ','   #    ','  # ### ',' #  # # ','#   ### ','        '],
        '&':['  ##    ',' #  #   ','  ##    ',' ###    ','#   # # ','#    #  ',' ###  # ','        '],'´':[],
        '(':['  ## ',' #   ','#    ','#    ','#    ',' #   ','  ## ','     '],')':['##   ','  #  ','   # ','   # ','   # ','  #  ','##   ','     '],
        '*':['        ',' #   #  ','  # #   ','####### ','  # #   ',' #   #  ','        ','        '],'+':['      ','  #   ','  #   ','##### ','  #   ','  #   ','      ','      '],
        ',':['    ','    ','    ','    ','### ','### ',' #  ','#   '],'-':['      ','      ','      ','##### ','      ','      ','      ','      '],
        '.':['    ','    ','    ','    ','### ','### ','### ','    '],'/':['      # ','     #  ','    #   ','   #    ','  #     ',' #      ','#       ','        '],
        '0':['  ###   ',' #   #  ','#     # ','#     # ','#     # ',' #   #  ','  ###   ','        '],'1':['  #   ',' ##   ','# #   ','  #   ','  #   ','  #   ','##### ','      '],
        '2':[' #####  ','#     # ','      # ',' #####  ','#       ','#       ','####### ','        '],'3':[' #####  ','#     # ','      # ',' #####  ','      # ','#     # ',' #####  ','        '],
        '4':['#       ','#    #  ','#    #  ','#    #  ','####### ','     #  ','     #  ','        '],'5':['####### ','#       ','#       ','######  ','      # ','#     # ',' #####  ','        '],
        '6':[' #####  ','#     # ','#       ','######  ','#     # ','#     # ',' #####  ','        '],'7':['####### ','#    #  ','    #   ','   #    ','  #     ','  #     ','  #     ','        '],
        '8':[' #####  ','#     # ','#     # ',' #####  ','#     # ','#     # ',' #####  ','        '],'9':[' #####  ','#     # ','#     # ',' ###### ','      # ','#     # ',' #####  ','        '],
        ':':[' #  ','### ',' #  ','    ',' #  ','### ',' #  ','    '],';':['    ','### ','### ','    ','### ','### ',' #  ','#   '],
        '<':['   # ','  #  ',' #   ','#    ',' #   ','  #  ','   # ','     '],'=':['      ','      ','##### ','      ','##### ','      ','      ','      '],
        '>':['#    ',' #   ','  #  ','   # ','  #  ',' #   ','#    ','     '],'?':[' #####  ','#     # ','      # ','   ###  ','   #    ','        ','   #    ','        '],
        '@':[' #####  ','#     # ','# ### # ','# ### # ','# ####  ','#       ',' #####  ','        '],'A':['   #    ','  # #   ',' #   #  ','#     # ','####### ','#     # ','#     # ','        '],
        'B':['######  ','#     # ','#     # ','######  ','#     # ','#     # ','######  ','        '],'C':[' #####  ','#     # ','#       ','#       ','#       ','#     # ',' #####  ','        '],
        'D':['######  ','#     # ','#     # ','#     # ','#     # ','#     # ','######  ','        '],'E':['####### ','#       ','#       ','#####   ','#       ','#       ','####### ','        '],
        'F':['####### ','#       ','#       ','#####   ','#       ','#       ','#       ','        '],'G':[' #####  ','#     # ','#       ','#  #### ','#     # ','#     # ',' #####  ','        '],
        'H':['#     # ','#     # ','#     # ','####### ','#     # ','#     # ','#     # ','        '],'I':['### ',' #  ',' #  ',' #  ',' #  ',' #  ','### ','    '],
        'J':['      # ','      # ','      # ','      # ','#     # ','#     # ',' #####  ','        '],'K':['#    # ','#   #  ','#  #   ','###    ','#  #   ','#   #  ','#    # ','       '],
        'L':['#       ','#       ','#       ','#       ','#       ','#       ','####### ','        '],'M':['#     # ','##   ## ','# # # # ','#  #  # ','#     # ','#     # ','#     # ','        '],
        'N':['#     # ','##    # ','# #   # ','#  #  # ','#   # # ','#    ## ','#     # ','        '],'O':['####### ','#     # ','#     # ','#     # ','#     # ','#     # ','####### ','        '],
        'P':['######  ','#     # ','#     # ','######  ','#       ','#       ','#       ','        '],'Q':[' #####  ','#     # ','#     # ','#     # ','#   # # ','#    #  ',' #### # ','        '],
        'R':['######  ','#     # ','#     # ','######  ','#   #   ','#    #  ','#     # ','        '],'S':[' #####  ','#     # ','#       ',' #####  ','      # ','#     # ',' #####  ','        '],
        'T':['####### ','   #    ','   #    ','   #    ','   #    ','   #    ','   #    ','        '],'U':['#     # ','#     # ','#     # ','#     # ','#     # ','#     # ',' #####  ','        '],
        'V':['#     # ','#     # ','#     # ','#     # ',' #   #  ','  # #   ','   #    ','        '],'W':['#     # ','#  #  # ','#  #  # ','#  #  # ','#  #  # ','#  #  # ',' ## ##  ','        '],
        'X':['#     # ',' #   #  ','  # #   ','   #    ','  # #   ',' #   #  ','#     # ','        '],'Y':['#     # ',' #   #  ','  # #   ','   #    ','   #    ','   #    ','   #    ','        '],
        'Z':['####### ','     #  ','    #   ','   #    ','  #     ',' #      ','####### ','        '],'[':['##### ','#     ','#     ','#     ','#     ','#     ','##### ','      '],
        '\\':['#       ',' #      ','  #     ','   #    ','    #   ','     #  ','      # ','        '],']':['##### ','    # ','    # ','    # ','    # ','    # ','##### ','      '],
        '^':['  #   ',' # #  ','#   # ','      ','      ','      ','      ','      '],'_':['        ','        ','        ','        ','        ','        ','        ','####### '],
        '`':['### ','### ',' #  ','  # ','    ','    ','    ','    '],'a':['       ','  ##   ',' #  #  ','#    # ','###### ','#    # ','#    # ','       '],
        'b':['       ','#####  ','#    # ','#####  ','#    # ','#    # ','#####  ','       '],'c':['       ',' ####  ','#    # ','#      ','#      ','#    # ',' ####  ','       '],
        'd':['       ','#####  ','#    # ','#    # ','#    # ','#    # ','#####  ','       '],'e':['       ','###### ','#      ','#####  ','#      ','#      ','###### ','       '],
        'f':['       ','###### ','#      ','#####  ','#      ','#      ','#      ','       '],'g':['       ',' ####  ','#    # ','#      ','#  ### ','#    # ',' ####  ','       '],
        'h':['       ','#    # ','#    # ','###### ','#    # ','#    # ','#    # ','       '],'i':['  ','# ','# ','# ','# ','# ','# ','  '],
        'j':['       ','     # ','     # ','     # ','     # ','#    # ',' ####  ','       '],'k':['       ','#    # ','#   #  ','####   ','#  #   ','#   #  ','#    # ','       '],
        'l':['       ','#      ','#      ','#      ','#      ','#      ','###### ','       '],'m':['       ','#    # ','##  ## ','# ## # ','#    # ','#    # ','#    # ','       '],
        'n':['       ','#    # ','##   # ','# #  # ','#  # # ','#   ## ','#    # ','       '],'o':['       ',' ####  ','#    # ','#    # ','#    # ','#    # ',' ####  ','       '],
        'p':['       ','#####  ','#    # ','#    # ','#####  ','#      ','#      ','       '],'q':['       ',' ####  ','#    # ','#    # ','#  # # ','#   #  ',' ### # ','       '],
        'r':['       ','#####  ','#    # ','#    # ','#####  ','#   #  ','#    # ','       '],'s':['       ',' ####  ','#      ',' ####  ','     # ','#    # ',' ####  ','       '],
        't':['      ','##### ','  #   ','  #   ','  #   ','  #   ','  #   ','      '],'u':['       ','#    # ','#    # ','#    # ','#    # ','#    # ',' ####  ','       '],
        'v':['       ','#    # ','#    # ','#    # ','#    # ',' #  #  ','  ##   ','       '],'w':['       ','#    # ','#    # ','#    # ','# ## # ','##  ## ','#    # ','       '],
        'x':['       ','#    # ',' #  #  ','  ##   ','  ##   ',' #  #  ','#    # ','       '],'y':['      ','#   # ',' # #  ','  #   ','  #   ','  #   ','  #   ','      '],
        'z':['       ','###### ','    #  ','   #   ','  #    ',' #     ','###### ','       '],'|':['# ','# ','# ','  ','# ','# ','# ','  '],
        '}':['###   ','   #  ','   #  ','   ## ','   #  ','   #  ','###   ','      '],'~':[' ##     ','#  #  # ','    ##  ','        ','        ','        ','        ','        '],               
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the banner font"""
        print(banner.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: banner3.flf ──────────────────────────────────────────────────────────────────────────────────────────────────────────

########  #######  ##    ## ########    ########     ###    ##    ## ##    ## ######## ########   #######
##       ##     ## ###   ##    ##       ##     ##   ## ##   ###   ## ###   ## ##       ##     ## ##     ##
##       ##     ## ####  ##    ##       ##     ##  ##   ##  ####  ## ####  ## ##       ##     ##        ##
######   ##     ## ## ## ##    ##       ########  ##     ## ## ## ## ## ## ## ######   ########   #######
##       ##     ## ##  ####    ##       ##     ## ######### ##  #### ##  #### ##       ##   ##          ##
##       ##     ## ##   ###    ##       ##     ## ##     ## ##   ### ##   ### ##       ##    ##  ##     ##
##        #######  ##    ##    ##       ########  ##     ## ##    ## ##    ## ######## ##     ##  #######

class banner3():
    letters = { ##──── The figlet font banner3.flf converted to a dict 
        ' ':['   ','   ','   ','   ','   ','   ','   '],'!':['#### ','#### ','#### ',' ##  ','     ','#### ','#### '],
        '"':['#### #### ','#### #### ',' ##   ##  ','          ','          ','          ','          '],'#':['  ## ##   ','  ## ##   ','######### ','  ## ##   ','######### ','  ## ##   ','  ## ##   '],
        '$':[' ########  ','##  ##  ## ','##  ##     ',' ########  ','    ##  ## ','##  ##  ## ',' ########  '],'%':['#####   ##   ','## ##  ##    ','##### ##     ','     ##      ','    ## ##### ','   ##  ## ## ','  ##   ##### '],
        '&':['  ####    ',' ##  ##   ','  ####    ',' ####     ','##  ## ## ','##   ##   ',' ####  ## '],'´':[],
        '(':['  ### ',' ##   ','##    ','##    ','##    ',' ##   ','  ### '],')':['###   ','  ##  ','   ## ','   ## ','   ## ','  ##  ','###   '],
        '*':['          ',' ##   ##  ','  ## ##   ','######### ','  ## ##   ',' ##   ##  ','          '],'+':['       ','  ##   ','  ##   ','###### ','  ##   ','  ##   ','       '],
        ',':['     ','     ','     ','#### ','#### ',' ##  ','##   '],'-':['        ','        ','        ','####### ','        ','        ','        '],
        '.':['    ','    ','    ','    ','    ','### ','### '],'/':['      ## ','     ##  ','    ##   ','   ##    ','  ##     ',' ##      ','##       '],
        '0':['  #####   ',' ##   ##  ','##     ## ','##     ## ','##     ## ',' ##   ##  ','  #####   '],'1':['   ##   ',' ####   ','   ##   ','   ##   ','   ##   ','   ##   ',' ###### '],
        '2':[' #######  ','##     ## ','       ## ',' #######  ','##        ','##        ','######### '],'3':[' #######  ','##     ## ','       ## ',' #######  ','       ## ','##     ## ',' #######  '],
        '4':['##        ','##    ##  ','##    ##  ','##    ##  ','######### ','      ##  ','      ##  '],'5':['######## ','##       ','##       ','#######  ','      ## ','##    ## ',' ######  '],
        '6':[' #######  ','##     ## ','##        ','########  ','##     ## ','##     ## ',' #######  '],'7':['######## ','##    ## ','    ##   ','   ##    ','  ##     ','  ##     ','  ##     '],
        '8':[' #######  ','##     ## ','##     ## ',' #######  ','##     ## ','##     ## ',' #######  '],'9':[' #######  ','##     ## ','##     ## ',' ######## ','       ## ','##     ## ',' #######  '],
        ':':[' ##  ','#### ',' ##  ','     ',' ##  ','#### ',' ##  '],';':['#### ','#### ','     ','#### ','#### ',' ##  ','##   '],
        '<':['   ## ','  ##  ',' ##   ','##    ',' ##   ','  ##  ','   ## '],'=':['      ','      ','##### ','      ','##### ','      ','      '],
        '>':['##    ',' ##   ','  ##  ','   ## ','  ##  ',' ##   ','##    '],'?':[' #######  ','##     ## ','      ##  ','    ###   ','   ##     ','          ','   ##     '],
        '@':[' #######  ','##     ## ','## ### ## ','## ### ## ','## #####  ','##        ',' #######  '],'A':['   ###    ','  ## ##   ',' ##   ##  ','##     ## ','######### ','##     ## ','##     ## '],
        'B':['########  ','##     ## ','##     ## ','########  ','##     ## ','##     ## ','########  '],'C':[' ######  ','##    ## ','##       ','##       ','##       ','##    ## ',' ######  '],
        'D':['########  ','##     ## ','##     ## ','##     ## ','##     ## ','##     ## ','########  '],'E':['######## ','##       ','##       ','######   ','##       ','##       ','######## '],
        'F':['######## ','##       ','##       ','######   ','##       ','##       ','##       '],'G':[' ######   ','##    ##  ','##        ','##   #### ','##    ##  ','##    ##  ',' ######   '],
        'H':['##     ## ','##     ## ','##     ## ','######### ','##     ## ','##     ## ','##     ## '],'I':['#### ',' ##  ',' ##  ',' ##  ',' ##  ',' ##  ','#### '],
        'J':['      ## ','      ## ','      ## ','      ## ','##    ## ','##    ## ',' ######  '],'K':['##    ## ','##   ##  ','##  ##   ','#####    ','##  ##   ','##   ##  ','##    ## '],
        'L':['##       ','##       ','##       ','##       ','##       ','##       ','######## '],'M':['##     ## ','###   ### ','#### #### ','## ### ## ','##     ## ','##     ## ','##     ## '],
        'N':['##    ## ','###   ## ','####  ## ','## ## ## ','##  #### ','##   ### ','##    ## '],'O':[' #######  ','##     ## ','##     ## ','##     ## ','##     ## ','##     ## ',' #######  '],
        'P':['########  ','##     ## ','##     ## ','########  ','##        ','##        ','##        '],'Q':[' #######  ','##     ## ','##     ## ','##     ## ','##  ## ## ','##    ##  ',' ##### ## '],
        'R':['########  ','##     ## ','##     ## ','########  ','##   ##   ','##    ##  ','##     ## '],'S':[' ######  ','##    ## ','##       ',' ######  ','      ## ','##    ## ',' ######  '],
        'T':['######## ','   ##    ','   ##    ','   ##    ','   ##    ','   ##    ','   ##    '],'U':['##     ## ','##     ## ','##     ## ','##     ## ','##     ## ','##     ## ',' #######  '],
        'V':['##     ## ','##     ## ','##     ## ','##     ## ',' ##   ##  ','  ## ##   ','   ###    '],'W':['##      ## ','##  ##  ## ','##  ##  ## ','##  ##  ## ','##  ##  ## ','##  ##  ## ',' ###  ###  '],
        'X':['##     ## ',' ##   ##  ','  ## ##   ','   ###    ','  ## ##   ',' ##   ##  ','##     ## '],'Y':['##    ## ',' ##  ##  ','  ####   ','   ##    ','   ##    ','   ##    ','   ##    '],
        'Z':['######## ','     ##  ','    ##   ','   ##    ','  ##     ',' ##      ','######## '],'[':['###### ','##     ','##     ','##     ','##     ','##     ','###### '],
        '\\':['##       ',' ##      ','  ##     ','   ##    ','    ##   ','     ##  ','      ## '],']':['###### ','    ## ','    ## ','    ## ','    ## ','    ## ','###### '],
        '^':['  ###   ',' ## ##  ','##   ## ','        ','        ','        ','        '],'_':['        ','        ','        ','        ','        ','        ','####### '],
        '`':['#### ','#### ',' ##  ','  ## ','     ','     ','     '],'a':['   ###    ','  ## ##   ',' ##   ##  ','##     ## ','######### ','##     ## ','##     ## '],
        'b':['########  ','##     ## ','##     ## ','########  ','##     ## ','##     ## ','########  '],'c':[' ######  ','##    ## ','##       ','##       ','##       ','##    ## ',' ######  '],
        'd':['########  ','##     ## ','##     ## ','##     ## ','##     ## ','##     ## ','########  '],'e':['######## ','##       ','##       ','######   ','##       ','##       ','######## '],
        'f':['######## ','##       ','##       ','######   ','##       ','##       ','##       '],'g':[' ######   ','##    ##  ','##        ','##   #### ','##    ##  ','##    ##  ',' ######   '],
        'h':['##     ## ','##     ## ','##     ## ','######### ','##     ## ','##     ## ','##     ## '],'i':['#### ',' ##  ',' ##  ',' ##  ',' ##  ',' ##  ','#### '],
        'j':['      ## ','      ## ','      ## ','      ## ','##    ## ','##    ## ',' ######  '],'k':['##    ## ','##   ##  ','##  ##   ','#####    ','##  ##   ','##   ##  ','##    ## '],
        'l':['##       ','##       ','##       ','##       ','##       ','##       ','######## '],'m':['##     ## ','###   ### ','#### #### ','## ### ## ','##     ## ','##     ## ','##     ## '],
        'n':['##    ## ','###   ## ','####  ## ','## ## ## ','##  #### ','##   ### ','##    ## '],'o':[' #######  ','##     ## ','##     ## ','##     ## ','##     ## ','##     ## ',' #######  '],
        'p':['########  ','##     ## ','##     ## ','########  ','##        ','##        ','##        '],'q':[' #######  ','##     ## ','##     ## ','##     ## ','##  ## ## ','##    ##  ',' ##### ## '],
        'r':['########  ','##     ## ','##     ## ','########  ','##   ##   ','##    ##  ','##     ## '],'s':[' ######  ','##    ## ','##       ',' ######  ','      ## ','##    ## ',' ######  '],
        't':['######## ','   ##    ','   ##    ','   ##    ','   ##    ','   ##    ','   ##    '],'u':['##     ## ','##     ## ','##     ## ','##     ## ','##     ## ','##     ## ',' #######  '],
        'v':['##     ## ','##     ## ','##     ## ','##     ## ',' ##   ##  ','  ## ##   ','   ###    '],'w':['##      ## ','##  ##  ## ','##  ##  ## ','##  ##  ## ','##  ##  ## ','##  ##  ## ',' ###  ###  '],
        'x':['##     ## ',' ##   ##  ','  ## ##   ','   ###    ','  ## ##   ',' ##   ##  ','##     ## '],'y':['##    ## ',' ##  ##  ','  ####   ','   ##    ','   ##    ','   ##    ','   ##    '],
        'z':['######## ','     ##  ','    ##   ','   ##    ','  ##     ',' ##      ','######## '],'|':['## ','## ','## ','   ','## ','## ','## '],
        '}':['####   ','   ##  ','   ##  ','   ### ','   ##  ','   ##  ','####   '],'~':[' ####      ','##  ##  ## ','     ####  ','           ','           ','           ','           '],               
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner3.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the banner3 font"""
        print(banner3.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: banner3d.flf ──────────────────────────────────────────────────────────────────────────────────────────────────────────
'''
'########::'#######::'##::: ##:'########::::'########:::::'###::::'##::: ##:'##::: ##:'########:'########:::'#######::'########::
 ##.....::'##.... ##: ###:: ##:... ##..::::: ##.... ##:::'## ##::: ###:: ##: ###:: ##: ##.....:: ##.... ##:'##.... ##: ##.... ##:
 ##::::::: ##:::: ##: ####: ##:::: ##::::::: ##:::: ##::'##:. ##:: ####: ##: ####: ##: ##::::::: ##:::: ##:..::::: ##: ##:::: ##:
 ######::: ##:::: ##: ## ## ##:::: ##::::::: ########::'##:::. ##: ## ## ##: ## ## ##: ######::: ########:::'#######:: ##:::: ##:
 ##...:::: ##:::: ##: ##. ####:::: ##::::::: ##.... ##: #########: ##. ####: ##. ####: ##...:::: ##.. ##::::...... ##: ##:::: ##:
 ##::::::: ##:::: ##: ##:. ###:::: ##::::::: ##:::: ##: ##.... ##: ##:. ###: ##:. ###: ##::::::: ##::. ##::'##:::: ##: ##:::: ##:
 ##:::::::. #######:: ##::. ##:::: ##::::::: ########:: ##:::: ##: ##::. ##: ##::. ##: ########: ##:::. ##:. #######:: ########::
..:::::::::.......:::..::::..:::::..::::::::........:::..:::::..::..::::..::..::::..::........::..:::::..:::.......:::........:::
'''
class banner3d():
    letters = { ##──── The figlet font banner3d.flf converted to a dict 
        ' ':[':::',':::',':::',':::',':::',':::',':::',':::'],'!':["'####:",' ####:',' ####:',': ##::',':..:::',"'####:",' ####:','....::'],
        '"':["'####'####:",' #### ####:','. ##:. ##::',':..:::..:::',':::::::::::',':::::::::::',':::::::::::',':::::::::::'],'#':["::'##'##:::",':: ## ##:::',"'#########:",'.. ## ##.::',"'#########:",'.. ## ##.::',':: ## ##:::','::..:..::::'],
        '$':[":'########::","'##. ##. ##:",' ##: ##:..::','. ########::',':... ##. ##:',"'##: ##: ##:",'. ########::',':........:::'],'%':["'#####::'##:::"," ## ##:'##::::"," #####'##:::::",".....'##::::::","::::'##'#####:",":::'##: ## ##:","::'##:: #####:",'::..:::.....::'],
        '&':["::'####::::",":'##. ##:::",':. ####::::',":'####:::::","'##. ##'##:",' ##:. ##:::','. ####. ##:',':....::..::'],'´':[],
        '(':["::'###:",":'##:::","'##::::",' ##::::',' ##::::','. ##:::',':. ###:','::...::'],')':["'###:::",'.. ##::','::: ##:','::: ##:','::: ##:',':: ##::',' ###:::','...::::'],
        '*':[':::::::::::',":'##::'##::",":. ##'##:::","'#########:",'.. ## ##.::',': ##:. ##::',':..:::..:::',':::::::::::'],'+':['::::::::',"::'##:::",':: ##:::',"'######:",'.. ##.::',':: ##:::','::..::::','::::::::'],
        ',':['::::::','::::::','::::::',"'####:",' ####:','. ##::',"'##:::",'..::::'],'-':[':::::::::',':::::::::',':::::::::',"'#######:",'........:',':::::::::',':::::::::',':::::::::'],
        '.':[':::::',':::::',':::::',':::::',':::::',"'###:",' ###:','...::'],'/':["::::::'##:",":::::'##::","::::'##:::",":::'##::::","::'##:::::",":'##::::::","'##:::::::",'..::::::::'],
        '0':["::'#####:::",":'##.. ##::","'##:::: ##:",' ##:::: ##:',' ##:::: ##:','. ##:: ##::',':. #####:::','::.....::::'],'1':[":::'##:::",":'####:::",':.. ##:::','::: ##:::','::: ##:::','::: ##:::',":'######:",':......::'],
        '2':[":'#######::","'##.... ##:",'..::::: ##:',":'#######::","'##::::::::",' ##::::::::',' #########:','.........::'],'3':[":'#######::","'##.... ##:",'..::::: ##:',":'#######::",':...... ##:',"'##:::: ##:",'. #######::',':.......:::'],
        '4':["'##::::::::"," ##:::'##::",' ##::: ##::',' ##::: ##::',' #########:','...... ##::',':::::: ##::','::::::..:::'],'5':["'########:",' ##.....::',' ##:::::::',' #######::','...... ##:',"'##::: ##:",'. ######::',':......:::'],
        '6':[":'#######::","'##.... ##:",' ##::::..::',' ########::',' ##.... ##:',' ##:::: ##:','. #######::',':.......:::'],'7':["'########:",' ##..  ##:','..:: ##:::','::: ##::::',':: ##:::::',':: ##:::::',':: ##:::::','::..::::::'],
        '8':[":'#######::","'##.... ##:",' ##:::: ##:',': #######::',"'##.... ##:",' ##:::: ##:','. #######::',':.......:::'],'9':[":'#######::","'##.... ##:",' ##:::: ##:',': ########:',':...... ##:',"'##:::: ##:",'. #######::',':.......:::'],
        ':':[":'##::","'####:",'. ##::',':..:::',":'##::","'####:",'. ##::',':..:::'],';':["'####:",' ####:','....::',"'####:",' ####:','. ##::',' ##:::','.:::::'],
        '<':[":::'##:","::'##::",":'##:::","'##::::",'. ##:::',':. ##::','::. ##:',':::..::'],'=':[':::::::',':::::::',"'#####:",'.....::',"'#####:",'.....::',':::::::',':::::::'],
        '>':["'##::::",'. ##:::',':. ##::','::. ##:',':: ##::',': ##:::',' ##::::','..:::::'],'?':[":'#######::","'##.... ##:",'..:::: ##::',':::: ###:::','::: ##.::::',':::..::::::',":::'##:::::",':::..::::::'],
        '@':[":'#######::","'##.... ##:"," ##'### ##:",' ## ### ##:',' ## #####::',' ##.....:::','. #######::',':.......:::'],'A':[":::'###::::","::'## ##:::",":'##:. ##::","'##:::. ##:",' #########:',' ##.... ##:',' ##:::: ##:','..:::::..::'],
        'B':["'########::",' ##.... ##:',' ##:::: ##:',' ########::',' ##.... ##:',' ##:::: ##:',' ########::','........:::'],'C':[":'######::","'##... ##:",' ##:::..::',' ##:::::::',' ##:::::::',' ##::: ##:','. ######::',':......:::'],
        'D':["'########::",' ##.... ##:',' ##:::: ##:',' ##:::: ##:',' ##:::: ##:',' ##:::: ##:',' ########::','........:::'],'E':["'########:",' ##.....::',' ##:::::::',' ######:::',' ##...::::',' ##:::::::',' ########:','........::'],
        'F':["'########:",' ##.....::',' ##:::::::',' ######:::',' ##...::::',' ##:::::::',' ##:::::::','..::::::::'],'G':[":'######:::","'##... ##::",' ##:::..:::'," ##::'####:",' ##::: ##::',' ##::: ##::','. ######:::',':......::::'],
        'H':["'##::::'##:",' ##:::: ##:',' ##:::: ##:',' #########:',' ##.... ##:',' ##:::: ##:',' ##:::: ##:','..:::::..::'],'I':["'####:",'. ##::',': ##::',': ##::',': ##::',': ##::',"'####:",'....::'],
        'J':["::::::'##:",':::::: ##:',':::::: ##:',':::::: ##:',"'##::: ##:",' ##::: ##:','. ######::',':......:::'],'K':["'##:::'##:"," ##::'##::"," ##:'##:::",' #####::::',' ##. ##:::',' ##:. ##::',' ##::. ##:','..::::..::'],
        'L':["'##:::::::",' ##:::::::',' ##:::::::',' ##:::::::',' ##:::::::',' ##:::::::',' ########:','........::'],'M':["'##::::'##:"," ###::'###:"," ####'####:",' ## ### ##:',' ##. #: ##:',' ##:.:: ##:',' ##:::: ##:','..:::::..::'],
        'N':["'##::: ##:",' ###:: ##:',' ####: ##:',' ## ## ##:',' ##. ####:',' ##:. ###:',' ##::. ##:','..::::..::'],'O':[":'#######::","'##.... ##:",' ##:::: ##:',' ##:::: ##:',' ##:::: ##:',' ##:::: ##:','. #######::',':.......:::'],
        'P':["'########::",' ##.... ##:',' ##:::: ##:',' ########::',' ##.....:::',' ##::::::::',' ##::::::::','..:::::::::'],'Q':[":'#######::","'##.... ##:",' ##:::: ##:',' ##:::: ##:'," ##:'## ##:",' ##:.. ##::',': ##### ##:',':.....:..::'],
        'R':["'########::",' ##.... ##:',' ##:::: ##:',' ########::',' ##.. ##:::',' ##::. ##::',' ##:::. ##:','..:::::..::'],'S':[":'######::","'##... ##:",' ##:::..::','. ######::',':..... ##:',"'##::: ##:",'. ######::',':......:::'],
        'T':["'########:",'... ##..::','::: ##::::','::: ##::::','::: ##::::','::: ##::::','::: ##::::',':::..:::::'],'U':["'##::::'##:",' ##:::: ##:',' ##:::: ##:',' ##:::: ##:',' ##:::: ##:',' ##:::: ##:','. #######::',':.......:::'],
        'V':["'##::::'##:",' ##:::: ##:',' ##:::: ##:',' ##:::: ##:','. ##:: ##::',':. ## ##:::','::. ###::::',':::...:::::'],'W':["'##:::::'##:"," ##:'##: ##:",' ##: ##: ##:',' ##: ##: ##:',' ##: ##: ##:',' ##: ##: ##:','. ###. ###::',':...::...:::'],
        'X':["'##::::'##:",". ##::'##::",":. ##'##:::",'::. ###::::',':: ## ##:::',': ##:. ##::',' ##:::. ##:','..:::::..::'],'Y':["'##:::'##:",". ##:'##::",':. ####:::','::. ##::::','::: ##::::','::: ##::::','::: ##::::',':::..:::::'],
        'Z':["'########:",'..... ##::',':::: ##:::','::: ##::::',':: ##:::::',': ##::::::',' ########:','........::'],'[':["'######:",' ##...::',' ##:::::',' ##:::::',' ##:::::',' ##:::::',' ######:','......::'],
        '\\':["'##:::::::",'. ##::::::',':. ##:::::','::. ##::::',':::. ##:::','::::. ##::',':::::. ##:','::::::..::'],']':["'######:",'.... ##:',':::: ##:',':::: ##:',':::: ##:',':::: ##:',"'######:",'......::'],
        '^':["::'###:::",":'## ##::","'##:. ##:",'..:::..::',':::::::::',':::::::::',':::::::::',':::::::::'],'_':[':::::::::',':::::::::',':::::::::',':::::::::',':::::::::',':::::::::',"'#######:",'.......::'],
        '`':["'####:",' ####:','. ##::',':. ##:','::..::','::::::','::::::','::::::'],'a':[":::'###::::","::'## ##:::",":'##:. ##::","'##:::. ##:",' #########:',' ##.... ##:',' ##:::: ##:','..:::::..::'],
        'b':["'########::",' ##.... ##:',' ##:::: ##:',' ########::',' ##.... ##:',' ##:::: ##:',' ########::','........:::'],'c':[":'######::","'##... ##:",' ##:::..::',' ##:::::::',' ##:::::::',' ##::: ##:','. ######::',':......:::'],
        'd':["'########::",' ##.... ##:',' ##:::: ##:',' ##:::: ##:',' ##:::: ##:',' ##:::: ##:',' ########::','........:::'],'e':["'########:",' ##.....::',' ##:::::::',' ######:::',' ##...::::',' ##:::::::',' ########:','........::'],
        'f':["'########:",' ##.....::',' ##:::::::',' ######:::',' ##...::::',' ##:::::::',' ##:::::::','..::::::::'],'g':[":'######:::","'##... ##::",' ##:::..:::'," ##::'####:",' ##::: ##::',' ##::: ##::','. ######:::',':......::::'],
        'h':["'##::::'##:",' ##:::: ##:',' ##:::: ##:',' #########:',' ##.... ##:',' ##:::: ##:',' ##:::: ##:','..:::::..::'],'i':["'####:",'. ##::',': ##::',': ##::',': ##::',': ##::',"'####:",'....::'],
        'j':["::::::'##:",':::::: ##:',':::::: ##:',':::::: ##:',"'##::: ##:",' ##::: ##:','. ######::',':......:::'],'k':["'##:::'##:"," ##::'##::"," ##:'##:::",' #####::::',' ##. ##:::',' ##:. ##::',' ##::. ##:','..::::..::'],
        'l':["'##:::::::",' ##:::::::',' ##:::::::',' ##:::::::',' ##:::::::',' ##:::::::',' ########:','........::'],'m':["'##::::'##:"," ###::'###:"," ####'####:",' ## ### ##:',' ##. #: ##:',' ##:.:: ##:',' ##:::: ##:','..:::::..::'],
        'n':["'##::: ##:",' ###:: ##:',' ####: ##:',' ## ## ##:',' ##. ####:',' ##:. ###:',' ##::. ##:','..::::..::'],'o':[":'#######::","'##.... ##:",' ##:::: ##:',' ##:::: ##:',' ##:::: ##:',' ##:::: ##:','. #######::',':.......:::'],
        'p':["'########::",' ##.... ##:',' ##:::: ##:',' ########::',' ##.....:::',' ##::::::::',' ##::::::::','..:::::::::'],'q':[":'#######::","'##.... ##:",' ##:::: ##:',' ##:::: ##:'," ##:'## ##:",' ##:.. ##::','. ##### ##:',':.....:..::'],
        'r':["'########::",' ##.... ##:',' ##:::: ##:',' ########::',' ##.. ##:::',' ##::. ##::',' ##:::. ##:','..:::::..::'],'s':[":'######::","'##... ##:",' ##:::..::','. ######::',':..... ##:',"'##::: ##:",'. ######::',':......:::'],
        't':["'########:",'... ##..::','::: ##::::','::: ##::::','::: ##::::','::: ##::::','::: ##::::',':::..:::::'],'u':["'##::::'##:",' ##:::: ##:',' ##:::: ##:',' ##:::: ##:',' ##:::: ##:',' ##:::: ##:','. #######::',':.......:::'],
        'v':["'##::::'##:",' ##:::: ##:',' ##:::: ##:',' ##:::: ##:','. ##:: ##::',':. ## ##:::','::. ###::::',':::...:::::'],'w':["'##:::::'##:"," ##:'##: ##:",' ##: ##: ##:',' ##: ##: ##:',' ##: ##: ##:',' ##: ##: ##:','. ###. ###::',':...::...:::'],
        'x':["'##::::'##:",". ##::'##::",":. ##'##:::",'::. ###::::',':: ## ##:::',': ##:. ##::',' ##:::. ##:','..:::::..::'],'y':["'##:::'##:",". ##:'##::",':. ####:::','::. ##::::','::: ##::::','::: ##::::','::: ##::::',':::..:::::'],
        'z':["'########:",'..... ##::',':::: ##:::','::: ##::::',':: ##:::::',': ##::::::',' ########:','........::'],'|':["'##:",' ##:',' ##:','..::',"'##:",' ##:',' ##:','..::'],
        '}':["'####:::",'... ##::','::: ##::','::: ###:','::: ##::','::: ##::',"'####:::",'....::::'],'~':[":'####::::::","'##  ##:'##:",'..::. ####::',':::::....:::','::::::::::::','::::::::::::','::::::::::::','::::::::::::'],               
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner3d.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the banner3d font"""
        print(banner3d.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: banner4.flf ──────────────────────────────────────────────────────────────────────────────────────────────────────────
'''
.########..#######..##....##.########....########.....###....##....##.##....##.########.########..##.......
.##.......##.....##.###...##....##.......##.....##...##.##...###...##.###...##.##.......##.....##.##....##.
.##.......##.....##.####..##....##.......##.....##..##...##..####..##.####..##.##.......##.....##.##....##.
.######...##.....##.##.##.##....##.......########..##.....##.##.##.##.##.##.##.######...########..##....##.
.##.......##.....##.##..####....##.......##.....##.#########.##..####.##..####.##.......##...##...#########
.##.......##.....##.##...###....##.......##.....##.##.....##.##...###.##...###.##.......##....##........##.
.##........#######..##....##....##.......########..##.....##.##....##.##....##.########.##.....##.......##.
'''
class banner4():
    letters = { ##──── The figlet font banner4.flf converted to a dict 
        ' ':['...','...','...','...','...','...','...'],'!':['.####','.####','.####','..##.','.....','.####','.####'],
        '"':['.####.####','.####.####','..##...##.','..........','..........','..........','..........'],'#':['...##.##..','...##.##..','.#########','...##.##..','.#########','...##.##..','...##.##..'],
        '$':['..########.','.##..##..##','.##..##....','..########.','.....##..##','.##..##..##','..########.'],'%':['.#####...##..','.##.##..##...','.#####.##....','......##.....','.....##.#####','....##..##.##','...##...#####'],
        '&':['...####...','..##..##..','...####...','..####....','.##..##.##','.##...##..','..####..##'],'´':[],
        '(':['...###','..##..','.##...','.##...','.##...','..##..','...###'],')':['.###..','...##.','....##','....##','....##','...##.','.###..'],
        '*':['..........','..##...##.','...##.##..','.#########','...##.##..','..##...##.','..........'],'+':['.......','...##..','...##..','.######','...##..','...##..','.......'],
        ',':['.....','.....','.....','.####','.####','..##.','.##..'],'-':['........','........','........','.#######','........','........','........'],
        '.':['....','....','....','....','....','.###','.###'],'/':['.......##','......##.','.....##..','....##...','...##....','..##.....','.##......'],
        '0':['...#####..','..##...##.','.##.....##','.##.....##','.##.....##','..##...##.','...#####..'],'1':['....##..','..####..','....##..','....##..','....##..','....##..','..######'],
        '2':['..#######.','.##.....##','........##','..#######.','.##.......','.##.......','.#########'],'3':['..#######.','.##.....##','........##','..#######.','........##','.##.....##','..#######.'],
        '4':['.##.......','.##....##.','.##....##.','.##....##.','.#########','.......##.','.......##.'],'5':['.########','.##......','.##......','.#######.','.......##','.##....##','..######.'],
        '6':['..#######.','.##.....##','.##.......','.########.','.##.....##','.##.....##','..#######.'],'7':['.########','.##....##','.....##..','....##...','...##....','...##....','...##....'],
        '8':['..#######.','.##.....##','.##.....##','..#######.','.##.....##','.##.....##','..#######.'],'9':['..#######.','.##.....##','.##.....##','..########','........##','.##.....##','..#######.'],
        ':':['..##.','.####','..##.','.....','..##.','.####','..##.'],';':['.####','.####','.....','.####','.####','..##.','.##..'],
        '<':['....##','...##.','..##..','.##...','..##..','...##.','....##'],'=':['......','......','.#####','......','.#####','......','......'],
        '>':['.##...','..##..','...##.','....##','...##.','..##..','.##...'],'?':['..#######.','.##.....##','.......##.','.....###..','....##....','..........','....##....'],
        '@':['..#######.','.##.....##','.##.###.##','.##.###.##','.##.#####.','.##.......','..#######.'],'A':['....###...','...##.##..','..##...##.','.##.....##','.#########','.##.....##','.##.....##'],
        'B':['.########.','.##.....##','.##.....##','.########.','.##.....##','.##.....##','.########.'],'C':['..######.','.##....##','.##......','.##......','.##......','.##....##','..######.'],
        'D':['.########.','.##.....##','.##.....##','.##.....##','.##.....##','.##.....##','.########.'],'E':['.########','.##......','.##......','.######..','.##......','.##......','.########'],
        'F':['.########','.##......','.##......','.######..','.##......','.##......','.##......'],'G':['..######..','.##....##.','.##.......','.##...####','.##....##.','.##....##.','..######..'],
        'H':['.##.....##','.##.....##','.##.....##','.#########','.##.....##','.##.....##','.##.....##'],'I':['.####','..##.','..##.','..##.','..##.','..##.','.####'],
        'J':['.......##','.......##','.......##','.......##','.##....##','.##....##','..######.'],'K':['.##....##','.##...##.','.##..##..','.#####...','.##..##..','.##...##.','.##....##'],
        'L':['.##......','.##......','.##......','.##......','.##......','.##......','.########'],'M':['.##.....##','.###...###','.####.####','.##.###.##','.##.....##','.##.....##','.##.....##'],
        'N':['.##....##','.###...##','.####..##','.##.##.##','.##..####','.##...###','.##....##'],'O':['..#######.','.##.....##','.##.....##','.##.....##','.##.....##','.##.....##','..#######.'],
        'P':['.########.','.##.....##','.##.....##','.########.','.##.......','.##.......','.##.......'],'Q':['..#######.','.##.....##','.##.....##','.##.....##','.##..##.##','.##....##.','..#####.##'],
        'R':['.########.','.##.....##','.##.....##','.########.','.##...##..','.##....##.','.##.....##'],'S':['..######.','.##....##','.##......','..######.','.......##','.##....##','..######.'],
        'T':['.########','....##...','....##...','....##...','....##...','....##...','....##...'],'U':['.##.....##','.##.....##','.##.....##','.##.....##','.##.....##','.##.....##','..#######.'],
        'V':['.##.....##','.##.....##','.##.....##','.##.....##','..##...##.','...##.##..','....###...'],'W':['.##......##','.##..##..##','.##..##..##','.##..##..##','.##..##..##','.##..##..##','..###..###.'],
        'X':['.##.....##','..##...##.','...##.##..','....###...','...##.##..','..##...##.','.##.....##'],'Y':['.##....##','..##..##.','...####..','....##...','....##...','....##...','....##...'],
        'Z':['.########','......##.','.....##..','....##...','...##....','..##.....','.########'],'[':['.######','.##....','.##....','.##....','.##....','.##....','.######'],
        '\\':['.##......','..##.....','...##....','....##...','.....##..','......##.','.......##'],']':['.######','.....##','.....##','.....##','.....##','.....##','.######'],
        '^':['...###..','..##.##.','.##...##','........','........','........','........'],'_':['........','........','........','........','........','........','.#######'],
        '`':['.####','.####','..##.','...##','.....','.....','.....'],'a':['....###...','...##.##..','..##...##.','.##.....##','.#########','.##.....##','.##.....##'],
        'b':['.########.','.##.....##','.##.....##','.########.','.##.....##','.##.....##','.########.'],'c':['..######.','.##....##','.##......','.##......','.##......','.##....##','..######.'],
        'd':['.########.','.##.....##','.##.....##','.##.....##','.##.....##','.##.....##','.########.'],'e':['.########','.##......','.##......','.######..','.##......','.##......','.########'],
        'f':['.########','.##......','.##......','.######..','.##......','.##......','.##......'],'g':['..######..','.##....##.','.##.......','.##...####','.##....##.','.##....##.','..######..'],
        'h':['.##.....##','.##.....##','.##.....##','.#########','.##.....##','.##.....##','.##.....##'],'i':['.####','..##.','..##.','..##.','..##.','..##.','.####'],
        'j':['.......##','.......##','.......##','.......##','.##....##','.##....##','..######.'],'k':['.##....##','.##...##.','.##..##..','.#####...','.##..##..','.##...##.','.##....##'],
        'l':['.##......','.##......','.##......','.##......','.##......','.##......','.########'],'m':['.##.....##','.###...###','.####.####','.##.###.##','.##.....##','.##.....##','.##.....##'],
        'n':['.##....##','.###...##','.####..##','.##.##.##','.##..####','.##...###','.##....##'],'o':['..#######.','.##.....##','.##.....##','.##.....##','.##.....##','.##.....##','..#######.'],
        'p':['.########.','.##.....##','.##.....##','.########.','.##.......','.##.......','.##.......'],'q':['..#######.','.##.....##','.##.....##','.##.....##','.##..##.##','.##....##.','..#####.##'],
        'r':['.########.','.##.....##','.##.....##','.########.','.##...##..','.##....##.','.##.....##'],'s':['..######.','.##....##','.##......','..######.','.......##','.##....##','..######.'],
        't':['.########','....##...','....##...','....##...','....##...','....##...','....##...'],'u':['.##.....##','.##.....##','.##.....##','.##.....##','.##.....##','.##.....##','..#######.'],
        'v':['.##.....##','.##.....##','.##.....##','.##.....##','..##...##.','...##.##..','....###...'],'w':['.##......##','.##..##..##','.##..##..##','.##..##..##','.##..##..##','.##..##..##','..###..###.'],
        'x':['.##.....##','..##...##.','...##.##..','....###...','...##.##..','..##...##.','.##.....##'],'y':['.##....##','..##..##.','...####..','....##...','....##...','....##...','....##...'],
        'z':['.########','......##.','.....##..','....##...','...##....','..##.....','.########'],'|':['.##','.##','.##','...','.##','.##','.##'],
        '}':['.####..','....##.','....##.','....###','....##.','....##.','.####..'],'~':['..####.....','.##..##..##','......####.','...........','...........','...........','...........'],               
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner4.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the banner4 font"""
        print(banner4.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────


##──── Font: clr4x6.flf ──────────────────────────────────────────────────────────────────────────────────────────────────────────

###   #   # #  ###        ##  #    ##   # #  # #  ###
#    # #  ###   #        #    #    # #  # #  # #  #
##   # #  ###   #        #    #    ##   ###   #   ###
#    # #  ###   #        #    #    # #    #  # #  # #
#     #   # #   #         ##  ###  # #    #  # #  ###

class banner_clr4x6():
    letters = {
        ' ':['    ','    ','    ','    ','    ','    '],'!':[' #  ',' #  ',' #  ','    ',' #  ','    '],'"':['# # ','# # ','    ','    ','    ','    '],
        '#':['# # ','### ','# # ','### ','# # ','    '],'$':['### ','##  ','### ',' ## ','### ','    '],'%':['# # ','  # ',' #  ','#   ','# # ','    '],
        '&':['### ',' #  ','### ','# # ','### ','    '],'´':['  # ',' #  ','    ','    ','    ','    '],'(':[' ## ',' #  ','##  ',' #  ',' ## ','    '],
        ')':[' #  ','  # ','  # ','  # ',' #  ','    '],'*':[' #  ',' #  ','### ',' #  ','# # ','    '],'+':['    ',' #  ','### ',' #  ','    ','    '],
        ',':['    ','    ','    ','  # ',' #  ','    '],'-':['    ','    ','### ','    ','    ','    '],'.':['    ','    ','    ','    ',' #  ','    '],
        '/':['  # ','  # ',' #  ','#   ','#   ','    '],'0':['### ','# # ','# # ','# # ','### ','    '],'1':[' #  ','##  ',' #  ',' #  ',' #  ','    '],
        '2':['### ','  # ','### ','#   ','### ','    '],'3':['### ','  # ','### ','  # ','### ','    '],'4':['# # ','# # ','### ','  # ','  # ','    '],
        '5':['### ','#   ','### ','  # ','### ','    '],'6':['### ','#   ','### ','# # ','### ','    '],'7':['### ','  # ','  # ','  # ','  # ','    '],
        '8':['### ','# # ','### ','# # ','### ','    '],'9':['### ','# # ','### ','  # ','### ','    '],':':['    ',' #  ','    ',' #  ','    ','    '],
        ';':['    ','  # ','    ','  # ',' #  ','    '],'<':['  # ',' #  ','#   ',' #  ','  # ','    '],'=':['    ','### ','    ','### ','    ','    '],
        '>':['#   ',' #  ','  # ',' #  ','#   ','    '],'?':['##  ','  # ',' #  ','    ',' #  ','    '],'@':['### ','# # ','### ','#   ','### ','    '],
        'A':[' #  ','# # ','### ','# # ','# # ','    '],'B':['##  ','# # ','##  ','# # ','##  ','    '],'C':[' ## ','#   ','#   ','#   ',' ## ','    '],
        'D':['##  ','# # ','# # ','# # ','##  ','    '],'E':['### ','#   ','##  ','#   ','### ','    '],'F':['### ','#   ','##  ','#   ','#   ','    '],
        'G':[' ## ','#   ','# # ','# # ',' ## ','    '],'H':['# # ','# # ','### ','# # ','# # ','    '],'I':['### ',' #  ',' #  ',' #  ','### ','    '],
        'J':['  # ','  # ','  # ','# # ',' #  ','    '],'K':['# # ','# # ','##  ','# # ','# # ','    '],'L':['#   ','#   ','#   ','#   ','### ','    '],
        'M':['# # ','### ','### ','# # ','# # ','    '],'N':['# # ','### ','### ','### ','# # ','    '],'O':[' #  ','# # ','# # ','# # ',' #  ','    '],
        'P':['##  ','# # ','##  ','#   ','#   ','    '],'Q':[' #  ','# # ','# # ','##  ',' ## ','    '],'R':['##  ','# # ','##  ','# # ','# # ','    '],
        'S':[' ## ','#   ',' #  ','  # ','##  ','    '],'T':['### ',' #  ',' #  ',' #  ',' #  ','    '],'U':['# # ','# # ','# # ','# # ','### ','    '],
        'V':['# # ','# # ','# # ','# # ',' #  ','    '],'W':['# # ','# # ','### ','### ','# # ','    '],'X':['# # ','# # ',' #  ','# # ','# # ','    '],
        'Y':['# # ','# # ',' #  ',' #  ',' #  ','    '],'Z':['### ','  # ',' #  ','#   ','### ','    '],'[':[' ## ',' #  ',' #  ',' #  ',' ## ','    '],
       '\\':['#   ','#   ',' #  ','  # ','  # ','    '],']':[' ## ','  # ','  # ','  # ',' ## ','    '],'^':[' #  ','# # ','    ','    ','    ','    '],
        '_':['    ','    ','    ','    ','### ','    '],'`':[' #  ','  # ','    ','    ','    ','    '],'a':['    ',' #  ','# # ','# # ',' ## ','    '],
        'b':['#   ','##  ','# # ','# # ','##  ','    '],'c':['    ',' ## ','#   ','#   ',' ## ','    '],'d':['  # ',' ## ','# # ','# # ',' ## ','    '],
        'e':['    ',' ## ','### ','#   ',' ## ','    '],'f':['  # ',' #  ','### ',' #  ',' #  ','    '],'g':['    ',' ## ','# # ',' ## ','  # ','##  '],
        'h':['#   ','##  ','# # ','# # ','# # ','    '],'i':[' #  ','    ',' #  ',' #  ',' #  ','    '],'j':['  # ','    ','  # ','  # ','# # ',' #  '],
        'k':['#   ','# # ','##  ','##  ','# # ','    '],'l':[' #  ',' #  ',' #  ',' #  ',' #  ','    '],'m':['    ','### ','### ','### ','# # ','    '],
        'n':['    ','##  ','# # ','# # ','# # ','    '],'o':['    ',' #  ','# # ','# # ',' #  ','    '],'p':['    ','##  ','# # ','##  ','#   ','#   '],
        'q':['    ',' ## ','# # ',' ## ','  # ','  # '],'r':['    ','##  ','# # ','#   ','#   ','    '],'s':['    ',' ## ','##  ',' ## ','##  ','    '],
        't':[' #  ','### ',' #  ',' #  ',' #  ','    '],'u':['    ','# # ','# # ','# # ','### ','    '],'v':['    ','# # ','# # ','# # ',' #  ','    '],
        'w':['    ','# # ','### ','### ','### ','    '],'x':['    ','# # ',' #  ',' #  ','# # ','    '],'y':['    ','# # ','# # ',' ## ','  # ','##  '],
        'z':['    ','### ',' ## ','##  ','### ','    '],'|':[' #  ',' #  ','    ',' #  ',' #  ','    '],'}':['##  ',' #  ',' ## ',' #  ','##  ','    '],
        '~':['  # ','### ','#   ','    ','    ','    ']
        }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_clr4x6.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the clr4x6 font"""
        print(banner_clr4x6.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: clr5x6.flf ──────────────────────────────────────────────────────────────────────────────────────────────────────────

 ####   ##   #  # #####         ###  #     ###   ####  #  #   ##
 #     #  #  ## #   #          #     #     #  #  #     #  #  #
 ###   #  #  # ##   #          #     #     ###   ###    ##   ###
 #     #  #  #  #   #          #     #     # #      #  #  #  #  #
 #      ##   #  #   #           ###  ####  #  #  ###   #  #   ##

class banner_clr5x6():
    letters = { ##──── The figlet font clr5x6.flf converted to a dict 
        ' ':['     ','     ','     ','     ','     ','     '],'!':['  #  ','  #  ','  #  ','     ','  #  ','     '],'"':[' # # ',' # # ','     ','     ','     ','     '],
        '#':[' # # ','#####',' # # ','#####',' # # ','     '],'$':[' ### ','# #  ',' ### ','  # #',' ### ','     '],'%':['##  #','## # ','  #  ',' # ##','#  ##','     '],
        '&':['  ## ',' #   ','  # #',' # # ','  # #','     '],'´':['  #  ',' #   ','     ','     ','     ','     '],'(':['    #','   # ','  ## ','   # ','    #','     '],
        ')':[' #   ','  #  ','  #  ','  #  ',' #   ','     '],'*':[' #  #','  ## ',' ####','  ## ',' #  #','     '],'+':['  #  ','  #  ','#####','  #  ','  #  ','     '],
        ',':['     ','     ','     ','  #  ','  #  ',' #   '],'-':['     ','     ',' ####','     ','     ','     '],'.':['     ','     ','     ','  #  ','  #  ','     '],
        '/':['    #','   # ','  #  ',' #   ','#    ','     '],'0':['  ## ',' # ##',' ## #',' #  #','  ## ','     '],'1':['  #  ',' ##  ','  #  ','  #  ','  #  ','     '],
        '2':[' ### ','    #','  ## ',' #   ',' ####','     '],'3':[' ### ','    #','  ## ','    #',' ### ','     '],'4':['    #','   ##','  # #',' ####','    #','     '],
        '5':[' ####',' #   ',' ### ','    #',' ### ','     '],'6':['  ## ',' #   ',' ### ',' #  #','  ## ','     '],'7':[' ####','    #','   # ','  #  ',' #   ','     '],
        '8':['  ## ',' #  #','  ## ',' #  #','  ## ','     '],'9':['  ## ',' #  #','  ###','    #','  ## ','     '],':':['  #  ','  #  ','     ','  #  ','  #  ','     '],
        ';':['  #  ','  #  ','     ','  #  ','  #  ',' #   '],'<':['   # ','  #  ',' #   ','  #  ','   # ','     '],'=':['     ',' ####','     ',' ####','     ','     '],
        '>':['  #  ','   # ','    #','   # ','  #  ','     '],'?':[' ### ','    #','  ## ','     ','  #  ','     '],'@':['  ## ',' # ##',' # ##',' #   ','  ## ','     '],
        'A':['  ## ',' #  #',' #  #',' ####',' #  #','     '],'B':[' ### ',' #  #',' ### ',' #  #',' ### ','     '],'C':['  ###',' #   ',' #   ',' #   ','  ###','     '],
        'D':[' ### ',' #  #',' #  #',' #  #',' ### ','     '],'E':[' ####',' #   ',' ### ',' #   ',' ####','     '],'F':[' ####',' #   ',' ### ',' #   ',' #   ','     '],
        'G':['  ###',' #   ',' # ##',' #  #','  ###','     '],'H':[' #  #',' #  #',' ####',' #  #',' #  #','     '],'I':[' ### ','  #  ','  #  ','  #  ',' ### ','     '],
        'J':['   ##','    #','    #',' #  #','  ## ','     '],'K':[' #  #',' # # ',' ##  ',' # # ',' #  #','     '],'L':[' #   ',' #   ',' #   ',' #   ',' ####','     '],
        'M':[' #  #',' ####',' ####',' #  #',' #  #','     '],'N':[' #  #',' ## #',' # ##',' #  #',' #  #','     '],'O':['  ## ',' #  #',' #  #',' #  #','  ## ','     '],
        'P':[' ### ',' #  #',' ### ',' #   ',' #   ','     '],'Q':['  ## ',' #  #',' #  #',' #  #','  ## ','   ##'],'R':[' ### ',' #  #',' ### ',' # # ',' #  #','     '],
        'S':['  ###',' #   ','  ## ','    #',' ### ','     '],'T':['#####','  #  ','  #  ','  #  ','  #  ','     '],'U':[' #  #',' #  #',' #  #',' #  #','  ## ','     '],
        'V':[' #  #',' #  #',' #  #','  ## ','  ## ','     '],'W':[' #  #',' #  #',' ####',' ####',' #  #','     '],'X':[' #  #',' #  #','  ## ',' #  #',' #  #','     '],
        'Y':['#   #',' # # ','  #  ','  #  ','  #  ','     '],'Z':[' ####','   # ','  #  ',' #   ',' ####','     '],'[':['   ##','   # ','   # ','   # ','   ##','     '],
       '\\':['#    ',' #   ','  #  ','   # ','    #','     '],']':[' ##  ','  #  ','  #  ','  #  ',' ##  ','     '],'^':['  #  ',' # # ','     ','     ','     ','     '],
        '_':['     ','     ','     ','     ','     ',' ####'],'`':['   # ','    #','     ','     ','     ','     '],'a':['     ','  ###',' #  #',' # ##','  # #','     '],
        'b':[' #   ',' ### ',' #  #',' #  #',' ### ','     '],'c':['     ','  ###',' #   ',' #   ','  ###','     '],'d':['    #','  ###',' #  #',' #  #','  ###','     '],
        'e':['     ','  ## ',' ####',' #   ','  ## ','     '],'f':['   ##','  #  ',' ### ','  #  ','  #  ','     '],'g':['     ','  ###',' #  #','  ###','    #','  ## '],
        'h':[' #   ',' ### ',' #  #',' #  #',' #  #','     '],'i':['  #  ','     ','  #  ','  #  ','  #  ','     '],'j':['    #','     ','    #','    #',' #  #','  ## '],
        'k':[' #   ',' # ##',' ##  ',' # # ',' #  #','     '],'l':[' ##  ','  #  ','  #  ','  #  ',' ### ','     '],'m':['     ',' #  #',' ####',' #  #',' #  #','     '],
        'n':['     ',' # # ',' ## #',' #  #',' #  #','     '],'o':['     ','  ## ',' #  #',' #  #','  ## ','     '],'p':['     ',' ### ',' #  #',' #  #',' ### ',' #   '],
        'q':['     ','  ###',' #  #',' #  #','  ###','    #'],'r':['     ',' # ##',' ##  ',' #   ',' #   ','     '],'s':['     ','  ###',' ##  ','   ##',' ### ','     '],
        't':['  #  ',' ####','  #  ','  #  ','   ##','     '],'u':['     ',' #  #',' #  #',' # ##','  # #','     '],'v':['     ',' #  #',' #  #','  ## ','  ## ','     '],
        'w':['     ',' #  #',' #  #',' ####',' #  #','     '],'x':['     ',' #  #','  ## ','  ## ',' #  #','     '],'y':['     ',' #  #',' #  #','  ###','    #','  ## '],
        'z':['     ',' ####','   # ','  #  ',' ####','     '],'|':['  #  ','  #  ','  #  ','  #  ','  #  ','     '],'}':[' #   ','  #  ','  ## ','  #  ',' #   ','     '],
        '~':['  # #',' # # ','     ','     ','     ','     ']
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_clr5x6.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the clr5x6 font"""
        print(banner_clr5x6.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: clr5x8.flf ──────────────────────────────────────────────────────────────────────────────────────────────────────────

 ####   ##   #  # #####         ##   #     ###   ####  #  #   ##
 #     #  #  ## #   #          #  #  #     #  #  #     #  #  #  #
 #     #  #  ## #   #          #     #     #  #  #      ##   #  #
 ###   #  #  # ##   #          #     #     ###   ###    ##    ##
 #     #  #  # ##   #          #     #     # #      #  #  #  #  #
 #     #  #  #  #   #          #  #  #     #  #     #  #  #  #  #
 #      ##   #  #   #           ##   ####  #  #  ###   #  #   ##

class banner_clr5x8():
    letters = { ##──── The figlet font clr5x8.flf converted to a dict 
        ' ':['     ','     ','     ','     ','     ','     ','     ','     '],'!':['  #  ','  #  ','  #  ','  #  ','  #  ','     ','  #  ','     '],
        '"':['  # #','  # #','  # #','     ','     ','     ','     ','     '],'#':[' # # ',' # # ','#####',' # # ','#####',' # # ',' # # ','     '],
        '$':['  #  ',' ####','# #  ',' ### ','  # #','#### ','  #  ','     '],'%':[' ##  ',' ## #','   # ','  #  ',' # ##','   ##','     ','     '],
        '&':['  ## ',' #   ',' #   ','  # #',' # # ',' # # ','  # #','     '],'´':['   # ','   # ','  #  ','     ','     ','     ','     ','     '],
        '(':['    #','   # ','   # ','  #  ','   # ','   # ','    #','     '],')':[' #   ','  #  ','   # ','   # ','   # ','  #  ',' #   ','     '],
        '*':['     ',' #  #','  ## ',' ####','  ## ',' #  #','     ','     '],'+':['     ','  #  ','  #  ','#####','  #  ','  #  ','     ','     '],
        ',':['     ','     ','     ','     ','     ','  #  ','  #  ',' #   '],'-':['     ','     ','     ','#####','     ','     ','     ','     '],
        '.':['     ','     ','     ','     ','     ','  #  ','  #  ','     '],'/':['    #','    #','   # ','   # ','  #  ','  #  ',' #   ',' #   '],
        '0':['  ## ',' #  #',' # ##',' ## #',' #  #',' #  #','  ## ','     '],'1':['  #  ',' ##  ','  #  ','  #  ','  #  ','  #  ','  #  ','     '],
        '2':['  ## ',' #  #','    #','   # ','  #  ',' #   ',' ####','     '],'3':['  ## ',' #  #','    #','  ## ','    #',' #  #','  ## ','     '],
        '4':['    #','   ##','   ##','  # #','  # #',' ####','    #','     '],'5':[' ####',' #   ',' #   ',' ### ','    #','    #',' ### ','     '],
        '6':['  ## ',' #   ',' #   ',' ### ',' #  #',' #  #','  ## ','     '],'7':[' ####','    #','    #','   # ','   # ','  #  ','  #  ','     '],
        '8':['  ## ',' #  #',' #  #','  ## ',' #  #',' #  #','  ## ','     '],'9':['  ## ',' #  #',' #  #','  ###','    #','    #','  ## ','     '],
        ':':['     ','  #  ','  #  ','     ','     ','  #  ','  #  ','     '],';':['     ','  #  ','  #  ','     ','     ','  #  ','  #  ',' #   '],
        '<':['    #','   # ','  #  ',' #   ','  #  ','   # ','    #','     '],'=':['     ','     ','#####','     ','#####','     ','     ','     '],
        '>':[' #   ','  #  ','   # ','    #','   # ','  #  ',' #   ','     '],'?':['  ## ',' #  #','    #','   # ','  #  ','     ','  #  ','     '],
        '@':['     ','  ## ',' #  #',' # ##',' # ##',' #   ','  ## ','     '],'A':['  ## ',' #  #',' #  #',' ####',' #  #',' #  #',' #  #','     '],
        'B':[' ### ',' #  #',' #  #',' ### ',' #  #',' #  #',' ### ','     '],'C':['  ## ',' #  #',' #   ',' #   ',' #   ',' #  #','  ## ','     '],
        'D':[' ### ',' #  #',' #  #',' #  #',' #  #',' #  #',' ### ','     '],'E':[' ####',' #   ',' #   ',' ### ',' #   ',' #   ',' ####','     '],
        'F':[' ####',' #   ',' #   ',' ### ',' #   ',' #   ',' #   ','     '],'G':['  ## ',' #  #',' #   ',' # ##',' #  #',' #  #','  ###','     '],
        'H':[' #  #',' #  #',' #  #',' ####',' #  #',' #  #',' #  #','     '],'I':[' ### ','  #  ','  #  ','  #  ','  #  ','  #  ',' ### ','     '],
        'J':['   ##','    #','    #','    #',' #  #',' #  #','  ## ','     '],'K':[' #  #',' #  #',' # # ',' ##  ',' # # ',' #  #',' #  #','     '],
        'L':[' #   ',' #   ',' #   ',' #   ',' #   ',' #   ',' ####','     '],'M':[' #  #',' ####',' ####',' #  #',' #  #',' #  #',' #  #','     '],
        'N':[' #  #',' ## #',' ## #',' # ##',' # ##',' #  #',' #  #','     '],'O':['  ## ',' #  #',' #  #',' #  #',' #  #',' #  #','  ## ','     '],
        'P':[' ### ',' #  #',' #  #',' ### ',' #   ',' #   ',' #   ','     '],'Q':['  ## ',' #  #',' #  #',' #  #',' #  #',' #  #','  ## ','   ##'],
        'R':[' ### ',' #  #',' #  #',' ### ',' # # ',' #  #',' #  #','     '],'S':['  ## ',' #  #',' #   ','  ## ','    #',' #  #','  ## ','     '],
        'T':['#####','  #  ','  #  ','  #  ','  #  ','  #  ','  #  ','     '],'U':[' #  #',' #  #',' #  #',' #  #',' #  #',' #  #','  ## ','     '],
        'V':[' #  #',' #  #',' #  #',' #  #','  ## ','  ## ','  ## ','     '],'W':[' #  #',' #  #',' #  #',' #  #',' ####',' ####',' #  #','     '],
        'X':[' #  #',' #  #','  ## ','  ## ',' #  #',' #  #',' #  #','     '],'Y':['#   #','#   #',' # # ','  #  ','  #  ','  #  ','  #  ','     '],
        'Z':[' ####','    #','   # ','  #  ',' #   ',' #   ',' ####','     '],'[':['  ###','  #  ','  #  ','  #  ','  #  ','  #  ','  ###','     '],
       '\\':[' #   ',' #   ','  #  ','  #  ','   # ','   # ','    #','    #'],']':[' ### ','   # ','   # ','   # ','   # ','   # ',' ### ','     '],
        '^':['  #  ',' # # ','#   #','     ','     ','     ','     ','     '],'_':['     ','     ','     ','     ','     ','     ','     ','#####'],
        '`':['  #  ','  #  ','   # ','     ','     ','     ','     ','     '],'a':['     ','     ','  ###',' #  #',' #  #',' # ##','  # #','     '],
        'b':[' #   ',' #   ',' ### ',' #  #',' #  #',' #  #',' ### ','     '],'c':['     ','     ','  ###',' #   ',' #   ',' #   ','  ###','     '],
        'd':['    #','    #','  ###',' #  #',' #  #',' #  #','  ###','     '],'e':['     ','     ','  ## ',' #  #',' ####',' #   ','  ## ','     '],
        'f':['   ##','  #  ','  #  ',' ### ','  #  ','  #  ','  #  ','     '],'g':['     ','     ','  ###',' #  #',' #  #','  ###','    #','  ## '],
        'h':[' #   ',' #   ',' ### ',' #  #',' #  #',' #  #',' #  #','     '],'i':['  #  ','     ',' ##  ','  #  ','  #  ','  #  ',' ### ','     '],
        'j':['   # ','     ','  ## ','   # ','   # ','   # ','   # ',' ##  '],'k':[' #   ',' #   ',' #  #',' # # ',' ##  ',' # # ',' #  #','     '],
        'l':[' ##  ','  #  ','  #  ','  #  ','  #  ','  #  ',' ### ','     '],'m':['     ','     ','## # ','# # #','# # #','# # #','#   #','     '],
        'n':['     ','     ',' ### ',' #  #',' #  #',' #  #',' #  #','     '],'o':['     ','     ','  ## ',' #  #',' #  #',' #  #','  ## ','     '],
        'p':['     ','     ',' ### ',' #  #',' #  #',' #  #',' ### ',' #   '],'q':['     ','     ','  ###',' #  #',' #  #',' #  #','  ###','    #'],
        'r':['     ','     ',' # ##',' ##  ',' #   ',' #   ',' #   ','     '],'s':['     ','     ','  ###',' #   ','  ## ','    #',' ### ','     '],
        't':['     ','  #  ',' ####','  #  ','  #  ','  #  ','   ##','     '],'u':['     ','     ',' #  #',' #  #',' #  #',' #  #','  ###','     '],
        'v':['     ','     ',' #  #',' #  #',' #  #','  ## ','  ## ','     '],'w':['     ','     ','#   #','# # #','# # #','# # #',' # # ','     '],
        'x':['     ','     ',' #  #',' #  #','  ## ',' #  #',' #  #','     '],'y':['     ','     ',' #  #',' #  #',' #  #','  ###','    #','  ## '],
        'z':['     ','     ',' ####','   # ','  #  ',' #   ',' ####','     '],'|':['  #  ','  #  ','  #  ','  #  ','  #  ','  #  ','  #  ','     '],
        '}':[' #   ','  #  ','  #  ','   # ','  #  ','  #  ',' #   ','     '],'~':['  # #',' # # ','     ','     ','     ','     ','     ','     ']
    } 
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_clr5x8.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the clr5x8 font"""
        print(banner_clr5x8.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: clr5x10.flf ─────────────────────────────────────────────────────────────────────────────────────────────────────────

 ####   ##   #  # #####         ##   #     ###   ####  #  #   #     ##
 #     #  #  ## #   #          #  #  #     #  #  #     #  #  ##    #  #
 #     #  #  ## #   #          #     #     #  #  #      ##    #    # ##
 ###   #  #  # ##   #          #     #     ###   ###    ##    #    ## #
 #     #  #  # ##   #          #     #     # #      #  #  #   #    #  #
 #     #  #  #  #   #          #  #  #     #  #     #  #  #   #    #  #
 #      ##   #  #   #           ##   ####  #  #  ###   #  #   #     ##

class banner_clr5x10():
    letters = { ##──── The figlet font clr5x10.flf converted to a dict 
        ' ':['     ','     ','     ','     ','     ','     ','     ','     ','     ','     '],'!':['     ','  #  ','  #  ','  #  ','  #  ','  #  ','     ','  #  ','     ','     '],
        '"':['  # #','  # #','  # #','     ','     ','     ','     ','     ','     ','     '],'#':['     ',' # # ',' # # ','#####',' # # ','#####',' # # ',' # # ','     ','     '],
        '$':['     ','  #  ',' ####','# #  ',' ### ','  # #','#### ','  #  ','     ','     '],'%':['     ',' ##  ',' ## #','   # ','  #  ',' # ##','   ##','     ','     ','     '],
        '&':['     ','  ## ',' #   ',' #   ','  # #',' # # ',' # # ','  # #','     ','     '],'´':['   # ','   # ','  #  ','     ','     ','     ','     ','     ','     ','     '],
        '(':['    #','   # ','   # ','   # ','  #  ','   # ','   # ','   # ','    #','     '],')':[' #   ','  #  ','  #  ','   # ','   # ','   # ','  #  ','  #  ',' #   ','     '],
        '*':['     ','     ',' #  #','  ## ',' ####','  ## ',' #  #','     ','     ','     '],'+':['     ','     ','  #  ','  #  ','#####','  #  ','  #  ','     ','     ','     '],
        ',':['     ','     ','     ','     ','     ','     ','  #  ','  #  ',' #   ','     '],'-':['     ','     ','     ','     ','#####','     ','     ','     ','     ','     '],
        '.':['     ','     ','     ','     ','     ','     ','  #  ','  #  ','     ','     '],'/':['     ','     ','    #','    #','   # ','   # ','  #  ','  #  ',' #   ',' #   '],
        '0':['     ','  ## ',' #  #',' # ##',' ## #',' #  #',' #  #','  ## ','     ','     '],'1':['     ','  #  ',' ##  ','  #  ','  #  ','  #  ','  #  ','  #  ','     ','     '],
        '2':['     ','  ## ',' #  #','    #','   # ','  #  ',' #   ',' ####','     ','     '],'3':['     ','  ## ',' #  #','    #','  ## ','    #',' #  #','  ## ','     ','     '],
        '4':['     ','    #','   ##','   ##','  # #','  # #',' ####','    #','     ','     '],'5':['     ',' ####',' #   ',' #   ',' ### ','    #','    #',' ### ','     ','     '],
        '6':['     ','  ## ',' #   ',' #   ',' ### ',' #  #',' #  #','  ## ','     ','     '],'7':['     ',' ####','    #','    #','   # ','   # ','  #  ','  #  ','     ','     '],
        '8':['     ','  ## ',' #  #',' #  #','  ## ',' #  #',' #  #','  ## ','     ','     '],'9':['     ','  ## ',' #  #',' #  #','  ###','    #','    #','  ## ','     ','     '],
        ':':['     ','     ','  #  ','  #  ','     ','     ','  #  ','  #  ','     ','     '],';':['     ','     ','  #  ','  #  ','     ','     ','  #  ','  #  ',' #   ','     '],
        '<':['     ','    #','   # ','  #  ',' #   ','  #  ','   # ','    #','     ','     '],'=':['     ','     ','     ','#####','     ','#####','     ','     ','     ','     '],
        '>':['     ',' #   ','  #  ','   # ','    #','   # ','  #  ',' #   ','     ','     '],'?':['     ','  ## ',' #  #','    #','   # ','  #  ','     ','  #  ','     ','     '],
        '@':['     ','     ','  ## ',' #  #',' # ##',' # ##',' #   ','  ## ','     ','     '],'A':['     ','  ## ',' #  #',' #  #',' ####',' #  #',' #  #',' #  #','     ','     '],
        'B':['     ',' ### ',' #  #',' #  #',' ### ',' #  #',' #  #',' ### ','     ','     '],'C':['     ','  ## ',' #  #',' #   ',' #   ',' #   ',' #  #','  ## ','     ','     '],
        'D':['     ',' ### ',' #  #',' #  #',' #  #',' #  #',' #  #',' ### ','     ','     '],'E':['     ',' ####',' #   ',' #   ',' ### ',' #   ',' #   ',' ####','     ','     '],
        'F':['     ',' ####',' #   ',' #   ',' ### ',' #   ',' #   ',' #   ','     ','     '],'G':['     ','  ## ',' #  #',' #   ',' # ##',' #  #',' #  #','  ###','     ','     '],
        'H':['     ',' #  #',' #  #',' #  #',' ####',' #  #',' #  #',' #  #','     ','     '],'I':['     ',' ### ','  #  ','  #  ','  #  ','  #  ','  #  ',' ### ','     ','     '],
        'J':['     ','   ##','    #','    #','    #',' #  #',' #  #','  ## ','     ','     '],'K':['     ',' #  #',' #  #',' # # ',' ##  ',' # # ',' #  #',' #  #','     ','     '],
        'L':['     ',' #   ',' #   ',' #   ',' #   ',' #   ',' #   ',' ####','     ','     '],'M':['     ',' #  #',' ####',' ####',' #  #',' #  #',' #  #',' #  #','     ','     '],
        'N':['     ',' #  #',' ## #',' ## #',' # ##',' # ##',' #  #',' #  #','     ','     '],'O':['     ','  ## ',' #  #',' #  #',' #  #',' #  #',' #  #','  ## ','     ','     '],
        'P':['     ',' ### ',' #  #',' #  #',' ### ',' #   ',' #   ',' #   ','     ','     '],'Q':['     ','  ## ',' #  #',' #  #',' #  #',' #  #',' #  #','  ## ','   ##','     '],
        'R':['     ',' ### ',' #  #',' #  #',' ### ',' # # ',' #  #',' #  #','     ','     '],'S':['     ','  ## ',' #  #',' #   ','  ## ','    #',' #  #','  ## ','     ','     '],
        'T':['     ','#####','  #  ','  #  ','  #  ','  #  ','  #  ','  #  ','     ','     '],'U':['     ',' #  #',' #  #',' #  #',' #  #',' #  #',' #  #','  ## ','     ','     '],
        'V':['     ',' #  #',' #  #',' #  #',' #  #','  ## ','  ## ','  ## ','     ','     '],'W':['     ',' #  #',' #  #',' #  #',' #  #',' ####',' ####',' #  #','     ','     '],
        'X':['     ',' #  #',' #  #','  ## ','  ## ',' #  #',' #  #',' #  #','     ','     '],'Y':['     ','#   #','#   #',' # # ','  #  ','  #  ','  #  ','  #  ','     ','     '],
        'Z':['     ',' ####','    #','   # ','  #  ',' #   ',' #   ',' ####','     ','     '],'[':['  ###','  #  ','  #  ','  #  ','  #  ','  #  ','  #  ','  #  ','  ###','     '],
       '\\':[' #   ',' #   ','  #  ','  #  ','   # ','   # ','    #','    #','     ','     '],']':[' ### ','   # ','   # ','   # ','   # ','   # ','   # ','   # ',' ### ','     '],
        '^':['  #  ',' # # ','#   #','     ','     ','     ','     ','     ','     ','     '],'_':['     ','     ','     ','     ','     ','     ','     ','     ','#####','     '],
        '`':['  #  ','  #  ','   # ','     ','     ','     ','     ','     ','     ','     '],'a':['     ','     ','     ','  ###',' #  #',' #  #',' # ##','  # #','     ','     '],
        'b':['     ',' #   ',' #   ',' ### ',' #  #',' #  #',' #  #',' ### ','     ','     '],'c':['     ','     ','     ','  ###',' #   ',' #   ',' #   ','  ###','     ','     '],
        'd':['     ','    #','    #','  ###',' #  #',' #  #',' #  #','  ###','     ','     '],'e':['     ','     ','     ','  ## ',' #  #',' ####',' #   ','  ## ','     ','     '],
        'f':['     ','   ##','  #  ','  #  ',' ### ','  #  ','  #  ','  #  ','     ','     '],'g':['     ','     ','     ','  ###',' #  #',' #  #',' #  #','  ###','    #','  ## '],
        'h':['     ',' #   ',' #   ',' ### ',' #  #',' #  #',' #  #',' #  #','     ','     '],'i':['     ','  #  ','     ',' ##  ','  #  ','  #  ','  #  ',' ### ','     ','     '],
        'j':['     ','   # ','     ','  ## ','   # ','   # ','   # ','   # ','   # ',' ##  '],'k':['     ',' #   ',' #   ',' #  #',' # # ',' ##  ',' # # ',' #  #','     ','     '],
        'l':['     ',' ##  ','  #  ','  #  ','  #  ','  #  ','  #  ',' ### ','     ','     '],'m':['     ','     ','     ','## # ','# # #','# # #','# # #','#   #','     ','     '],
        'n':['     ','     ','     ',' ### ',' #  #',' #  #',' #  #',' #  #','     ','     '],'o':['     ','     ','     ','  ## ',' #  #',' #  #',' #  #','  ## ','     ','     '],
        'p':['     ','     ','     ',' ### ',' #  #',' #  #',' #  #',' ### ',' #   ',' #   '],'q':['     ','     ','     ','  ###',' #  #',' #  #',' #  #','  ###','    #','    #'],
        'r':['     ','     ','     ',' # ##',' ##  ',' #   ',' #   ',' #   ','     ','     '],'s':['     ','     ','     ','  ###',' #   ','  ## ','    #',' ### ','     ','     '],
        't':['     ','     ','  #  ',' ####','  #  ','  #  ','  #  ','   ##','     ','     '],'u':['     ','     ','     ',' #  #',' #  #',' #  #',' #  #','  ###','     ','     '],
        'v':['     ','     ','     ',' #  #',' #  #',' #  #','  ## ','  ## ','     ','     '],'w':['     ','     ','     ','#   #','# # #','# # #','# # #',' # # ','     ','     '],
        'x':['     ','     ','     ',' #  #',' #  #','  ## ',' #  #',' #  #','     ','     '],'y':['     ','     ','     ',' #  #',' #  #',' #  #',' #  #','  ###','    #','  ## '],
        'z':['     ','     ','     ',' ####','   # ','  #  ',' #   ',' ####','     ','     '],'|':['  #  ','  #  ','  #  ','  #  ','  #  ','  #  ','  #  ','  #  ','  #  ','     '],
        '}':[' #   ','  #  ','  #  ','  #  ','   # ','  #  ','  #  ','  #  ',' #   ','     '],'~':['     ','  # #',' # # ','     ','     ','     ','     ','     ','     ','     ']
    } 
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_clr5x10.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the clr5x10 font"""
        print(banner_clr5x10.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: clr6x6.flf ──────────────────────────────────────────────────────────────────────────────────────────────────────────

 #####   ###   #   #  #####          ###   #      ####    ###   #   #   ###
 #      #   #  ##  #    #           #   #  #      #   #  #       # #   #
 ####   #   #  # # #    #           #      #      ####   ####     #    ####
 #      #   #  #  ##    #           #   #  #      # #    #   #   # #   #   #
 #       ###   #   #    #            ###   #####  #  ##   ###   #   #   ###

class banner_clr6x6():
    letters = { ##──── The figlet font clr6x6.flf converted to a dict 
        ' ':['      ','      ','      ','      ','      ','      '],'!':['   #  ','   #  ','   #  ','      ','   #  ','      '],'"':['  # # ','  # # ','      ','      ','      ','      '],
        '#':['  # # ',' #####','  # # ',' #####','  # # ','      '],'$':['  ### ',' # #  ','  ### ','   # #','  ### ','      '],'%':[' ##  #',' ## # ','   #  ','  # ##',' #  ##','      '],
        '&':['  ##  ',' #    ','  ## #',' #  # ','  ## #','      '],'´':['   #  ','  #   ','      ','      ','      ','      '],'(':['    # ','   #  ','  ##  ','   #  ','    # ','      '],
        ')':['  #   ','   #  ','   #  ','   #  ','  #   ','      '],'*':['   #  ',' # # #','  ### ',' # # #','   #  ','      '],'+':['   #  ','   #  ',' #####','   #  ','   #  ','      '],
        ',':['      ','      ','      ','   #  ','   #  ','  #   '],'-':['      ','      ',' #####','      ','      ','      '],'.':['      ','      ','      ','   #  ','   #  ','      '],
        '/':['     #','    # ','   #  ','  #   ',' #    ','      '],'0':['  ### ',' #  ##',' # # #',' ##  #','  ### ','      '],'1':['   #  ','  ##  ','   #  ','   #  ','   #  ','      '],
        '2':[' #### ','     #','  ### ',' #    ',' #####','      '],'3':[' #### ','     #','  ### ','     #',' #### ','      '],'4':['    ##','   # #','  #  #',' #####','     #','      '],
        '5':[' #####',' #    ',' #### ','     #',' #### ','      '],'6':['  ### ',' #    ',' #### ',' #   #','  ### ','      '],'7':[' #####','     #','    # ','   #  ','  #   ','      '],
        '8':['  ### ',' #   #','  ### ',' #   #','  ### ','      '],'9':['  ### ',' #   #','  ####','     #','  ### ','      '],':':['   #  ','   #  ','      ','   #  ','   #  ','      '],
        ';':['   #  ','   #  ','      ','   #  ','   #  ','  #   '],'<':['    ##','  ##  ','##    ','  ##  ','    ##','      '],'=':['      ',' #####','      ',' #####','      ','      '],
        '>':['##    ','  ##  ','    ##','  ##  ','##    ','      '],'?':[' ###  ','    # ','  ##  ','      ','  #   ','      '],'@':['  ##  ',' # ## ',' # ## ',' #    ','  ##  ','      '],
        'A':['   #  ','  # # ',' #   #',' #####',' #   #','      '],'B':[' #### ',' #   #',' #### ',' #   #',' #### ','      '],'C':['  ### ',' #   #',' #    ',' #   #','  ### ','      '],
        'D':[' #### ',' #   #',' #   #',' #   #',' #### ','      '],'E':[' #####',' #    ',' #### ',' #    ',' #####','      '],'F':[' #####',' #    ',' #### ',' #    ',' #    ','      '],
        'G':['  ####',' #    ',' #  ##',' #   #','  ####','      '],'H':[' #   #',' #   #',' #####',' #   #',' #   #','      '],'I':['  ### ','   #  ','   #  ','   #  ','  ### ','      '],
        'J':['   ###','     #','     #',' #   #','  ### ','      '],'K':[' #  # ',' # #  ',' ##   ',' # #  ',' #  # ','      '],'L':[' #    ',' #    ',' #    ',' #    ',' #####','      '],
        'M':[' #   #',' ## ##',' # # #',' # # #',' #   #','      '],'N':[' #   #',' ##  #',' # # #',' #  ##',' #   #','      '],'O':['  ### ',' #   #',' #   #',' #   #','  ### ','      '],
        'P':[' #### ',' #   #',' #### ',' #    ',' #    ','      '],'Q':['  ### ',' #   #',' #   #',' #   #','  ### ','    ##'],'R':[' #### ',' #   #',' #### ',' # #  ',' #  ##','      '],
        'S':['  ####',' #    ','  ### ','     #',' #### ','      '],'T':[' #####','   #  ','   #  ','   #  ','   #  ','      '],'U':[' #   #',' #   #',' #   #',' #   #','  ### ','      '],
        'V':[' #   #',' #   #','  # # ','  # # ','   #  ','      '],'W':[' #   #',' # # #',' # # #',' ## ##',' #   #','      '],'X':[' #   #','  # # ','   #  ','  # # ',' #   #','      '],
        'Y':[' #   #','  # # ','   #  ','   #  ','   #  ','      '],'Z':[' #####','    # ','   #  ','  #   ',' #####','      '],'[':['   ###','   #  ','   #  ','   #  ','   ###','      '],
       '\\':[' #    ','  #   ','   #  ','    # ','     #','      '],']':[' ###  ','   #  ','   #  ','   #  ',' ###  ','      '],'^':['   #  ','  # # ',' #   #','      ','      ','      '],
        '_':['      ','      ','      ','      ','      ',' #####'],'`':['   #  ','    # ','      ','      ','      ','      '],'a':['      ','  ####',' #   #',' #  ##','  ## #','      '],
        'b':[' #    ',' #### ',' #   #',' #   #',' #### ','      '],'c':['      ','  ### ',' #    ',' #    ','  ### ','      '],'d':['     #','  ####',' #   #',' #   #','  ####','      '],
        'e':['      ','  ### ',' #####',' #    ','  ### ','      '],'f':['   ###','  #   ',' #### ','  #   ','  #   ','      '],'g':['      ','  ####',' #   #','  ####','     #','  ### '],
        'h':[' #    ',' #### ',' #   #',' #   #',' #   #','      '],'i':['   #  ','      ','   #  ','   #  ','   #  ','      '],'j':['    # ','      ','    # ','    # ',' #  # ','  ##  '],
        'k':[' #    ',' # ## ',' ##   ',' # #  ',' #  # ','      '],'l':['  ##  ','   #  ','   #  ','   #  ','  ### ','      '],'m':['      ',' ## # ',' # # #',' # # #',' #   #','      '],
        'n':['      ',' # ## ',' ##  #',' #   #',' #   #','      '],'o':['      ','  ### ',' #   #',' #   #','  ### ','      '],'p':['      ',' #### ',' #   #',' #   #',' #### ',' #    '],
        'q':['      ','  ####',' #   #',' #   #','  ####','     #'],'r':['      ',' # ## ',' ##   ',' #    ',' #    ','      '],'s':['      ','  ####',' ###  ','   ###',' #### ','      '],
        't':['  #   ',' #### ','  #   ','  #   ','   ## ','      '],'u':['      ',' #   #',' #   #',' #  ##','  ## #','      '],'v':['      ',' #   #','  # # ','  # # ','   #  ','      '],
        'w':['      ',' #   #',' # # #',' # # #','  # # ','      '],'x':['      ',' #  # ','  ##  ','  ##  ',' #  # ','      '],'y':['      ',' #   #',' #   #','  ####','     #','  ### '],
        'z':['      ',' #### ','   #  ','  #   ',' #### ','      '],'|':['   #  ','   #  ','   #  ','   #  ','   #  ','      '],'}':['  #   ','   #  ','   ## ','   #  ','  #   ','      '],
        '~':['  #   ',' # # #','    # ','      ','      ','      ']
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_clr6x6.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the clr6x6 font"""
        print(banner_clr6x6.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: clr6x8.flf ──────────────────────────────────────────────────────────────────────────────────────────────────────────

 #####   ###   #   #  #####          ###   #      ####     ##   #   #   ###
 #      #   #  ##  #    #           #   #  #      #   #   #     #   #  #   #
 #      #   #  ##  #    #           #      #      #   #  #       # #   #   #
 ####   #   #  # # #    #           #      #      ####   ####     #     ###
 #      #   #  #  ##    #           #      #      # #    #   #   # #   #   #
 #      #   #  #  ##    #           #   #  #      #  #   #   #  #   #  #   #
 #       ###   #   #    #            ###   #####  #   #   ###   #   #   ###

class banner_clr6x8():
    letters = { ##──── The figlet font clr6x8.flf converted to a dict 
        ' ':['      ','      ','      ','      ','      ','      ','      ','      '],'!':['   #  ','   #  ','   #  ','   #  ','   #  ','      ','   #  ','      '],
        '"':['  # # ','  # # ','      ','      ','      ','      ','      ','      '],'#':['      ','  # # ',' #####','  # # ',' #####','  # # ','      ','      '],
        '$':['   #  ','  ####',' # #  ','  ### ','   # #',' #### ','   #  ','      '],'%':[' ##   ',' ##  #','    # ','   #  ','  #   ',' #  ##','    ##','      '],
        '&':['  ### ',' #    ',' #    ','  #   ',' # # #',' #  # ','  ## #','      '],'´':['   #  ','  #   ','      ','      ','      ','      ','      ','      '],
        '(':['     #','    # ','    # ','   #  ','    # ','    # ','     #','      '],')':[' #    ','  #   ','   #  ','   #  ','   #  ','  #   ',' #    ','      '],
        '*':['      ','   #  ',' # # #','  ### ',' # # #','   #  ','      ','      '],'+':['      ','   #  ','   #  ',' #####','   #  ','   #  ','      ','      '],
        ',':['      ','      ','      ','      ','      ','   #  ','   #  ','  #   '],'-':['      ','      ','      ',' #####','      ','      ','      ','      '],
        '.':['      ','      ','      ','      ','      ','   #  ','   #  ','      '],'/':['     #','     #','    # ','    # ','   #  ','   #  ','  #   ','  #   '],
        '0':['  ### ',' #   #',' #  ##',' # # #',' ##  #',' #   #','  ### ','      '],'1':['   #  ','  ##  ','   #  ','   #  ','   #  ','   #  ','   #  ','      '],
        '2':['  ### ',' #   #','     #','    # ','   #  ','  #   ',' #####','      '],'3':['  ### ',' #   #','     #','   ## ','     #',' #   #','  ### ','      '],
        '4':['   ## ','   ## ','  # # ','  # # ',' #####','    # ','   ###','      '],'5':[' #####',' #    ',' #### ','     #','     #',' #   #','  ### ','      '],
        '6':['   ## ','  #   ',' #    ',' #### ',' #   #',' #   #','  ### ','      '],'7':[' #####',' #   #','     #','    # ','    # ','   #  ','   #  ','      '],
        '8':['  ### ',' #   #',' #   #','  ### ',' #   #',' #   #','  ### ','      '],'9':['  ### ',' #   #',' #   #','  ####','     #','    # ','  ##  ','      '],
        ':':['      ','   #  ','   #  ','      ','      ','   #  ','   #  ','      '],';':['      ','   #  ','   #  ','      ','      ','   #  ','   #  ','  #   '],
        '<':['      ','    ##','  ##  ','##    ','  ##  ','    ##','      ','      '],'=':['      ','      ',' #####','      ',' #####','      ','      ','      '],
        '>':['      ','##    ','  ##  ','    ##','  ##  ','##    ','      ','      '],'?':['  ### ',' #   #','     #','    # ','   #  ','      ','   #  ','      '],
        '@':['  ### ',' #   #',' # ###',' # ###',' # ## ',' #    ','  ### ','      '],'A':['   #  ','  # # ',' #   #',' #   #',' #####',' #   #',' #   #','      '],
        'B':[' #### ',' #   #',' #   #',' #### ',' #   #',' #   #',' #### ','      '],'C':['  ### ',' #   #',' #    ',' #    ',' #    ',' #   #','  ### ','      '],
        'D':[' ###  ',' #  # ',' #   #',' #   #',' #   #',' #  # ',' ###  ','      '],'E':[' #####',' #    ',' #    ',' #### ',' #    ',' #    ',' #####','      '],
        'F':[' #####',' #    ',' #    ',' #### ',' #    ',' #    ',' #    ','      '],'G':['  ### ',' #   #',' #    ',' #  ##',' #   #',' #   #','  ####','      '],
        'H':[' #   #',' #   #',' #   #',' #####',' #   #',' #   #',' #   #','      '],'I':[' #####','   #  ','   #  ','   #  ','   #  ','   #  ',' #####','      '],
        'J':['   ###','     #','     #','     #',' #   #',' #   #','  ### ','      '],'K':[' #   #',' #  # ',' # #  ',' ##   ',' # #  ',' #  # ',' #   #','      '],
        'L':[' #    ',' #    ',' #    ',' #    ',' #    ',' #    ',' #####','      '],'M':[' #   #',' ## ##',' # # #',' # # #',' #   #',' #   #',' #   #','      '],
        'N':[' #   #',' ##  #',' ##  #',' # # #',' #  ##',' #  ##',' #   #','      '],'O':['  ### ',' #   #',' #   #',' #   #',' #   #',' #   #','  ### ','      '],
        'P':[' #### ',' #   #',' #   #',' #### ',' #    ',' #    ',' #    ','      '],'Q':['  ### ',' #   #',' #   #',' #   #',' #   #',' #   #','  ### ','    ##'],
        'R':[' #### ',' #   #',' #   #',' #### ',' # #  ',' #  # ',' #   #','      '],'S':['  ### ',' #   #',' #    ','  ### ','     #',' #   #','  ### ','      '],
        'T':[' #####','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','      '],'U':[' #   #',' #   #',' #   #',' #   #',' #   #',' #   #','  ### ','      '],
        'V':[' #   #',' #   #',' #   #','  # # ','  # # ','   #  ','   #  ','      '],'W':[' #   #',' #   #',' #   #',' # # #',' # # #',' ## ##',' #   #','      '],
        'X':[' #   #',' #   #','  # # ','   #  ','  # # ',' #   #',' #   #','      '],'Y':[' #   #',' #   #','  # # ','   #  ','   #  ','   #  ','   #  ','      '],
        'Z':[' #####','     #','    # ','   #  ','  #   ',' #    ',' #####','      '],'[':['   ###','   #  ','   #  ','   #  ','   #  ','   #  ','   ###','      '],
       '\\':['  #   ','  #   ','   #  ','   #  ','    # ','    # ','     #','     #'],']':[' ###  ','   #  ','   #  ','   #  ','   #  ','   #  ',' ###  ','      '],
        '^':['   #  ','  # # ',' #   #','      ','      ','      ','      ','      '],'_':['      ','      ','      ','      ','      ','      ','######','      '],
        '`':['   #  ','    # ','      ','      ','      ','      ','      ','      '],'a':['      ','      ','  ####',' #   #',' #   #',' #  ##','  ## #','      '],
        'b':[' #    ',' #    ',' #### ',' #   #',' #   #',' #   #',' #### ','      '],'c':['      ','      ','  ####',' #    ',' #    ',' #    ','  ####','      '],
        'd':['     #','     #','  ####',' #   #',' #   #',' #   #','  ####','      '],'e':['      ','      ','  ### ',' #   #',' #####',' #    ','  ### ','      '],
        'f':['   ###','  #   ',' #### ','  #   ','  #   ','  #   ','  #   ','      '],'g':['      ','      ','  ####',' #   #',' #   #','  ####','     #','  ### '],
        'h':[' #    ',' #    ',' #### ',' #   #',' #   #',' #   #',' #   #','      '],'i':['   #  ','      ','  ##  ','   #  ','   #  ','   #  ','  ### ','      '],
        'j':['    # ','      ','  ### ','    # ','    # ','    # ','    # ',' ###  '],'k':[' #    ',' #    ',' #  # ',' # #  ',' ##   ',' # #  ',' #  # ','      '],
        'l':['  ##  ','   #  ','   #  ','   #  ','   #  ','   #  ','  ### ','      '],'m':['      ','      ',' ## # ',' # # #',' # # #',' # # #',' #   #','      '],
        'n':['      ','      ',' # ## ',' ##  #',' #   #',' #   #',' #   #','      '],'o':['      ','      ','  ### ',' #   #',' #   #',' #   #','  ### ','      '],
        'p':['      ','      ',' #### ',' #   #',' #   #',' #   #',' #### ',' #    '],'q':['      ','      ','  ####',' #   #',' #   #',' #   #','  ####','     #'],
        'r':['      ','      ',' # ## ',' ##   ',' #    ',' #    ',' #    ','      '],'s':['      ','      ','  ####',' #    ','  ### ','     #',' #### ','      '],
        't':['   #  ','   #  ',' #####','   #  ','   #  ','   #  ','    ##','      '],'u':['      ','      ',' #   #',' #   #',' #   #',' #  ##','  ## #','      '],
        'v':['      ','      ',' ## ##','  # # ','  # # ','   #  ','   #  ','      '],'w':['      ','      ',' #   #',' # # #',' # # #',' # # #','  # # ','      '],
        'x':['      ','      ',' #   #','  # # ','   #  ','  # # ',' #   #','      '],'y':['      ','      ',' #   #',' #   #',' #   #','  ####','     #','  ### '],
        'z':['      ','      ',' #####','    # ','   #  ','  #   ',' #####','      '],'|':['   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','      '],
        '}':[' #    ','  #   ','  #   ','   #  ','  #   ','  #   ',' #    ','      '],'~':['  #   ',' # # #','    # ','      ','      ','      ','      ','      ']
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_clr6x8.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the clr6x8 font"""
        print(banner_clr6x8.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: clr6x10.flf ─────────────────────────────────────────────────────────────────────────────────────────────────────────
                                                           ##            #     ###
 #####   ###   #   #  #####          ###   #      ####    #     #   #   ##    #   #
 #      #   #  ##  #    #           #   #  #      #   #  #      #   #    #    #  ##
 #      #   #  ##  #    #           #      #      #   #  ####    # #     #    # # #
 ####   #   #  # # #    #           #      #      ####   #   #    #      #    ##  #
 #      #   #  #  ##    #           #      #      # #    #   #   # #     #    #   #
 #      #   #  #  ##    #           #   #  #      #  #   #   #  #   #    #    #   #
 #       ###   #   #    #            ###   #####  #   #   ###   #   #    #     ###

class banner_clr6x10():
    letters = { ##──── The figlet font clr6x10.flf converted to a dict 
        ' ':['      ','      ','      ','      ','      ','      ','      ','      ','      ','      '],'!':['   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','      ','   #  ','      ','      '],
        '"':['  # # ','  # # ','  # # ','      ','      ','      ','      ','      ','      ','      '],'#':['      ','  # # ','  # # ',' #####','  # # ',' #####','  # # ','  # # ','      ','      '],
        '$':['      ','   #  ','  ####',' # #  ','  ### ','   # #',' #### ','   #  ','      ','      '],'%':['      ',' ##   ',' ##  #','    # ','   #  ','  #   ',' #  ##','    ##','      ','      '],
        '&':['      ','  ### ',' #    ',' #    ','  #   ',' # # #',' #  # ','  ## #','      ','      '],'´':['   ## ','   #  ','  #   ','      ','      ','      ','      ','      ','      ','      '],
        '(':['     #','    # ','    # ','    # ','   #  ','    # ','    # ','    # ','     #','      '],')':[' #    ','  #   ','  #   ','   #  ','   #  ','   #  ','  #   ','  #   ',' #    ','      '],
        '*':['      ','      ','   #  ',' # # #','  ### ',' # # #','   #  ','      ','      ','      '],'+':['      ','      ','   #  ','   #  ',' #####','   #  ','   #  ','      ','      ','      '],
        ',':['      ','      ','      ','      ','      ','      ','   ## ','   ## ','   #  ','  #   '],'-':['      ','      ','      ','      ',' #####','      ','      ','      ','      ','      '],
        '.':['      ','      ','      ','      ','      ','      ','   ## ','   ## ','      ','      '],'/':['     #','     #','    # ','    # ','   #  ','   #  ','  #   ','  #   ',' #    ',' #    '],
        '0':['  ### ',' #   #',' #  ##',' # # #',' ##  #',' #   #',' #   #','  ### ','      ','      '],'1':['   #  ','  ##  ','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','      ','      '],
        '2':['  ### ',' #   #','     #','    # ','   #  ','  #   ',' #    ',' #####','      ','      '],'3':['  ### ',' #   #','     #','   ## ','     #','     #',' #   #','  ### ','      ','      '],
        '4':['    # ','   ## ','   ## ','  # # ','  # # ',' #####','    # ','   ###','      ','      '],'5':[' #####',' #    ',' #    ',' #### ','     #','     #',' #   #','  ### ','      ','      '],
        '6':['   ## ','  #   ',' #    ',' #### ',' #   #',' #   #',' #   #','  ### ','      ','      '],'7':[' #####',' #   #','     #','     #','    # ','    # ','   #  ','   #  ','      ','      '],
        '8':['  ### ',' #   #',' #   #','  ### ',' #   #',' #   #',' #   #','  ### ','      ','      '],'9':['  ### ',' #   #',' #   #',' #   #','  ####','     #','    # ','  ##  ','      ','      '],
        ':':['      ','      ','   ## ','   ## ','      ','      ','   ## ','   ## ','      ','      '],';':['      ','      ','   ## ','   ## ','      ','      ','   ## ','   ## ','   #  ','  #   '],
        '<':['      ','      ','    ##','  ##  ','##    ','  ##  ','    ##','      ','      ','      '],'=':['      ','      ','      ',' #####','      ',' #####','      ','      ','      ','      '],
        '>':['      ','      ','##    ','  ##  ','    ##','  ##  ','##    ','      ','      ','      '],'?':['  ### ',' #   #','     #','    # ','   #  ','   #  ','      ','   #  ','      ','      '],
        '@':['      ','  ### ',' #   #',' # ###',' # ###',' # ## ',' #    ','  ### ','      ','      '],'A':['      ','   #  ','  # # ',' #   #',' #   #',' #####',' #   #',' #   #','      ','      '],
        'B':['      ',' #### ',' #   #',' #   #',' #### ',' #   #',' #   #',' #### ','      ','      '],'C':['      ','  ### ',' #   #',' #    ',' #    ',' #    ',' #   #','  ### ','      ','      '],
        'D':['      ',' ###  ',' #  # ',' #   #',' #   #',' #   #',' #  # ',' ###  ','      ','      '],'E':['      ',' #####',' #    ',' #    ',' #### ',' #    ',' #    ',' #####','      ','      '],
        'F':['      ',' #####',' #    ',' #    ',' #### ',' #    ',' #    ',' #    ','      ','      '],'G':['      ','  ### ',' #   #',' #    ',' #  ##',' #   #',' #   #','  ####','      ','      '],
        'H':['      ',' #   #',' #   #',' #   #',' #####',' #   #',' #   #',' #   #','      ','      '],'I':['      ',' #####','   #  ','   #  ','   #  ','   #  ','   #  ',' #####','      ','      '],
        'J':['      ','   ###','     #','     #','     #',' #   #',' #   #','  ### ','      ','      '],'K':['      ',' #   #',' #  # ',' # #  ',' ##   ',' # #  ',' #  # ',' #   #','      ','      '],
        'L':['      ',' #    ',' #    ',' #    ',' #    ',' #    ',' #    ',' #####','      ','      '],'M':['      ',' #   #',' ## ##',' # # #',' # # #',' #   #',' #   #',' #   #','      ','      '],
        'N':['      ',' #   #',' ##  #',' ##  #',' # # #',' #  ##',' #  ##',' #   #','      ','      '],'O':['      ','  ### ',' #   #',' #   #',' #   #',' #   #',' #   #','  ### ','      ','      '],
        'P':['      ',' #### ',' #   #',' #   #',' #### ',' #    ',' #    ',' #    ','      ','      '],'Q':['      ','  ### ',' #   #',' #   #',' #   #',' #   #',' #   #','  ### ','    ##','      '],
        'R':['      ',' #### ',' #   #',' #   #',' #### ',' # #  ',' #  # ',' #   #','      ','      '],'S':['      ','  ### ',' #   #',' #    ','  ### ','     #',' #   #','  ### ','      ','      '],
        'T':['      ',' #####','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','      ','      '],'U':['      ',' #   #',' #   #',' #   #',' #   #',' #   #',' #   #','  ### ','      ','      '],
        'V':['      ',' #   #',' #   #',' #   #','  # # ','  # # ','   #  ','   #  ','      ','      '],'W':['      ',' #   #',' #   #',' #   #',' # # #',' # # #',' ## ##',' #   #','      ','      '],
        'X':['      ',' #   #',' #   #','  # # ','   #  ','  # # ',' #   #',' #   #','      ','      '],'Y':['      ',' #   #',' #   #','  # # ','   #  ','   #  ','   #  ','   #  ','      ','      '],
        'Z':['      ',' #####','     #','    # ','   #  ','  #   ',' #    ',' #####','      ','      '],'[':['   ###','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','   ###','      '],
       '\\':[' #    ',' #    ','  #   ','  #   ','   #  ','   #  ','    # ','    # ','     #','     #'],']':[' ###  ','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ',' ###  ','      '],
        '^':['   #  ','  # # ',' #   #','      ','      ','      ','      ','      ','      ','      '],'_':['      ','      ','      ','      ','      ','      ','      ','      ','######','      '],
        '`':['  ##  ','   #  ','    # ','      ','      ','      ','      ','      ','      ','      '],'a':['      ','      ','      ','  ####',' #   #',' #   #',' #  ##','  ## #','      ','      '],
        'b':[' #    ',' #    ',' #    ',' #### ',' #   #',' #   #',' #   #',' #### ','      ','      '],'c':['      ','      ','      ','  ####',' #    ',' #    ',' #    ','  ####','      ','      '],
        'd':['     #','     #','     #','  ####',' #   #',' #   #',' #   #','  ####','      ','      '],'e':['      ','      ','      ','  ### ',' #   #',' #####',' #    ','  ### ','      ','      '],
        'f':['   ###','  #   ','  #   ',' #### ','  #   ','  #   ','  #   ','  #   ','      ','      '],'g':['      ','      ','      ','  ####',' #   #',' #   #',' #   #','  ####','     #','  ### '],
        'h':[' #    ',' #    ',' #    ',' #### ',' #   #',' #   #',' #   #',' #   #','      ','      '],'i':['   #  ','   #  ','      ','  ##  ','   #  ','   #  ','   #  ','  ### ','      ','      '],
        'j':['    # ','    # ','      ','  ### ','    # ','    # ','    # ','    # ','    # ',' ###  '],'k':[' #    ',' #    ',' #    ',' #  # ',' # #  ',' ##   ',' # #  ',' #  # ','      ','      '],
        'l':['  ##  ','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','  ### ','      ','      '],'m':['      ','      ','      ',' ## # ',' # # #',' # # #',' # # #',' #   #','      ','      '],
        'n':['      ','      ','      ',' # ## ',' ##  #',' #   #',' #   #',' #   #','      ','      '],'o':['      ','      ','      ','  ### ',' #   #',' #   #',' #   #','  ### ','      ','      '],
        'p':['      ','      ','      ',' #### ',' #   #',' #   #',' #   #',' #### ',' #    ',' #    '],'q':['      ','      ','      ','  ####',' #   #',' #   #',' #   #','  ####','     #','     #'],
        'r':['      ','      ','      ',' # ## ',' ##   ',' #    ',' #    ',' #    ','      ','      '],'s':['      ','      ','      ','  ####',' #    ','  ### ','     #',' #### ','      ','      '],
        't':['   #  ','   #  ','   #  ',' #####','   #  ','   #  ','   #  ','    ##','      ','      '],'u':['      ','      ','      ',' #   #',' #   #',' #   #',' #  ##','  ## #','      ','      '],
        'v':['      ','      ','      ',' ## ##','  # # ','  # # ','   #  ','   #  ','      ','      '],'w':['      ','      ','      ',' #   #',' # # #',' # # #',' # # #','  # # ','      ','      '],
        'x':['      ','      ','      ',' #   #','  # # ','   #  ','  # # ',' #   #','      ','      '],'y':['      ','      ','      ',' #   #',' #   #',' #   #',' #   #','  ####','     #','  ### '],
        'z':['      ','      ','      ',' #####','    # ','   #  ','  #   ',' #####','      ','      '],'|':['   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','      '],
        '}':[' #    ','  #   ','  #   ','  #   ','   #  ','  #   ','  #   ','  #   ',' #    ','      '],'~':['      ','  #   ',' # # #','    # ','      ','      ','      ','      ','      ','      ']
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_clr6x10.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the clr6x10 font"""
        print(banner_clr6x10.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: clb6x10.flf (bold) ──────────────────────────────────────────────────────────────────────────────────────────────────

                                                           ##            ##    ###
 #####   ###   #  ## ######          ###   ##     ####    ##    ## ##   ###   ## ##
 ##     ## ##  ## ##   ##           ## ##  ##     ## ##  ##     ## ##    ##   ## ##
 ##     ## ##  #####   ##           ##     ##     ## ##  ####   #####    ##   ## ##
 ####   ## ##  #####   ##           ##     ##     ####   ## ##   ###     ##   ## ##
 ##     ## ##  #####   ##           ##     ##     ## ##  ## ##  #####    ##   ## ##
 ##     ## ##  ## ##   ##           ## ##  ##     ## ##  ## ##  ## ##    ##   ## ##
 ##      ###   ##  #   ##            ###   #####  ####    ###   ## ##    ##    ###

class banner_clb6x10():
    letters = { ##──── The figlet font clb6x10.flf converted to a dict 
        ' ':['      ','      ','      ','      ','      ','      ','      ','      ','      ','      '],'!':['  ##  ','  ##  ','  ##  ','  ##  ','  ##  ','  ##  ','      ','  ##  ','      ','      '],
        '"':['  # # ','  # # ','  # # ','      ','      ','      ','      ','      ','      ','      '],'#':['      ','  # # ','  # # ',' #####','  # # ',' #####','  # # ','  # # ','      ','      '],
        '$':['      ','   #  ','  ####',' # #  ','  ### ','   # #',' #### ','   #  ','      ','      '],'%':['      ',' ##   ',' ##  #','    # ','   #  ','  #   ',' #  ##','    ##','      ','      '],
        '&':['      ','  ### ',' #    ',' #    ','  #   ',' # # #',' #  # ','  ## #','      ','      '],'´':['   ## ','   #  ','  #   ','      ','      ','      ','      ','      ','      ','      '],
        '(':['    ##','   ## ','   ## ','   ## ','  ##  ','   ## ','   ## ','   ## ','    ##','      '],')':[' ##   ','  ##  ','  ##  ','   ## ','   ## ','   ## ','  ##  ','  ##  ',' ##   ','      '],
        '*':['      ','      ','   #  ',' # # #','  ### ',' # # #','   #  ','      ','      ','      '],'+':['      ','      ','   #  ','   #  ',' #####','   #  ','   #  ','      ','      ','      '],
        ',':['      ','      ','      ','      ','      ','      ','   ## ','   ## ','   #  ','  #   '],'-':['      ','      ','      ','      ',' #####','      ','      ','      ','      ','      '],
        '.':['      ','      ','      ','      ','      ','      ','   ## ','   ## ','      ','      '],'/':['     #','     #','    # ','    # ','   #  ','   #  ','  #   ','  #   ',' #    ',' #    '],
        '0':['  ### ',' ## ##',' ## ##',' ## ##',' ## ##',' ## ##',' ## ##','  ### ','      ','      '],'1':['   ## ','  ### ','   ## ','   ## ','   ## ','   ## ','   ## ','   ## ','      ','      '],
        '2':['  ### ',' ## ##','    ##','   ## ','   ## ','  ##  ','  ##  ',' #####','      ','      '],'3':['  ### ',' ## ##','    ##','   ## ','    ##','    ##',' ## ##','  ### ','      ','      '],
        '4':['    ##','   ###','   ###','  ####','  # ##',' ## ##',' #####','    ##','      ','      '],'5':[' #####',' ##   ',' ##   ',' #### ','    ##','    ##',' ## ##','  ### ','      ','      '],
        '6':['   ## ','  ##  ',' ##   ',' #### ',' ## ##',' ## ##',' ## ##','  ### ','      ','      '],'7':[' #####',' ## ##','    ##','    ##','   ## ','   ## ','  ##  ','  ##  ','      ','      '],
        '8':['  ### ',' ## ##',' ## ##','  ### ',' ## ##',' ## ##',' ## ##','  ### ','      ','      '],'9':['  ### ',' ## ##',' ## ##',' ## ##','  ####','    ##','   ## ','  ##  ','      ','      '],
        ':':['      ','      ','   ## ','   ## ','      ','      ','   ## ','   ## ','      ','      '],';':['      ','      ','   ## ','   ## ','      ','      ','   ## ','   ## ','   #  ','  #   '],
        '<':['      ','      ','    ##','  ##  ','##    ','  ##  ','    ##','      ','      ','      '],'=':['      ','      ','      ',' #####','      ',' #####','      ','      ','      ','      '],
        '>':['      ','      ','##    ','  ##  ','    ##','  ##  ','##    ','      ','      ','      '],'?':[' #### ','##  ##','    ##','   ## ','  ##  ','  ##  ','      ','  ##  ','      ','      '],
        '@':['      ',' #### ','##  ##','## ###','## ###','## ## ','##    ',' #### ','      ','      '],'A':['      ','   #  ','  ### ',' ## ##',' ## ##',' #####',' ## ##',' ## ##','      ','      '],
        'B':['      ',' #### ',' ## ##',' ## ##',' #### ',' ## ##',' ## ##',' #### ','      ','      '],'C':['      ','  ### ',' ## ##',' ##   ',' ##   ',' ##   ',' ## ##','  ### ','      ','      '],
        'D':['      ',' #### ',' ## ##',' ## ##',' ## ##',' ## ##',' ## ##',' #### ','      ','      '],'E':['      ',' #####',' ##   ',' ##   ',' #### ',' ##   ',' ##   ',' #####','      ','      '],
        'F':['      ',' #####',' ##   ',' ##   ',' #### ',' ##   ',' ##   ',' ##   ','      ','      '],'G':['      ','  ### ',' ## ##',' ##   ',' #####',' ## ##',' ## ##','  ####','      ','      '],
        'H':['      ',' ## ##',' ## ##',' ## ##',' #####',' ## ##',' ## ##',' ## ##','      ','      '],'I':['      ',' #### ','  ##  ','  ##  ','  ##  ','  ##  ','  ##  ',' #### ','      ','      '],
        'J':['      ','   ###','    ##','    ##','    ##',' ## ##',' ## ##','  ### ','      ','      '],'K':['      ',' ## ##',' ## ##',' #### ',' ###  ',' #### ',' ## ##',' ## ##','      ','      '],
        'L':['      ',' ##   ',' ##   ',' ##   ',' ##   ',' ##   ',' ##   ',' #####','      ','      '],'M':['      ',' #   #',' ## ##',' #####',' #####',' #####',' ## ##',' ## ##','      ','      '],
        'N':['      ',' #  ##',' ## ##',' #####',' #####',' #####',' ## ##',' ##  #','      ','      '],'O':['      ','  ### ',' ## ##',' ## ##',' ## ##',' ## ##',' ## ##','  ### ','      ','      '],
        'P':['      ',' #### ',' ## ##',' ## ##',' #### ',' ##   ',' ##   ',' ##   ','      ','      '],'Q':['      ','  ### ',' ## ##',' ## ##',' ## ##',' ## ##',' ## ##','  ### ','    ##','      '],
        'R':['      ',' #### ',' ## ##',' ## ##',' #### ',' ###  ',' #### ',' ## ##','      ','      '],'S':['      ','  ### ',' ## ##',' ##   ','  ### ','    ##',' ## ##','  ### ','      ','      '],
        'T':['      ','######','  ##  ','  ##  ','  ##  ','  ##  ','  ##  ','  ##  ','      ','      '],'U':['      ',' ## ##',' ## ##',' ## ##',' ## ##',' ## ##',' ## ##','  ### ','      ','      '],
        'V':['      ',' ## ##',' ## ##',' ## ##',' ## ##',' ## ##','  ### ','   #  ','      ','      '],'W':['      ',' ## ##',' ## ##',' #####',' #####',' #####',' ## ##',' #   #','      ','      '],
        'X':['      ',' ## ##',' ## ##',' #####','  ### ',' #####',' ## ##',' ## ##','      ','      '],'Y':['      ',' ## ##',' ## ##',' ## ##','  ### ','  ### ','  ### ','  ### ','      ','      '],
        'Z':['      ',' #####','    ##','   ###','  ### ',' ###  ',' ##   ',' #####','      ','      '],'[':['  ####','  ##  ','  ##  ','  ##  ','  ##  ','  ##  ','  ##  ','  ##  ','  ####','      '],
       '\\':[' #    ',' #    ','  #   ','  #   ','   #  ','   #  ','    # ','    # ','     #','     #'],']':[' #### ','   ## ','   ## ','   ## ','   ## ','   ## ','   ## ','   ## ',' #### ','      '],
        '^':['  ##  ',' ## # ','##   #','      ','      ','      ','      ','      ','      ','      '],'_':['      ','      ','      ','      ','      ','      ','      ','      ','######','      '],
        '`':['  ##  ','   #  ','    # ','      ','      ','      ','      ','      ','      ','      '],'a':['      ','      ','      ','  ####',' ## ##',' ## ##',' ## ##','  ## #','      ','      '],
        'b':[' ##   ',' ##   ',' ##   ',' #### ',' ## ##',' ## ##',' ## ##',' #### ','      ','      '],'c':['      ','      ','      ','  ####',' ##   ',' ##   ',' ##   ','  ####','      ','      '],
        'd':['    ##','    ##','    ##','  ####',' ## ##',' ## ##',' ## ##','  ####','      ','      '],'e':['      ','      ','      ','  ### ',' ## ##',' #####',' ##   ','  ### ','      ','      '],
        'f':['   ###','  ##  ','  ##  ',' #### ','  ##  ','  ##  ','  ##  ','  ##  ','  #   ','      '],'g':['      ','      ','      ','  ####',' ## ##',' ## ##',' ## ##','  ####','    ##','  ### '],
        'h':[' ##   ',' ##   ',' ##   ',' #### ',' ## ##',' ## ##',' ## ##',' ## ##','      ','      '],'i':['  ##  ','  ##  ','      ',' ###  ','  ##  ','  ##  ','  ##  ',' #### ','      ','      '],
        'j':['   ## ','   ## ','      ','  ### ','   ## ','   ## ','   ## ','   ## ','   ## ',' ###  '],'k':[' ##   ',' ##   ',' ##   ',' ## ##',' #### ',' ###  ',' #### ',' ## ##','      ','      '],
        'l':[' ###  ','  ##  ','  ##  ','  ##  ','  ##  ','  ##  ','  ##  ',' #### ','      ','      '],'m':['      ','      ','      ',' ## # ',' #####',' #####',' #####',' ## ##','      ','      '],
        'n':['      ','      ','      ',' # ## ',' ## ##',' ## ##',' ## ##',' ## ##','      ','      '],'o':['      ','      ','      ','  ### ',' ## ##',' ## ##',' ## ##','  ### ','      ','      '],
        'p':['      ','      ','      ',' #### ',' ## ##',' ## ##',' ## ##',' #### ',' ##   ',' ##   '],'q':['      ','      ','      ','  ####',' ## ##',' ## ##',' ## ##','  ####','    ##','    ##'],
        'r':['      ','      ','      ',' # ###',' ###  ',' ##   ',' ##   ',' ##   ','      ','      '],'s':['      ','      ','      ','  ####',' ##   ','  ### ','    ##',' #### ','      ','      '],
        't':['  ##  ','  ##  ','  ##  ',' #### ','  ##  ','  ##  ','  ##  ','   ## ','      ','      '],'u':['      ','      ','      ',' ## ##',' ## ##',' ## ##',' ## ##','  ## #','      ','      '],
        'v':['      ','      ','      ',' ## ##',' ## ##',' ## ##','  ### ','   #  ','      ','      '],'w':['      ','      ','      ',' ## ##',' #####',' #####',' #####','  # # ','      ','      '],
        'x':['      ','      ','      ',' ## ##',' ## ##','  ### ',' ## ##',' ## ##','      ','      '],'y':['      ','      ','      ',' ## ##',' ## ##',' ## ##',' ## ##','  ####','    ##','  ### '],
        'z':['      ','      ','      ',' #####','   ###','  ### ',' ###  ',' #####','      ','      '],'|':['   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','      '],
        '}':[' ##   ','  ##  ','  ##  ','  ##  ','   ## ','  ##  ','  ##  ','  ##  ',' ##   ','      '],'~':['      ','  #   ',' # # #','    # ','      ','      ','      ','      ','      ','      '],               
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_clb6x10.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the clb6x10 font"""
        print(banner_clb6x10.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: clr7x8.flf ──────────────────────────────────────────────────────────────────────────────────────────────────────────

 ######    ##    #    #  #####             ###   #       #####   #####   #   #    ###
 #        #  #   ##   #    #              #   #  #       #    #      #   #   #   #   #
 #       #    #  # #  #    #             #       #       #    #      #    # #    #   #
 ####    #    #  #  # #    #             #       #       #####      #      #      ###
 #       #    #  #   ##    #             #       #       #  #       #     # #    #   #
 #        #  #   #    #    #              #   #  #       #   #     #     #   #   #   #
 #         ##    #    #    #               ###   #####   #    #    #     #   #    ###

class banner_clr7x8():
    letters = { ##──── The figlet font clr7x8.flf converted to a dict
        ' ':['       ','       ','       ','       ','       ','       ','       ','       '],'!':['   #   ','   #   ','   #   ','   #   ','   #   ','       ','   #   ','       '],
        '"':['  # #  ','  # #  ','  # #  ','       ','       ','       ','       ','       '],'#':['  # #  ','  # #  ',' ##### ','  # #  ',' ##### ','  # #  ','  # #  ','       '],
        '$':['   #   ','  #### ',' # #   ','  ###  ','   # # ',' ####  ','   #   ','       '],'%':[' #     ','# #  # ',' #  #  ','   #   ','  #  # ',' #  # #','     # ','       '],
        '&':['  ###  ',' #     ','  #    ','  ##   ',' #  # #',' #   # ','  ### #','       '],'´':['   ##  ','   #   ','  #    ','       ','       ','       ','       ','       '],
        '(':['    #  ','   #   ','   #   ','  #    ','   #   ','   #   ','    #  ','       '],')':['  #    ','   #   ','    #  ','    #  ','    #  ','   #   ','  #    ','       '],
        '*':['       ','   #   ',' # # # ','  ###  ',' # # # ','   #   ','       ','       '],'+':['       ','   #   ','   #   ',' ##### ','   #   ','   #   ','       ','       '],
        ',':['       ','       ','       ','       ','       ','  ##   ','  #    ',' #     '],'-':['       ','       ','       ',' ######','       ','       ','       ','       '],
        '.':['       ','       ','       ','       ','       ','  ##   ','  ##   ','       '],'/':['       ','      #','     # ','    #  ','   #   ','  #    ',' #     ','       '],
        '0':['  ###  ',' #   # ',' #   # ',' #   # ',' #   # ',' #   # ','  ###  ','       '],'1':['   #   ','  ##   ','   #   ','   #   ','   #   ','   #   ','   #   ','       '],
        '2':['  ###  ',' #   # ','     # ','    #  ','   #   ','  #    ',' ##### ','       '],'3':['  ###  ',' #   # ','     # ','   ##  ','     # ',' #   # ','  ###  ','       '],
        '4':['   ##  ','   ##  ','  # #  ','  # #  ',' ##### ','    #  ','   ### ','       '],'5':[' ##### ',' #     ',' #     ',' ####  ','     # ','     # ',' ####  ','       '],
        '6':['   ##  ','  #    ',' #     ',' ####  ',' #   # ',' #   # ','  ###  ','       '],'7':[' ##### ','     # ','     # ','    #  ','    #  ','   #   ','   #   ','       '],
        '8':['  ###  ',' #   # ',' #   # ','  ###  ',' #   # ',' #   # ','  ###  ','       '],'9':['  ###  ',' #   # ',' #   # ','  #### ','     # ','    #  ','  ##   ','       '],
        ':':['       ','  ##   ','  ##   ','       ','       ','  ##   ','  ##   ','       '],';':['       ','  ##   ','  ##   ','       ','       ','  ##   ','  #    ',' #     '],
        '<':['       ','     ##','   ##  ',' ##    ','   ##  ','     ##','       ','       '],'=':['       ','       ',' ######','       ','       ',' ######','       ','       '],
        '>':['       ',' ##    ','   ##  ','     ##','   ##  ',' ##    ','       ','       '],'?':['  ###  ',' #   # ','     # ','    #  ','   #   ','       ','   #   ','       '],
        '@':['  ###  ',' #   # ',' # ### ',' # # # ',' # ### ',' #     ','  ###  ','       '],'A':['   #   ','   #   ','  ###  ','  # #  ',' ##### ',' #   # ','##   ##','       '],
        'B':[' ##### ',' #    #',' #    #',' ##### ',' #    #',' #    #',' ##### ','       '],'C':['   ### ','  #   #',' #     ',' #     ',' #     ','  #   #','   ### ','       '],
        'D':[' ####  ',' #   # ',' #    #',' #    #',' #    #',' #   # ',' ####  ','       '],'E':[' ######',' #     ',' #     ',' ####  ',' #     ',' #     ',' ######','       '],
        'F':[' ######',' #     ',' #     ',' ####  ',' #     ',' #     ',' #     ','       '],'G':['   ### ','  #   #',' #     ',' #  ###',' #    #','  #   #','   ####','       '],
        'H':[' #    #',' #    #',' #    #',' ######',' #    #',' #    #',' #    #','       '],'I':[' ##### ','   #   ','   #   ','   #   ','   #   ','   #   ',' ##### ','       '],
        'J':['   ### ','     # ','     # ','     # ',' #   # ',' #   # ','  ###  ','       '],'K':[' #   # ',' #  #  ',' # #   ',' ##    ',' # #   ',' #  #  ',' #   # ','       '],
        'L':[' #     ',' #     ',' #     ',' #     ',' #     ',' #     ',' ##### ','       '],'M':[' #    #',' ##  ##',' # ## #',' #    #',' #    #',' #    #',' #    #','       '],
        'N':[' #    #',' ##   #',' # #  #',' #  # #',' #   ##',' #    #',' #    #','       '],'O':['   ##  ','  #  # ',' #    #',' #    #',' #    #','  #  # ','   ##  ','       '],
        'P':[' ##### ',' #    #',' #    #',' ##### ',' #     ',' #     ',' #     ','       '],'Q':['   ##  ','  #  # ',' #    #',' #    #',' #    #','  #  # ','   ##  ','    ###'],
        'R':[' ##### ',' #    #',' #    #',' ##### ',' #  #  ',' #   # ',' #    #','       '],'S':['  #### ',' #    #',' #     ','  #### ','      #',' #    #','  #### ','       '],
        'T':[' ##### ','   #   ','   #   ','   #   ','   #   ','   #   ','   #   ','       '],'U':[' #    #',' #    #',' #    #',' #    #',' #    #',' #    #','  #### ','       '],
        'V':['##   ##',' #   # ',' #   # ','  # #  ','  # #  ','   #   ','   #   ','       '],'W':[' #    #',' #    #',' #    #',' #    #',' # ## #',' ##  ##',' #    #','       '],
        'X':[' #   # ',' #   # ','  # #  ','   #   ','  # #  ',' #   # ',' #   # ','       '],'Y':[' #   # ',' #   # ','  # #  ','   #   ','   #   ','   #   ','   #   ','       '],
        'Z':[' ##### ','     # ','    #  ','   #   ','  #    ',' #     ',' ##### ','       '],'[':['   ### ','   #   ','   #   ','   #   ','   #   ','   #   ','   ### ','       '],
       '\\':['       ',' #     ','  #    ','   #   ','    #  ','     # ','      #','       '],']':[' ###   ','   #   ','   #   ','   #   ','   #   ','   #   ',' ###   ','       '],
        '^':['   #   ','  # #  ',' #   # ','       ','       ','       ','       ','       '],'_':['       ','       ','       ','       ','       ','       ','       ',' ######'],
        '`':['  ##   ','   #   ','    #  ','       ','       ','       ','       ','       '],'a':['       ','       ','  #####',' #    #',' #    #',' #   ##','  ### #','       '],
        'b':[' #     ',' #     ',' ##### ',' #    #',' #    #',' #    #',' ##### ','       '],'c':['       ','       ','  #### ',' #     ',' #     ',' #     ','  #### ','       '],
        'd':['      #','      #','  #####',' #    #',' #    #',' #    #','  #####','       '],'e':['       ','       ','  #### ',' #    #',' ######',' #     ','  #### ','       '],
        'f':['   ### ','  #    ',' ####  ','  #    ','  #    ','  #    ','  #    ','       '],'g':['       ','       ','  #####',' #    #',' #    #','  #####','      #','  #### '],
        'h':[' #     ',' #     ',' ##### ',' #    #',' #    #',' #    #',' #    #','       '],'i':['   #   ','       ',' ###   ','   #   ','   #   ','   #   ',' ##### ','       '],
        'j':['     # ','       ','   ### ','     # ','     # ','     # ','     # ',' ####  '],'k':[' #     ',' #     ',' #   # ',' #  #  ',' ###   ',' #  #  ',' #   # ','       '],
        'l':['  ##   ','   #   ','   #   ','   #   ','   #   ','   #   ','  ###  ','       '],'m':['       ','       ',' ## #  ',' # # # ',' # # # ',' # # # ',' #   # ','       '],
        'n':['       ','       ',' # ### ',' ##   #',' #    #',' #    #',' #    #','       '],'o':['       ','       ','  #### ',' #    #',' #    #',' #    #','  #### ','       '],
        'p':['       ','       ',' ##### ',' #    #',' #    #',' #    #',' ##### ',' #     '],'q':['       ','       ','  #####',' #    #',' #    #',' #    #','  #####','      #'],
        'r':['       ','       ',' # ### ',' ##    ',' #     ',' #     ',' #     ','       '],'s':['       ','       ','  #####',' #     ','  #### ','      #',' ##### ','       '],
        't':['   #   ','   #   ',' ##### ','   #   ','   #   ','   #   ','    ###','       '],'u':['       ','       ',' #    #',' #    #',' #    #',' #   ##','  ### #','       '],
        'v':['       ','       ','##   ##',' #   # ','  # #  ','  # #  ','   #   ','       '],'w':['       ','       ',' #   # ',' # # # ',' # # # ',' # # # ','  # #  ','       '],
        'x':['       ','       ',' #   # ','  # #  ','   #   ','  # #  ',' #   # ','       '],'y':['       ','       ',' #    #',' #    #',' #    #','  #####','      #','  #### '],
        'z':['       ','       ',' ##### ','    #  ','   #   ','  #    ',' ##### ','       '],'|':['   #   ','   #   ','   #   ','   #   ','   #   ','   #   ','   #   ','       '],
        '}':['  #    ','   #   ','   #   ','    #  ','   #   ','   #   ','  #    ','       '],'~':['  #    ',' # # # ','    #  ','       ','       ','       ','       ','       '],                              
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_clr7x8.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the clr7x8 font"""
        print(banner_clr7x8.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: clr7x10.flf ──────────────────────────────────────────────────────────────────────────────────────────────────────────

                                                                 #####             #      ###
 ######    ##    #    #  #####             ###   #       #####   #   #   #   #    ##     #   #
 #        #  #   ##   #    #              #   #  #       #    #      #   #   #     #     #   #
 #       #    #  # #  #    #             #       #       #    #     #     # #      #     #   #
 ####    #    #  #  # #    #             #       #       #####      #      #       #     #   #
 #       #    #  #   ##    #             #       #       #  #      #      # #      #     #   #
 #        #  #   #    #    #              #   #  #       #   #     #     #   #     #     #   #
 #         ##    #    #    #               ###   #####   #    #    #     #   #     #      ###

class banner_clr7x10():
    letters = { ##──── The figlet font clr7x10.flf converted to a dict 
        ' ':['       ','       ','       ','       ','       ','       ','       ','       ','       ','       '],'!':['   #   ','   #   ','   #   ','   #   ','   #   ','   #   ','       ','   #   ','       ','       '],
        '"':['  # #  ','  # #  ','  # #  ','       ','       ','       ','       ','       ','       ','       '],'#':['  #  # ','  #  # ',' ######','  #  # ','  #  # ',' ######','  #  # ','  #  # ','       ','       '],
        '$':['       ','   #   ','  #### ',' # #   ','  ###  ','   # # ',' ####  ','   #   ','       ','       '],'%':['       ',' #     ','# #  # ',' #  #  ','   #   ','  #  # ',' #  # #','     # ','       ','       '],
        '&':['       ','  ###  ',' #     ','  #    ','  ##   ',' #  # #',' #   # ','  ### #','       ','       '],'´':['   ##  ','   #   ','  #    ','       ','       ','       ','       ','       ','       ','       '],
        '(':['    #  ','   #   ','   #   ','   #   ','  #    ','   #   ','   #   ','   #   ','    #  ','       '],')':['  #    ','   #   ','   #   ','    #  ','    #  ','    #  ','   #   ','   #   ','  #    ','       '],
        '*':['       ','       ','   #   ',' # # # ','  ###  ',' # # # ','   #   ','       ','       ','       '],'+':['       ','       ','   #   ','   #   ',' ##### ','   #   ','   #   ','       ','       ','       '],
        ',':['       ','       ','       ','       ','       ','       ','  ##   ','  #    ',' #     ','       '],'-':['       ','       ','       ','       ',' ######','       ','       ','       ','       ','       '],
        '.':['       ','       ','       ','       ','       ','       ','  ##   ','  ##   ','       ','       '],'/':['     # ','     # ','    #  ','    #  ','   #   ','   #   ','  #    ','  #    ',' #     ',' #     '],
        '0':['  ###  ',' #   # ',' #   # ',' #   # ',' #   # ',' #   # ',' #   # ','  ###  ','       ','       '],'1':['   #   ','  ##   ','   #   ','   #   ','   #   ','   #   ','   #   ','   #   ','       ','       '],
        '2':['  ###  ',' #   # ','     # ','    #  ','   #   ','  #    ',' #     ',' ##### ','       ','       '],'3':['  ###  ',' #   # ','     # ','   ##  ','     # ','     # ',' #   # ','  ###  ','       ','       '],
        '4':['    #  ','   ##  ','   ##  ','  # #  ','  # #  ',' ##### ','    #  ','   ### ','       ','       '],'5':[' ##### ',' #     ',' #     ',' ####  ','     # ','     # ',' #   # ','  ###  ','       ','       '],
        '6':['   ##  ','  #    ',' #     ',' ####  ',' #   # ',' #   # ',' #   # ','  ###  ','       ','       '],'7':[' ##### ',' #   # ','     # ','    #  ','    #  ','   #   ','   #   ','   #   ','       ','       '],
        '8':['  ###  ',' #   # ',' #   # ','  ###  ',' #   # ',' #   # ',' #   # ','  ###  ','       ','       '],'9':['  ###  ',' #   # ',' #   # ',' #   # ','  #### ','     # ','    #  ','  ##   ','       ','       '],
        ':':['       ','       ','  ##   ','  ##   ','       ','       ','  ##   ','  ##   ','       ','       '],';':['       ','       ','  ##   ','  ##   ','       ','       ','  ##   ','  #    ',' #     ','       '],
        '<':['       ','       ','     ##','   ##  ',' ##    ','   ##  ','     ##','       ','       ','       '],'=':['       ','       ','       ',' ######','       ','       ',' ######','       ','       ','       '],
        '>':['       ','       ',' ##    ','   ##  ','     ##','   ##  ',' ##    ','       ','       ','       '],'?':['  #### ',' #    #','      #','     # ','    #  ','    #  ','       ','    #  ','       ','       '],
        '@':['       ','  ###  ',' #   # ',' # ### ',' # # # ',' # ### ',' #     ','  ###  ','       ','       '],'A':['       ','   #   ','   #   ','  ###  ','  # #  ',' ##### ',' #   # ','##   ##','       ','       '],
        'B':['       ',' ##### ',' #    #',' #    #',' ##### ',' #    #',' #    #',' ##### ','       ','       '],'C':['       ','   ### ','  #   #',' #     ',' #     ',' #     ','  #   #','   ### ','       ','       '],
        'D':['       ',' ####  ',' #   # ',' #    #',' #    #',' #    #',' #   # ',' ####  ','       ','       '],'E':['       ',' ######',' #     ',' #     ',' ####  ',' #     ',' #     ',' ######','       ','       '],
        'F':['       ',' ######',' #     ',' #     ',' ####  ',' #     ',' #     ',' #     ','       ','       '],'G':['       ','   ### ','  #   #',' #     ',' #  ###',' #    #','  #   #','   ####','       ','       '],
        'H':['       ',' #    #',' #    #',' #    #',' ######',' #    #',' #    #',' #    #','       ','       '],'I':['       ',' ##### ','   #   ','   #   ','   #   ','   #   ','   #   ',' ##### ','       ','       '],
        'J':['       ','   ### ','     # ','     # ','     # ',' #   # ',' #   # ','  ###  ','       ','       '],'K':['       ',' #   # ',' #  #  ',' # #   ',' ##    ',' # #   ',' #  #  ',' #   # ','       ','       '],
        'L':['       ',' #     ',' #     ',' #     ',' #     ',' #     ',' #     ',' ##### ','       ','       '],'M':['       ',' #    #',' ##  ##',' # ## #',' #    #',' #    #',' #    #',' #    #','       ','       '],
        'N':['       ',' #    #',' ##   #',' # #  #',' #  # #',' #   ##',' #    #',' #    #','       ','       '],'O':['       ','   ##  ','  #  # ',' #    #',' #    #',' #    #','  #  # ','   ##  ','       ','       '],
        'P':['       ',' ##### ',' #    #',' #    #',' ##### ',' #     ',' #     ',' #     ','       ','       '],'Q':['       ','   ##  ','  #  # ',' #    #',' #    #',' #    #','  #  # ','   ##  ','    ###','       '],
        'R':['       ',' ##### ',' #    #',' #    #',' ##### ',' #  #  ',' #   # ',' #    #','       ','       '],'S':['       ','  #### ',' #    #',' #     ','  #### ','      #',' #    #','  #### ','       ','       '],
        'T':['       ',' ##### ','   #   ','   #   ','   #   ','   #   ','   #   ','   #   ','       ','       '],'U':['       ',' #    #',' #    #',' #    #',' #    #',' #    #',' #    #','  #### ','       ','       '],
        'V':['       ','##   ##',' #   # ',' #   # ','  # #  ','  # #  ','   #   ','   #   ','       ','       '],'W':['       ',' #    #',' #    #',' #    #',' #    #',' # ## #',' ##  ##',' #    #','       ','       '],
        'X':['       ',' #   # ',' #   # ','  # #  ','   #   ','  # #  ',' #   # ',' #   # ','       ','       '],'Y':['       ',' #   # ',' #   # ','  # #  ','   #   ','   #   ','   #   ','   #   ','       ','       '],
        'Z':['       ',' ##### ','     # ','    #  ','   #   ','  #    ',' #     ',' ##### ','       ','       '],'[':['   ### ','   #   ','   #   ','   #   ','   #   ','   #   ','   #   ','   #   ','   ### ','       '],
       '\\':[' #     ',' #     ','  #    ','  #    ','   #   ','   #   ','    #  ','    #  ','     # ','     # '],']':[' ###   ','   #   ','   #   ','   #   ','   #   ','   #   ','   #   ','   #   ',' ###   ','       '],
        '^':['   #   ','  # #  ',' #   # ','       ','       ','       ','       ','       ','       ','       '],'_':['       ','       ','       ','       ','       ','       ','       ','       ','       ',' ######'],
        '`':['  ##   ','   #   ','    #  ','       ','       ','       ','       ','       ','       ','       '],'a':['       ','       ','       ','  #####',' #    #',' #    #',' #   ##','  ### #','       ','       '],
        'b':[' #     ',' #     ',' #     ',' ##### ',' #    #',' #    #',' #    #',' ##### ','       ','       '],'c':['       ','       ','       ','  #### ',' #     ',' #     ',' #     ','  #### ','       ','       '],
        'd':['      #','      #','      #','  #####',' #    #',' #    #',' #    #','  #####','       ','       '],'e':['       ','       ','       ','  #### ',' #    #',' ######',' #     ','  #### ','       ','       '],
        'f':['   ### ','  #    ','  #    ',' ####  ','  #    ','  #    ','  #    ','  #    ','       ','       '],'g':['       ','       ','       ','  #####',' #    #',' #    #',' #    #','  #####','      #','  #### '],
        'h':[' #     ',' #     ',' #     ',' ##### ',' #    #',' #    #',' #    #',' #    #','       ','       '],'i':['   #   ','   #   ','       ',' ###   ','   #   ','   #   ','   #   ',' ##### ','       ','       '],
        'j':['     # ','     # ','       ','   ### ','     # ','     # ','     # ','     # ','     # ',' ####  '],'k':[' #     ',' #     ',' #     ',' #   # ',' #  #  ',' ###   ',' #  #  ',' #   # ','       ','       '],
        'l':['  ##   ','   #   ','   #   ','   #   ','   #   ','   #   ','   #   ','  ###  ','       ','       '],'m':['       ','       ','       ',' ## #  ',' # # # ',' # # # ',' # # # ',' #   # ','       ','       '],
        'n':['       ','       ','       ',' # ### ',' ##   #',' #    #',' #    #',' #    #','       ','       '],'o':['       ','       ','       ','  #### ',' #    #',' #    #',' #    #','  #### ','       ','       '],
        'p':['       ','       ','       ',' ##### ',' #    #',' #    #',' #    #',' ##### ',' #     ',' #     '],'q':['       ','       ','       ','  #####',' #    #',' #    #',' #    #','  #####','      #','      #'],
        'r':['       ','       ','       ',' # ### ',' ##    ',' #     ',' #     ',' #     ','       ','       '],'s':['       ','       ','       ','  #####',' #     ','  #### ','      #',' ##### ','       ','       '],
        't':['   #   ','   #   ','   #   ',' ##### ','   #   ','   #   ','   #   ','    ###','       ','       '],'u':['       ','       ','       ',' #    #',' #    #',' #    #',' #   ##','  ### #','       ','       '],
        'v':['       ','       ','       ','##   ##',' #   # ','  # #  ','  # #  ','   #   ','       ','       '],'w':['       ','       ','       ',' #   # ',' # # # ',' # # # ',' # # # ','  # #  ','       ','       '],
        'x':['       ','       ','       ',' #   # ','  # #  ','   #   ','  # #  ',' #   # ','       ','       '],'y':['       ','       ','       ',' #    #',' #    #',' #    #',' #    #','  #####','      #','  #### '],
        'z':['       ','       ','       ',' ##### ','    #  ','   #   ','  #    ',' ##### ','       ','       '],'|':['   #   ','   #   ','   #   ','   #   ','   #   ','   #   ','   #   ','   #   ','   #   ','       '],
        '}':['  #    ','   #   ','   #   ','   #   ','    #  ','   #   ','   #   ','   #   ','  #    ','       '],'~':['  #    ',' # # # ','    #  ','       ','       ','       ','       ','       ','       ','       '],               
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_clr7x10.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the clr7x10 font"""
        print(banner_clr7x10.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: clr8x8.flf ──────────────────────────────────────────────────────────────────────────────────────────────────────────

 #######    ###    #     #  #######             ####   #        ######    ####    #     #   ####
 #         #   #   ##    #     #               #    #  #        #     #  #    #    #   #   #    #
 #        #     #  # #   #     #              #        #        #     #  #    #     # #    #    #
 #####    #     #  #  #  #     #              #        #        ######    ####       #      ####
 #        #     #  #   # #     #              #        #        #   #    #    #     # #    #    #
 #         #   #   #    ##     #               #    #  #        #    #   #    #    #   #   #    #
 #          ###    #     #     #                ####   ######   #     #   ####    #     #   ####

class banner_clr8x8():
    letters = { ##──── The figlet font clr8x8.flf converted to a dict 
        ' ':['        ','        ','        ','        ','        ','        ','        ','        '],'!':['    #   ','    #   ','    #   ','    #   ','    #   ','        ','    #   ','        '],
        '"':['   # #  ','   # #  ','   # #  ','        ','        ','        ','        ','        '],'#':['   # #  ','   # #  ','  ##### ','   # #  ','  ##### ','   # #  ','   # #  ','        '],
        '$':['    #   ','   #### ','  # #   ','   ###  ','    # # ','  ####  ','    #   ','        '],'%':['  #   # ',' # # #  ','  #  #  ','    #   ','   #  # ','   # # #','  #   # ','        '],
        '&':['  ###   ',' #      ','  #     ','  ##    ',' #  # # ',' #   #  ','  ### # ','        '],'´':['    ##  ','    #   ','   #    ','        ','        ','        ','        ','        '],
        '(':['     #  ','    #   ','    #   ','   #    ','    #   ','    #   ','     #  ','        '],')':['   #    ','    #   ','     #  ','     #  ','     #  ','    #   ','   #    ','        '],
        '*':['    #   ','    #   ',' ## # ##','   ###  ','    #   ','   # #  ','  #   # ','        '],'+':['    #   ','    #   ','    #   ',' #######','    #   ','    #   ','    #   ','        '],
        ',':['        ','        ','        ','        ','        ','   ##   ','   #    ','  #     '],'-':['        ','        ','        ',' #######','        ','        ','        ','        '],
        '.':['        ','        ','        ','        ','        ','   ##   ','   ##   ','        '],'/':['     #  ','     #  ','    #   ','    #   ','   #    ','   #    ','  #     ','  #     '],
        '0':['  ####  ',' #    # ',' #    # ',' #    # ',' #    # ',' #    # ','  ####  ','        '],'1':['    #   ','   ##   ','    #   ','    #   ','    #   ','    #   ','    #   ','        '],
        '2':['  ####  ',' #    # ','     #  ','    #   ','   #    ','  #     ',' ###### ','        '],'3':['  ####  ',' #    # ','      # ','   ###  ','      # ',' #    # ','  ####  ','        '],
        '4':['     #  ','    ##  ','   # #  ','  #  #  ',' ###### ','     #  ','    ### ','        '],'5':[' ###### ',' #      ',' #      ',' #####  ','      # ','      # ',' #####  ','        '],
        '6':['   ###  ','  #     ',' #      ',' #####  ',' #    # ',' #    # ','  ####  ','        '],'7':[' ###### ','      # ','     #  ','     #  ','    #   ','    #   ','   #    ','        '],
        '8':['  ####  ',' #    # ',' #    # ','  ####  ',' #    # ',' #    # ','  ####  ','        '],'9':['  ####  ',' #    # ',' #    # ','  ##### ','      # ','     #  ','  ###   ','        '],
        ':':['        ','   ##   ','   ##   ','        ','        ','   ##   ','   ##   ','        '],';':['        ','   ##   ','   ##   ','        ','        ','   ##   ','   #    ','  #     '],
        '<':['        ','     ## ','   ##   ',' ##     ','   ##   ','     ## ','        ','        '],'=':['        ','        ',' #######','        ','        ',' #######','        ','        '],
        '>':['        ',' ##     ','   ##   ','     ## ','   ##   ',' ##     ','        ','        '],'?':['   ###  ','  #   # ','      # ','     #  ','    #   ','        ','    #   ','        '],
        '@':['   ###  ','  #   # ',' #  #  #',' # # # #',' #  # # ','  #     ','   ###  ','        '],'A':['    #   ','    #   ','   ###  ','   # #  ','  ##### ','  #   # ',' ##   ##','        '],
        'B':[' ###### ',' #     #',' #     #',' ###### ',' #     #',' #     #',' ###### ','        '],'C':['   #### ','  #    #',' #      ',' #      ',' #      ','  #    #','   #### ','        '],
        'D':[' #####  ',' #    # ',' #     #',' #     #',' #     #',' #    # ',' #####  ','        '],'E':[' #######',' #      ',' #      ',' #####  ',' #      ',' #      ',' #######','        '],
        'F':[' #######',' #      ',' #      ',' #####  ',' #      ',' #      ',' #      ','        '],'G':['   #### ','  #    #',' #      ',' #   ###',' #     #','  #    #','   #####','        '],
        'H':[' #     #',' #     #',' #     #',' #######',' #     #',' #     #',' #     #','        '],'I':['  ##### ','    #   ','    #   ','    #   ','    #   ','    #   ','  ##### ','        '],
        'J':['    ### ','      # ','      # ','      # ',' #    # ',' #    # ','  ####  ','        '],'K':[' #    # ',' #   #  ',' #  #   ',' ###    ',' #  #   ',' #   #  ',' #    # ','        '],
        'L':[' #      ',' #      ',' #      ',' #      ',' #      ',' #      ',' ###### ','        '],'M':[' #     #',' ##   ##',' # # # #',' #  #  #',' #     #',' #     #',' #     #','        '],
        'N':[' #     #',' ##    #',' # #   #',' #  #  #',' #   # #',' #    ##',' #     #','        '],'O':['   ###  ','  #   # ',' #     #',' #     #',' #     #','  #   # ','   ###  ','        '],
        'P':[' ###### ',' #     #',' #     #',' ###### ',' #      ',' #      ',' #      ','        '],'Q':['   ###  ','  #   # ',' #     #',' #     #',' #     #','  #   # ','   ###  ','     ###'],
        'R':[' ###### ',' #     #',' #     #',' ###### ',' #   #  ',' #    # ',' #     #','        '],'S':['  ##### ',' #     #',' #      ','  ##### ','       #',' #     #','  ##### ','        '],
        'T':[' #######','    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','        '],'U':[' #     #',' #     #',' #     #',' #     #',' #     #',' #     #','  ##### ','        '],
        'V':[' ##   ##','  #   # ','  #   # ','   # #  ','   # #  ','    #   ','    #   ','        '],'W':[' #     #',' #     #',' #     #',' #  #  #',' # # # #',' ##   ##',' #     #','        '],
        'X':[' #     #','  #   # ','   # #  ','    #   ','   # #  ','  #   # ',' #     #','        '],'Y':[' #     #','  #   # ','   # #  ','    #   ','    #   ','    #   ','    #   ','        '],
        'Z':[' #######','      # ','     #  ','    #   ','   #    ','  #     ',' #######','        '],'[':['    ### ','    #   ','    #   ','    #   ','    #   ','    #   ','    ### ','        '],
       '\\':['  #     ','  #     ','   #    ','   #    ','    #   ','    #   ','     #  ','     #  '],']':['  ###   ','    #   ','    #   ','    #   ','    #   ','    #   ','  ###   ','        '],
        '^':['    #   ','   # #  ','  #   # ','        ','        ','        ','        ','        '],'_':['        ','        ','        ','        ','        ','        ','        ',' #######'],
        '`':['   ##   ','    #   ','     #  ','        ','        ','        ','        ','        '],'a':['        ','        ','  ######',' #     #',' #     #',' #    ##','  #### #','        '],
        'b':[' #      ',' #      ',' ###### ',' #     #',' #     #',' #     #',' ###### ','        '],'c':['        ','        ','  ##### ',' #      ',' #      ',' #      ','  ##### ','        '],
        'd':['       #','       #','  ######',' #     #',' #     #',' #     #','  ######','        '],'e':['        ','        ','  ##### ',' #     #',' #######',' #      ','  ##### ','        '],
        'f':['   #### ','  #     ',' ####   ','  #     ','  #     ','  #     ','  #     ','        '],'g':['        ','        ','  ######',' #     #',' #     #','  ######','       #','  ##### '],
        'h':[' #      ',' #      ',' ###### ',' #     #',' #     #',' #     #',' #     #','        '],'i':['    #   ','        ','  ###   ','    #   ','    #   ','    #   ','  ##### ','        '],
        'j':['      # ','        ','   #### ','      # ','      # ','      # ','      # ','  ####  '],'k':[' #      ',' #      ',' #   ## ',' #  #   ',' ###    ',' #  #   ',' #   ## ','        '],
        'l':['   ##   ','    #   ','    #   ','    #   ','    #   ','    #   ','   ###  ','        '],'m':['        ','        ',' ### ## ',' #  #  #',' #  #  #',' #  #  #',' #     #','        '],
        'n':['        ','        ',' # #### ',' ##    #',' #     #',' #     #',' #     #','        '],'o':['        ','        ','  ##### ',' #     #',' #     #',' #     #','  ##### ','        '],
        'p':['        ','        ',' ###### ',' #     #',' #     #',' #     #',' ###### ',' #      '],'q':['        ','        ','  ######',' #     #',' #     #',' #     #','  ######','       #'],
        'r':['        ','        ','  # ### ','  ##    ','  #     ','  #     ','  #     ','        '],'s':['        ','        ','  ##### ',' #      ','  ####  ','      # ',' #####  ','        '],
        't':['   #    ','   #    ',' ###### ','   #    ','   #    ','   #    ','    ### ','        '],'u':['        ','        ',' #     #',' #     #',' #     #',' #    ##','  #### #','        '],
        'v':['        ','        ',' ##   ##','  #   # ','   # #  ','   # #  ','    #   ','        '],'w':['        ','        ',' #     #',' #  #  #',' #  #  #',' #  #  #','  ## ## ','        '],
        'x':['        ','        ',' ##   ##','   # #  ','    #   ','   # #  ',' ##   ##','        '],'y':['        ','        ',' #    # ',' #    # ',' #    # ','  ##### ','      # ','  ####  '],
        'z':['        ','        ',' ###### ','     #  ','   ##   ','  #     ',' ###### ','        '],'|':['    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','        '],
        '}':['   #    ','    #   ','    #   ','     #  ','    #   ','    #   ','   #    ','        '],'~':['  ##   #',' #  #  #',' #   ## ','        ','        ','        ','        ','        ']
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_clr8x8.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the clr8x8 font"""
        print(banner_clr8x8.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: clb8x8.flf ──────────────────────────────────────────────────────────────────────────────────────────────────────────

 #######    ###    ##   ##  ######              ####   ##       ######    ####    ##  ##    ####
 ##        ## ##   ###  ##    ##               ##  ##  ##       ##   ##  ##  ##   ##  ##   ##  ##
 ##       ##   ##  ###  ##    ##              ##       ##       ##   ##  ##  ##    ####    ##  ##
 #####    ##   ##  ## # ##    ##              ##       ##       ######    ####      ##      ####
 ##       ##   ##  ## # ##    ##              ##       ##       ##   ##  ##  ##    ####    ##  ##
 ##        ## ##   ##  ###    ##               ##  ##  ##       ##   ##  ##  ##   ##  ##   ##  ##
 ##         ###    ##   ##    ##                ####   ######   ######    ####    ##  ##    ####

class banner_clb8x8():
    letters = { ##──── The figlet font clb8x8.flf converted to a dict 
        ' ':['        ','        ','        ','        ','        ','        ','        ','        '],'!':['   ##   ','   ##   ','   ##   ','   ##   ','   ##   ','   ##   ','        ','   ##   '],
        '"':['   # #  ','   # #  ','   # #  ','        ','        ','        ','        ','        '],'#':['        ','  #  #  ',' ###### ','  #  #  ','  #  #  ',' ###### ','  #  #  ','        '],
        '$':['    #   ','   #### ','  # #   ','   ###  ','    # # ','  ####  ','    #   ','        '],'%':['  #     ',' # #  # ','  #  #  ','    #   ','   #  # ','  #  # #','      # ','        '],
        '&':['  ###   ',' #      ','  #     ','  ##    ',' #  # # ',' #   #  ','  ### # ','        '],'´':['    ##  ','    #   ','   #    ','        ','        ','        ','        ','        '],
        '(':['    ### ','   ##   ','   ##   ','  ##    ','   ##   ','   ##   ','    ### ','        '],')':['   ##   ','    ##  ','     ## ','     ## ','     ## ','    ##  ','   ##   ','        '],
        '*':['    #   ','    #   ',' ## # ##','   ###  ','    #   ','   # #  ','  #   # ','        '],'+':['    #   ','    #   ','    #   ',' #######','    #   ','    #   ','    #   ','        '],
        ',':['        ','        ','        ','        ','        ','   ##   ','   #    ','  #     '],'-':['        ','        ','        ',' #######','        ','        ','        ','        '],
        '.':['        ','        ','        ','        ','        ','   ##   ','   ##   ','        '],'/':['     #  ','     #  ','    #   ','    #   ','   #    ','   #    ','  #     ','  #     '],
        '0':['  ####  ',' ##  ## ',' ##  ## ',' ##  ## ',' ##  ## ',' ##  ## ','  ####  ','        '],'1':['    ##  ','   ###  ','    ##  ','    ##  ','    ##  ','    ##  ','    ##  ','        '],
        '2':['  ####  ',' ##  ## ','     ## ','    ##  ','   ##   ','  ##    ',' ###### ','        '],'3':['  ####  ',' ##  ## ','     ## ','   ###  ','     ## ',' ##  ## ','  ####  ','        '],
        '4':['    ##  ','   ###  ','  ####  ',' ## ##  ',' ###### ','    ##  ','   #### ','        '],'5':[' ###### ',' ##     ',' #####  ','     ## ','     ## ',' ##  ## ','  ####  ','        '],
        '6':['   ###  ','  ##    ',' ##     ',' #####  ',' ##  ## ',' ##  ## ','  ####  ','        '],'7':[' ###### ',' ##  ## ','     ## ','    ##  ','    ##  ','   ##   ','   ##   ','        '],
        '8':['  ####  ',' ##  ## ',' ##  ## ','  ####  ',' ##  ## ',' ##  ## ','  ####  ','        '],'9':['  ####  ',' ##  ## ',' ##  ## ','  ##### ','     ## ','    ##  ','  ###   ','        '],
        ':':['        ','   ##   ','   ##   ','        ','        ','   ##   ','   ##   ','        '],';':['        ','   ##   ','   ##   ','        ','        ','   ##   ','   #    ','  #     '],
        '<':['        ','     ###','   ###  ',' ###    ','   ###  ','     ###','        ','        '],'=':['        ','        ',' #######','        ','        ',' #######','        ','        '],
        '>':['        ',' ###    ','   ###  ','     ###','   ###  ',' ###    ','        ','        '],'?':['  ####  ',' ##  ## ','     ## ','    ##  ','   ##   ','        ','   ##   ','        '],
        '@':['  ##### ',' #     #',' # ### #',' # # # #',' # #### ',' #      ','  ##### ','        '],'A':['   ##   ','   ##   ','  ####  ','  ## #  ',' ###### ',' ##   # ','###   ##','        '],
        'B':[' ###### ',' ##   ##',' ##   ##',' ###### ',' ##   ##',' ##   ##',' ###### ','        '],'C':['   #### ','  ##  ##',' ##     ',' ##     ',' ##     ','  ##  ##','   #### ','        '],
        'D':[' #####  ',' ##  ## ',' ##   ##',' ##   ##',' ##   ##',' ##  ## ',' #####  ','        '],'E':[' #######',' ##     ',' ##     ',' #####  ',' ##     ',' ##     ',' #######','        '],
        'F':[' #######',' ##     ',' ##     ',' #####  ',' ##     ',' ##     ',' ##     ','        '],'G':['   #### ','  ##  ##',' ##     ',' ##     ',' ##  ###','  ##  ##','   #####','        '],
        'H':[' ##   ##',' ##   ##',' ##   ##',' #######',' ##   ##',' ##   ##',' ##   ##','        '],'I':[' ###### ','   ##   ','   ##   ','   ##   ','   ##   ','   ##   ',' ###### ','        '],
        'J':['   #### ','     ## ','     ## ','     ## ',' ##  ## ',' ##  ## ','  ####  ','        '],'K':[' ##   ##',' ##  ## ',' ## ##  ',' ####   ',' ## ##  ',' ##  ## ',' ##   ##','        '],
        'L':[' ##     ',' ##     ',' ##     ',' ##     ',' ##     ',' ##     ',' ###### ','        '],'M':[' ##   ##',' ##   ##',' ### ###',' ## # ##',' ## # ##',' ##   ##',' ##   ##','        '],
        'N':[' ##   ##',' ###  ##',' ###  ##',' ## # ##',' ## # ##',' ##  ###',' ##   ##','        '],'O':['   ###  ','  ## ## ',' ##   ##',' ##   ##',' ##   ##','  ## ## ','   ###  ','        '],
        'P':[' ###### ',' ##   ##',' ##   ##',' ###### ',' ##     ',' ##     ',' ##     ','        '],'Q':['   ###  ','  ## ## ',' ##   ##',' ##   ##',' ##   ##','  ## ## ','   ###  ','     ## '],
        'R':[' ###### ',' ##   ##',' ##   ##',' ###### ',' ## ##  ',' ##  ## ',' ##   ##','        '],'S':['  ##### ',' ##   ##',' ##     ','  ##### ','      ##',' ##   ##','  ##### ','        '],
        'T':[' ###### ','   ##   ','   ##   ','   ##   ','   ##   ','   ##   ','   ##   ','        '],'U':[' ##   ##',' ##   ##',' ##   ##',' ##   ##',' ##   ##',' ##   ##','  ##### ','        '],
        'V':[' ##   ##',' ##   ##',' ##   ##','  ## ## ','  ## ## ','   ###  ','   ###  ','        '],'W':[' ##   ##',' ##   ##',' ## # ##',' ## # ##',' ## # ##',' ### ###',' ##   ##','        '],
        'X':[' ##  ## ',' ##  ## ','  ####  ','   ##   ','  ####  ',' ##  ## ',' ##  ## ','        '],'Y':[' ##  ## ',' ##  ## ','  ####  ','   ##   ','   ##   ','   ##   ','   ##   ','        '],
        'Z':[' ###### ','     ## ','    ##  ','   ##   ','  ##    ',' ##     ',' ###### ','        '],'[':['   #### ','   ##   ','   ##   ','   ##   ','   ##   ','   ##   ','   #### ','        '],
       '\\':['  #     ','  #     ','   #    ','   #    ','    #   ','    #   ','     #  ','     #  '],']':['  ####  ','    ##  ','    ##  ','    ##  ','    ##  ','    ##  ','  ####  ','        '],
        '^':['   ##   ','  ## #  ',' ##   # ','        ','        ','        ','        ','        '],'_':['        ','        ','        ','        ','        ','        ',' #######','        '],
        '`':['   ##   ','    #   ','     #  ','        ','        ','        ','        ','        '],'a':['        ','        ','  ######',' ##   ##',' ##   ##',' ##  ###','  ### ##','        '],
        'b':[' ##     ',' ##     ',' ###### ',' ##   ##',' ##   ##',' ##   ##',' ###### ','        '],'c':['        ','        ','  ##### ',' ##     ',' ##     ',' ##     ','  ##### ','        '],
        'd':['      ##','      ##','  ######',' ##   ##',' ##   ##',' ##   ##','  ######','        '],'e':['        ','        ','  ##### ',' ##   ##',' #######',' ##     ','  ##### ','        '],
        'f':['   #### ','  ##    ',' #####  ','  ##    ','  ##    ','  ##    ','  ##    ','        '],'g':['        ','        ','  ######',' ##   ##',' ##   ##','  ######','      ##','  ##### '],
        'h':[' ##     ',' ##     ',' ###### ',' ##   ##',' ##   ##',' ##   ##',' ##   ##','        '],'i':['   ##   ','        ',' ####   ','   ##   ','   ##   ','   ##   ',' ###### ','        '],
        'j':['     ## ','        ','   #### ','     ## ','     ## ','     ## ','     ## ','  ####  '],'k':[' ##     ',' ##     ',' ##  ## ',' ## ##  ',' ####   ',' ## ##  ',' ##  ## ','        '],
        'l':['  ###   ','   ##   ','   ##   ','   ##   ','   ##   ','   ##   ','  ####  ','        '],'m':['        ','        ',' ### ## ',' ## # ##',' ## # ##',' ## # ##',' ##   ##','        '],
        'n':['        ','        ',' ## ### ',' ###  ##',' ##   ##',' ##   ##',' ##   ##','        '],'o':['        ','        ','  ##### ',' ##   ##',' ##   ##',' ##   ##','  ##### ','        '],
        'p':['        ','        ',' ###### ',' ##   ##',' ##   ##',' ##   ##',' ###### ',' ##     '],'q':['        ','        ','  ######',' ##   ##',' ##   ##',' ##   ##','  ######','      ##'],
        'r':['        ','        ',' ## ### ',' ###    ',' ##     ',' ##     ',' ##     ','        '],'s':['        ','        ','  ##### ',' ##     ','  ####  ','     ## ',' #####  ','        '],
        't':['   ##   ','   ##   ',' ###### ','   ##   ','   ##   ','   ##   ','    ### ','        '],'u':['        ','        ',' ##   ##',' ##   ##',' ##   ##',' ##  ###','  ### ##','        '],
        'v':['        ','        ',' ### ###','  ## ## ','  ## ## ','   ###  ','   ###  ','        '],'w':['        ','        ',' ##   ##',' ## # ##',' ## # ##',' ## # ##','  ## ## ','        '],
        'x':['        ','        ',' ##  ## ','  ####  ','   ##   ','  ####  ',' ##  ## ','        '],'y':['        ','        ',' ##  ## ',' ##  ## ',' ##  ## ','  ##### ','     ## ','  ####  '],
        'z':['        ','        ',' ###### ','    ##  ','   ##   ','  ##    ',' ###### ','        '],'|':['    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','        '],
        '}':['  ###   ','    ##  ','    ##  ','     ## ','    ##  ','    ##  ','  ###   ','        '],'~':['  ##   #',' #  #  #',' #   ## ','        ','        ','        ','        ','        ']
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_clb8x8.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the clb8x8 font"""
        print(banner_clb8x8.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: clr8x10.flf ──────────────────────────────────────────────────────────────────────────────────────────────────────────

                                                                          ####                #      ####
 #######    ###    #     #  #######             ####   #        ######   #    #   #     #    ##     #    #
 #         #   #   ##    #     #               #    #  #        #     #  #    #    #   #      #     #    #
 #        #     #  # #   #     #              #        #        #     #   ####      # #       #     #    #
 #####    #     #  #  #  #     #              #        #        ######   #    #      #        #     #    #
 #        #     #  #   # #     #              #        #        #   #    #    #     # #       #     #    #
 #         #   #   #    ##     #               #    #  #        #    #   #    #    #   #      #     #    #
 #          ###    #     #     #                ####   ######   #     #   ####    #     #     #      ####

class banner_clr8x10():
    letters = { ##──── The figlet font clr8x10.flf converted to a dict 
        ' ':['        ','        ','        ','        ','        ','        ','        ','        ','        ','        '],'!':['    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','        ','    #   ','        ','        '],
        '"':['   # #  ','   # #  ','   # #  ','        ','        ','        ','        ','        ','        ','        '],'#':['  #  #  ','  #  #  ',' ###### ','  #  #  ','  #  #  ',' ###### ','  #  #  ','  #  #  ','        ','        '],
        '$':['        ','    #   ','   #### ','  # #   ','   ###  ','    # # ','  ####  ','    #   ','        ','        '],'%':['        ','  #   # ',' # # #  ','  #  #  ','    #   ','   #  # ','   # # #','  #   # ','        ','        '],
        '&':['        ','  ###   ',' #      ','  #     ','  ##    ',' #  # # ',' #   #  ','  ### # ','        ','        '],'´':['    ##  ','    #   ','   #    ','        ','        ','        ','        ','        ','        ','        '],
        '(':['     #  ','    #   ','    #   ','    #   ','   #    ','    #   ','    #   ','    #   ','     #  ','        '],')':['   #    ','    #   ','    #   ','     #  ','     #  ','     #  ','    #   ','    #   ','   #    ','        '],
        '*':['        ','    #   ','    #   ',' ## # ##','   ###  ','    #   ','   # #  ','  #   # ','        ','        '],'+':['        ','    #   ','    #   ','    #   ',' #######','    #   ','    #   ','    #   ','        ','        '],
        ',':['        ','        ','        ','        ','        ','        ','   ##   ','   #    ','  #     ','        '],'-':['        ','        ','        ','        ',' #######','        ','        ','        ','        ','        '],
        '.':['        ','        ','        ','        ','        ','        ','   ##   ','   ##   ','        ','        '],'/':['      # ','      # ','     #  ','     #  ','    #   ','    #   ','   #    ','   #    ','  #     ','  #     '],
        '0':['  ####  ',' #    # ',' #    # ',' #    # ',' #    # ',' #    # ',' #    # ','  ####  ','        ','        '],'1':['    #   ','   ##   ','    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','        ','        '],
        '2':['  ####  ',' #    # ','      # ','     #  ','    #   ','   #    ','  #     ',' ###### ','        ','        '],'3':['  ####  ',' #    # ','      # ','   ###  ','      # ','      # ',' #    # ','  ####  ','        ','        '],
        '4':['    ##  ','    ##  ','   # #  ','   # #  ','  #  #  ',' ###### ','     #  ','    ### ','        ','        '],'5':[' ###### ',' #      ',' #      ',' #####  ','      # ','      # ',' #    # ','  ####  ','        ','        '],
        '6':['   ###  ','  #     ',' #      ',' #####  ',' #    # ',' #    # ',' #    # ','  ####  ','        ','        '],'7':[' ###### ',' #    # ','     #  ','     #  ','    #   ','    #   ','   #    ','   #    ','        ','        '],
        '8':['  ####  ',' #    # ',' #    # ','  ####  ',' #    # ',' #    # ',' #    # ','  ####  ','        ','        '],'9':['  ####  ',' #    # ',' #    # ',' #    # ','  ##### ','      # ','     #  ','  ###   ','        ','        '],
        ':':['        ','        ','   ##   ','   ##   ','        ','        ','   ##   ','   ##   ','        ','        '],';':['        ','        ','   ##   ','   ##   ','        ','        ','   ##   ','   #    ','  #     ','        '],
        '<':['        ','        ','     ## ','   ##   ',' ##     ','   ##   ','     ## ','        ','        ','        '],'=':['        ','        ','        ',' #######','        ','        ',' #######','        ','        ','        '],
        '>':['        ','        ',' ##     ','   ##   ','     ## ','   ##   ',' ##     ','        ','        ','        '],'?':['  ####  ',' #    # ','      # ','     #  ','    #   ','    #   ','        ','    #   ','        ','        '],
        '@':['        ','   ###  ','  #   # ',' #  #  #',' # # # #',' #  # # ','  #     ','   ###  ','        ','        '],'A':['        ','    #   ','    #   ','   ###  ','   # #  ','  ##### ','  #   # ',' ##   ##','        ','        '],
        'B':['        ',' ###### ',' #     #',' #     #',' ###### ',' #     #',' #     #',' ###### ','        ','        '],'C':['        ','   #### ','  #    #',' #      ',' #      ',' #      ','  #    #','   #### ','        ','        '],
        'D':['        ',' #####  ',' #    # ',' #     #',' #     #',' #     #',' #    # ',' #####  ','        ','        '],'E':['        ',' #######',' #      ',' #      ',' #####  ',' #      ',' #      ',' #######','        ','        '],
        'F':['        ',' #######',' #      ',' #      ',' #####  ',' #      ',' #      ',' #      ','        ','        '],'G':['        ','   #### ','  #    #',' #      ',' #   ###',' #     #','  #    #','   #####','        ','        '],
        'H':['        ',' #     #',' #     #',' #     #',' #######',' #     #',' #     #',' #     #','        ','        '],'I':['        ','  ##### ','    #   ','    #   ','    #   ','    #   ','    #   ','  ##### ','        ','        '],
        'J':['        ','    ### ','      # ','      # ','      # ',' #    # ',' #    # ','  ####  ','        ','        '],'K':['        ',' #    # ',' #   #  ',' #  #   ',' ###    ',' #  #   ',' #   #  ',' #    # ','        ','        '],
        'L':['        ',' #      ',' #      ',' #      ',' #      ',' #      ',' #      ',' ###### ','        ','        '],'M':['        ',' #     #',' ##   ##',' # # # #',' #  #  #',' #     #',' #     #',' #     #','        ','        '],
        'N':['        ',' #     #',' ##    #',' # #   #',' #  #  #',' #   # #',' #    ##',' #     #','        ','        '],'O':['        ','   ###  ','  #   # ',' #     #',' #     #',' #     #','  #   # ','   ###  ','        ','        '],
        'P':['        ',' ###### ',' #     #',' #     #',' ###### ',' #      ',' #      ',' #      ','        ','        '],'Q':['        ','   ###  ','  #   # ',' #     #',' #     #',' #     #','  #   # ','   ###  ','     ###','        '],
        'R':['        ',' ###### ',' #     #',' #     #',' ###### ',' #   #  ',' #    # ',' #     #','        ','        '],'S':['        ','  ##### ',' #     #',' #      ','  ##### ','       #',' #     #','  ##### ','        ','        '],
        'T':['        ',' #######','    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','        ','        '],'U':['        ',' #     #',' #     #',' #     #',' #     #',' #     #',' #     #','  ##### ','        ','        '],
        'V':['        ',' ##   ##','  #   # ','  #   # ','   # #  ','   # #  ','    #   ','    #   ','        ','        '],'W':['        ',' #     #',' #     #',' #     #',' #  #  #',' # # # #',' ##   ##',' #     #','        ','        '],
        'X':['        ',' #     #','  #   # ','   # #  ','    #   ','   # #  ','  #   # ',' #     #','        ','        '],'Y':['        ',' #     #','  #   # ','   # #  ','    #   ','    #   ','    #   ','    #   ','        ','        '],
        'Z':['        ',' #######','      # ','     #  ','    #   ','   #    ','  #     ',' #######','        ','        '],'[':['    ### ','    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','    ### ','        '],
       '\\':['  #     ','  #     ','   #    ','   #    ','    #   ','    #   ','     #  ','     #  ','      # ','      # '],']':['  ###   ','    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','  ###   ','        '],
        '^':['    #   ','   # #  ','  #   # ','        ','        ','        ','        ','        ','        ','        '],'_':['        ','        ','        ','        ','        ','        ','        ','        ',' #######','        '],
        '`':['   ##   ','    #   ','     #  ','        ','        ','        ','        ','        ','        ','        '],'a':['        ','        ','        ','  ######',' #     #',' #     #',' #    ##','  #### #','        ','        '],
        'b':[' #      ',' #      ',' #      ',' ###### ',' #     #',' #     #',' #     #',' ###### ','        ','        '],'c':['        ','        ','        ','  ##### ',' #      ',' #      ',' #      ','  ##### ','        ','        '],
        'd':['       #','       #','       #','  ######',' #     #',' #     #',' #     #','  ######','        ','        '],'e':['        ','        ','        ','  ##### ',' #     #',' #######',' #      ','  ##### ','        ','        '],
        'f':['   #### ','  #     ','  #     ',' ####   ','  #     ','  #     ','  #     ','  #     ','        ','        '],'g':['        ','        ','        ','  ######',' #     #',' #     #',' #     #','  ######','       #','  ##### '],
        'h':[' #      ',' #      ',' #      ',' ###### ',' #     #',' #     #',' #     #',' #     #','        ','        '],'i':['    #   ','    #   ','        ','  ###   ','    #   ','    #   ','    #   ','  ##### ','        ','        '],
        'j':['      # ','      # ','        ','   #### ','      # ','      # ','      # ','      # ','      # ','  ####  '],'k':[' #      ',' #      ',' #      ',' #   ## ',' #  #   ',' ###    ',' #  #   ',' #   ## ','        ','        '],
        'l':['   ##   ','    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','   ###  ','        ','        '],'m':['        ','        ','        ',' ### ## ',' #  #  #',' #  #  #',' #  #  #',' #     #','        ','        '],
        'n':['        ','        ','        ',' # #### ',' ##    #',' #     #',' #     #',' #     #','        ','        '],'o':['        ','        ','        ','  ##### ',' #     #',' #     #',' #     #','  ##### ','        ','        '],
        'p':['        ','        ','        ',' ###### ',' #     #',' #     #',' #     #',' ###### ',' #      ',' #      '],'q':['        ','        ','        ','  ######',' #     #',' #     #',' #     #','  ######','       #','       #'],
        'r':['        ','        ','        ','  # ### ','  ##    ','  #     ','  #     ','  #     ','        ','        '],'s':['        ','        ','        ','  ##### ',' #      ','  ####  ','      # ',' #####  ','        ','        '],
        't':['   #    ','   #    ','   #    ',' ###### ','   #    ','   #    ','   #    ','    ### ','        ','        '],'u':['        ','        ','        ',' #     #',' #     #',' #     #',' #    ##','  #### #','        ','        '],
        'v':['        ','        ','        ',' ##   ##','  #   # ','   # #  ','   # #  ','    #   ','        ','        '],'w':['        ','        ','        ',' #     #',' #  #  #',' #  #  #',' #  #  #','  ## ## ','        ','        '],
        'x':['        ','        ','        ',' ##   ##','   # #  ','    #   ','   # #  ',' ##   ##','        ','        '],'y':['        ','        ','        ',' #    # ',' #    # ',' #    # ',' #    # ','  ##### ','      # ','  ####  '],
        'z':['        ','        ','        ',' ###### ','     #  ','   ##   ','  #     ',' ###### ','        ','        '],'|':['    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','        '],
        '}':['   #    ','    #   ','    #   ','    #   ','     #  ','    #   ','    #   ','    #   ','   #    ','        '],'~':['        ','  ##   #',' #  #  #',' #   ## ','        ','        ','        ','        ','        ','        '],               
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_clr8x10.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the clr8x10 font"""
        print(banner_clr8x10.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: clb8x10.flf ──────────────────────────────────────────────────────────────────────────────────────────────────────────

                                                                          ####                ##     ####
 #######    ###    ##   ##  ######              ####   ##       ######   ##  ##   ##  ##     ###    ##  ##
 ##        ## ##   ###  ##    ##               ##  ##  ##       ##   ##  ##  ##   ##  ##      ##    ##  ##
 ##       ##   ##  ###  ##    ##              ##       ##       ##   ##   ####     ####       ##    ##  ##
 #####    ##   ##  ## # ##    ##              ##       ##       ######   ##  ##     ##        ##    ##  ##
 ##       ##   ##  ## # ##    ##              ##       ##       ##   ##  ##  ##    ####       ##    ##  ##
 ##        ## ##   ##  ###    ##               ##  ##  ##       ##   ##  ##  ##   ##  ##      ##    ##  ##
 ##         ###    ##   ##    ##                ####   ######   ######    ####    ##  ##      ##     ####

class banner_clb8x10():
    letters = { ##──── The figlet font clb8x10.flf converted to a dict 
        ' ':['        ','        ','        ','        ','        ','        ','        ','        ','        ','        '],'!':['   ##   ','   ##   ','   ##   ','   ##   ','   ##   ','   ##   ','        ','   ##   ','        ','        '],
        '"':['   # #  ','   # #  ','   # #  ','        ','        ','        ','        ','        ','        ','        '],'#':['  #  #  ','  #  #  ',' ###### ','  #  #  ','  #  #  ',' ###### ','  #  #  ','  #  #  ','        ','        '],
        '$':['        ','    #   ','   #### ','  # #   ','   ###  ','    # # ','  ####  ','    #   ','        ','        '],'%':['        ','  #     ',' # #  # ','  #  #  ','    #   ','   #  # ','  #  # #','      # ','        ','        '],
        '&':['        ','  ###   ',' #      ','  #     ','  ##    ',' #  # # ',' #   #  ','  ### # ','        ','        '],'´':['    ##  ','    #   ','   #    ','        ','        ','        ','        ','        ','        ','        '],
        '(':['    ##  ','   ##   ','   ##   ','   ##   ','  ##    ','   ##   ','   ##   ','   ##   ','    ##  ','        '],')':['   ##   ','    ##  ','    ##  ','     ## ','     ## ','     ## ','    ##  ','    ##  ','   ##   ','        '],
        '*':['        ','    #   ','    #   ',' ## # ##','   ###  ','    #   ','   # #  ','  #   # ','        ','        '],'+':['        ','    #   ','    #   ','    #   ',' #######','    #   ','    #   ','    #   ','        ','        '],
        ',':['        ','        ','        ','        ','        ','        ','   ##   ','   ##   ','   #    ','  #     '],'-':['        ','        ','        ','        ',' #######','        ','        ','        ','        ','        '],
        '.':['        ','        ','        ','        ','        ','        ','   ##   ','   ##   ','        ','        '],'/':['      # ','      # ','     #  ','     #  ','    #   ','    #   ','   #    ','   #    ','  #     ','  #     '],
        '0':['  ####  ',' ##  ## ',' ##  ## ',' ##  ## ',' ##  ## ',' ##  ## ',' ##  ## ','  ####  ','        ','        '],'1':['    ##  ','   ###  ','    ##  ','    ##  ','    ##  ','    ##  ','    ##  ','    ##  ','        ','        '],
        '2':['  ####  ',' ##  ## ','     ## ','    ##  ','   ##   ','  ##    ',' ##     ',' ###### ','        ','        '],'3':['  ####  ',' ##  ## ','     ## ','   ###  ','     ## ','     ## ',' ##  ## ','  ####  ','        ','        '],
        '4':['    ##  ','   ###  ','   ###  ','  # ##  ','  # ##  ',' ###### ','    ##  ','   #### ','        ','        '],'5':[' ###### ',' ##     ',' ##     ',' #####  ','     ## ','     ## ',' ##  ## ','  ####  ','        ','        '],
        '6':['   ###  ','  ##    ',' ##     ',' #####  ',' ##  ## ',' ##  ## ',' ##  ## ','  ####  ','        ','        '],'7':[' ###### ',' ##  ## ','     ## ','    ##  ','    ##  ','   ##   ','   ##   ','   ##   ','        ','        '],
        '8':['  ####  ',' ##  ## ',' ##  ## ','  ####  ',' ##  ## ',' ##  ## ',' ##  ## ','  ####  ','        ','        '],'9':['  ####  ',' ##  ## ',' ##  ## ',' ##  ## ','  ##### ','     ## ','    ##  ','  ###   ','        ','        '],
        ':':['        ','        ','   ##   ','   ##   ','        ','        ','   ##   ','   ##   ','        ','        '],';':['        ','        ','   ##   ','   ##   ','        ','        ','   ##   ','   ##   ','   #    ','  #     '],
        '<':['        ','        ','     ###','   ###  ',' ###    ','   ###  ','     ###','        ','        ','        '],'=':['        ','        ','        ',' #######','        ','        ',' #######','        ','        ','        '],
        '>':['        ','        ',' ###    ','   ###  ','     ###','   ###  ',' ###    ','        ','        ','        '],'?':['  ####  ',' ##  ## ','     ## ','    ##  ','   ##   ','   ##   ','        ','   ##   ','        ','        '],
        '@':['        ','  ##### ',' #     #',' # ### #',' # # # #',' # #### ',' #      ','  ##### ','        ','        '],'A':['        ','   ##   ','   ##   ','  ####  ','  ## #  ',' ###### ',' ##   # ','###   ##','        ','        '],
        'B':['        ',' ###### ',' ##   ##',' ##   ##',' ###### ',' ##   ##',' ##   ##',' ###### ','        ','        '],'C':['        ','   #### ','  ##  ##',' ##     ',' ##     ',' ##     ','  ##  ##','   #### ','        ','        '],
        'D':['        ',' #####  ',' ##  ## ',' ##   ##',' ##   ##',' ##   ##',' ##  ## ',' #####  ','        ','        '],'E':['        ',' #######',' ##     ',' ##     ',' #####  ',' ##     ',' ##     ',' #######','        ','        '],
        'F':['        ',' #######',' ##     ',' ##     ',' #####  ',' ##     ',' ##     ',' ##     ','        ','        '],'G':['        ','   #### ','  ##  ##',' ##     ',' ##     ',' ##  ###','  ##  ##','   #####','        ','        '],
        'H':['        ',' ##   ##',' ##   ##',' ##   ##',' #######',' ##   ##',' ##   ##',' ##   ##','        ','        '],'I':['        ',' ###### ','   ##   ','   ##   ','   ##   ','   ##   ','   ##   ',' ###### ','        ','        '],
        'J':['        ','   #### ','     ## ','     ## ','     ## ',' ##  ## ',' ##  ## ','  ####  ','        ','        '],'K':['        ',' ##   ##',' ##  ## ',' ## ##  ',' ####   ',' ## ##  ',' ##  ## ',' ##   ##','        ','        '],
        'L':['        ',' ##     ',' ##     ',' ##     ',' ##     ',' ##     ',' ##     ',' ###### ','        ','        '],'M':['        ',' ##   ##',' ##   ##',' ### ###',' ## # ##',' ## # ##',' ##   ##',' ##   ##','        ','        '],
        'N':['        ',' ##   ##',' ###  ##',' ###  ##',' ## # ##',' ## # ##',' ##  ###',' ##   ##','        ','        '],'O':['        ','   ###  ','  ## ## ',' ##   ##',' ##   ##',' ##   ##','  ## ## ','   ###  ','        ','        '],
        'P':['        ',' ###### ',' ##   ##',' ##   ##',' ###### ',' ##     ',' ##     ',' ##     ','        ','        '],'Q':['        ','   ###  ','  ## ## ',' ##   ##',' ##   ##',' ##   ##','  ## ## ','   ###  ','  # ## #','     ## '],
        'R':['        ',' ###### ',' ##   ##',' ##   ##',' ###### ',' ## ##  ',' ##  ## ',' ##   ##','        ','        '],'S':['        ','  ##### ',' ##   ##',' ##     ','  ##### ','      ##',' ##   ##','  ##### ','        ','        '],
        'T':['        ',' ###### ','   ##   ','   ##   ','   ##   ','   ##   ','   ##   ','   ##   ','        ','        '],'U':['        ',' ##   ##',' ##   ##',' ##   ##',' ##   ##',' ##   ##',' ##   ##','  ##### ','        ','        '],
        'V':['        ',' ##   ##',' ##   ##',' ##   ##','  ## ## ','  ## ## ','   ###  ','   ###  ','        ','        '],'W':['        ',' ##   ##',' ##   ##',' ## # ##',' ## # ##',' ## # ##',' ### ###',' ##   ##','        ','        '],
        'X':['        ',' ##  ## ',' ##  ## ','  ####  ','   ##   ','  ####  ',' ##  ## ',' ##  ## ','        ','        '],'Y':['        ',' ##  ## ',' ##  ## ','  ####  ','   ##   ','   ##   ','   ##   ','   ##   ','        ','        '],
        'Z':['        ',' ###### ','     ## ','    ##  ','   ##   ','  ##    ',' ##     ',' ###### ','        ','        '],'[':['   #### ','   ##   ','   ##   ','   ##   ','   ##   ','   ##   ','   ##   ','   ##   ','   #### ','        '],
       '\\':['  #     ','  #     ','   #    ','   #    ','    #   ','    #   ','     #  ','     #  ','      # ','      # '],']':['  ####  ','    ##  ','    ##  ','    ##  ','    ##  ','    ##  ','    ##  ','    ##  ','  ####  ','        '],
        '^':['   ##   ','  ## #  ',' ##   # ','        ','        ','        ','        ','        ','        ','        '],'_':['        ','        ','        ','        ','        ','        ','        ','        ','        ',' #######'],
        '`':['   ##   ','    #   ','     #  ','        ','        ','        ','        ','        ','        ','        '],'a':['        ','        ','        ','  ######',' ##   ##',' ##   ##',' ##  ###','  ### ##','        ','        '],
        'b':[' ##     ',' ##     ',' ##     ',' ###### ',' ##   ##',' ##   ##',' ##   ##',' ###### ','        ','        '],'c':['        ','        ','        ','  ##### ',' ##     ',' ##     ',' ##     ','  ##### ','        ','        '],
        'd':['      ##','      ##','      ##','  ######',' ##   ##',' ##   ##',' ##   ##','  ######','        ','        '],'e':['        ','        ','        ','  ##### ',' ##   ##',' #######',' ##     ','  ##### ','        ','        '],
        'f':['   #### ','  ##    ','  ##    ',' #####  ','  ##    ','  ##    ','  ##    ','  ##    ','  #     ','        '],'g':['        ','        ','        ','  ######',' ##   ##',' ##   ##',' ##   ##','  ######','      ##','  ##### '],
        'h':[' ##     ',' ##     ',' ##     ',' ###### ',' ##   ##',' ##   ##',' ##   ##',' ##   ##','        ','        '],'i':['   ##   ','   ##   ','        ',' ####   ','   ##   ','   ##   ','   ##   ',' ###### ','        ','        '],
        'j':['     ## ','     ## ','        ','   #### ','     ## ','     ## ','     ## ','     ## ','     ## ','  ####  '],'k':[' ##     ',' ##     ',' ##     ',' ##  ## ',' ## ##  ',' ####   ',' ## ##  ',' ##  ## ','        ','        '],
        'l':['  ###   ','   ##   ','   ##   ','   ##   ','   ##   ','   ##   ','   ##   ','  ####  ','        ','        '],'m':['        ','        ','        ',' ### ## ',' ## # ##',' ## # ##',' ## # ##',' ##   ##','        ','        '],
        'n':['        ','        ','        ',' ## ### ',' ###  ##',' ##   ##',' ##   ##',' ##   ##','        ','        '],'o':['        ','        ','        ','  ##### ',' ##   ##',' ##   ##',' ##   ##','  ##### ','        ','        '],
        'p':['        ','        ','        ',' ###### ',' ##   ##',' ##   ##',' ##   ##',' ###### ',' ##     ',' ##     '],'q':['        ','        ','        ','  ######',' ##   ##',' ##   ##',' ##   ##','  ######','      ##','      ##'],
        'r':['        ','        ','        ',' ## ### ',' ###    ',' ##     ',' ##     ',' ##     ','        ','        '],'s':['        ','        ','        ','  ##### ',' ##     ','  ####  ','     ## ',' #####  ','        ','        '],
        't':['   ##   ','   ##   ','   ##   ',' ###### ','   ##   ','   ##   ','   ##   ','    ### ','        ','        '],'u':['        ','        ','        ',' ##   ##',' ##   ##',' ##   ##',' ##  ###','  ### ##','        ','        '],
        'v':['        ','        ','        ',' ### ## ','  ## #  ','  ## #  ','   ##   ','   ##   ','        ','        '],'w':['        ','        ','        ',' ##   ##',' ## # ##',' ## # ##',' ## # ##','  ## ## ','        ','        '],
        'x':['        ','        ','        ',' ##  ## ','  ####  ','   ##   ','  ####  ',' ##  ## ','        ','        '],'y':['        ','        ','        ',' ##  ## ',' ##  ## ',' ##  ## ',' ##  ## ','  ##### ','     ## ','  ####  '],
        'z':['        ','        ','        ',' ###### ','    ##  ','   ##   ','  ##    ',' ###### ','        ','        '],'|':['    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','    #   ','        '],
        '}':['   ##   ','    ##  ','    ##  ','    ##  ','     ## ','    ##  ','    ##  ','    ##  ','   ##   ','        '],'~':['        ','  ##   #',' #  #  #',' #   ## ','        ','        ','        ','        ','        ','        '],               
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_clb8x10.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the clb8x10 font"""
        print(banner_clb8x10.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: 5x7.flf ─────────────────────────────────────────────────────────────────────────────────────────────────────────────

####   ##   #  #  ###         ####  #  #  ####
#     #  #  ## #   #          #     #  #     #
###   #  #  ## #   #          ###    ##     #
#     #  #  # ##   #             #   ##     #
#     #  #  # ##   #          #  #  #  #   #
#      ##   #  #   #           ##   #  #   #

class banner_5x7():
    letters = { ##──── The figlet font 5x7.flf converted to a dict 
        ' ':['     ','     ','     ','     ','     ','     ','     '],'!':['  #  ','  #  ','  #  ','  #  ','     ','  #  ','     '],'"':[' # # ',' # # ',' # # ','     ','     ','     ','     '],
        '#':['     ',' # # ','#####',' # # ','#####',' # # ','     '],'$':['     ',' ### ','# #  ',' ### ','  # #',' ### ','     '],'%':['#    ','#  # ','  #  ',' #   ','#  # ','   # ','     '],
        '&':['     ',' #   ','# #  ',' #   ','# #  ',' # # ','     '],'´':[' ##  ',' #   ','#    ','     ','     ','     ','     '],'(':['  #  ',' #   ','##   ',' #   ',' #   ','  #  ','     '],
        ')':[' #   ','  #  ','  #  ','  #  ','  #  ',' #   ','     '],'*':['     ','# #  ',' #   ','###  ',' #   ','# #  ','     '],'+':['     ','  #  ','  #  ','#####','  #  ','  #  ','     '],
        ',':['     ','     ','     ','     ',' ##  ',' #   ','#    '],'-':['     ','     ','     ','#### ','     ','     ','     '],'.':['     ','     ','     ','     ',' ##  ',' ##  ','     '],
        '/':['     ','   # ','  #  ',' #   ','#    ','     ','     '],'0':[' #   ','# #  ','# #  ','# #  ','# #  ',' #   ','     '],'1':[' #   ','##   ',' #   ',' #   ',' #   ','###  ','     '],
        '2':[' ##  ','#  # ','   # ','  #  ',' #   ','#### ','     '],'3':['#### ','   # ',' ##  ','   # ','#  # ',' ##  ','     '],'4':['  #  ',' ##  ','# #  ','#### ','  #  ','  #  ','     '],
        '5':['#### ','#    ','###  ','   # ','#  # ',' ##  ','     '],'6':[' ##  ','#    ','###  ','#  # ','#  # ',' ##  ','     '],'7':['#### ','   # ','  #  ','  #  ',' #   ',' #   ','     '],
        '8':[' ##  ','#  # ',' ##  ','#  # ','#  # ',' ##  ','     '],'9':[' ##  ','#  # ','#  # ',' ### ','   # ',' ##  ','     '],':':['     ',' ##  ',' ##  ','     ',' ##  ',' ##  ','     '],
        ';':['     ',' ##  ',' ##  ','     ',' ##  ',' #   ','#    '],'<':['     ','  #  ',' #   ','#    ',' #   ','  #  ','     '],'=':['     ','     ','#### ','     ','#### ','     ','     '],
        '>':['     ','#    ',' #   ','  #  ',' #   ','#    ','     '],'?':[' #   ','# #  ','  #  ',' #   ','     ',' #   ','     '],'@':[' ##  ','#  # ','# ## ','# ## ','#    ',' ##  ','     '],
        'A':[' ##  ','#  # ','#  # ','#### ','#  # ','#  # ','     '],'B':['###  ','#  # ','###  ','#  # ','#  # ','###  ','     '],'C':[' ##  ','#  # ','#    ','#    ','#  # ',' ##  ','     '],
        'D':['###  ','#  # ','#  # ','#  # ','#  # ','###  ','     '],'E':['#### ','#    ','###  ','#    ','#    ','#### ','     '],'F':['#### ','#    ','###  ','#    ','#    ','#    ','     '],
        'G':[' ##  ','#  # ','#    ','# ## ','#  # ',' ### ','     '],'H':['#  # ','#  # ','#### ','#  # ','#  # ','#  # ','     '],'I':['###  ',' #   ',' #   ',' #   ',' #   ','###  ','     '],
        'J':['   # ','   # ','   # ','   # ','#  # ',' ##  ','     '],'K':['#  # ','# #  ','##   ','##   ','# #  ','#  # ','     '],'L':['#    ','#    ','#    ','#    ','#    ','#### ','     '],
        'M':['#  # ','#### ','#### ','#  # ','#  # ','#  # ','     '],'N':['#  # ','## # ','## # ','# ## ','# ## ','#  # ','     '],'O':[' ##  ','#  # ','#  # ','#  # ','#  # ',' ##  ','     '],
        'P':['###  ','#  # ','#  # ','###  ','#    ','#    ','     '],'Q':[' ##  ','#  # ','#  # ','#  # ','## # ',' ##  ','   # '],'R':['###  ','#  # ','#  # ','###  ','# #  ','#  # ','     '],
        'S':[' ##  ','#  # ',' #   ','  #  ','#  # ',' ##  ','     '],'T':['###  ',' #   ',' #   ',' #   ',' #   ',' #   ','     '],'U':['#  # ','#  # ','#  # ','#  # ','#  # ',' ##  ','     '],
        'V':['#  # ','#  # ','#  # ','#  # ',' ##  ',' ##  ','     '],'W':['#  # ','#  # ','#  # ','#### ','#### ','#  # ','     '],'X':['#  # ','#  # ',' ##  ',' ##  ','#  # ','#  # ','     '],
        'Y':['# #  ','# #  ','# #  ',' #   ',' #   ',' #   ','     '],'Z':['#### ','   # ','  #  ',' #   ','#    ','#### ','     '],'[':['###  ','#    ','#    ','#    ','#    ','###  ','     '],
       '\\':['     ','#    ',' #   ','  #  ','   # ','     ','     '],']':['###  ','  #  ','  #  ','  #  ','  #  ','###  ','     '],'^':[' #   ','# #  ','     ','     ','     ','     ','     '],
        '_':['     ','     ','     ','     ','     ','#### ','     '],'`':['##   ',' #   ','  #  ','     ','     ','     ','     '],'a':['     ','     ',' ### ','#  # ','# ## ',' # # ','     '],
        'b':['#    ','#    ','###  ','#  # ','#  # ','###  ','     '],'c':['     ','     ',' ##  ','#    ','#    ',' ##  ','     '],'d':['   # ','   # ',' ### ','#  # ','#  # ',' ### ','     '],
        'e':['     ','     ',' ##  ','# ## ','##   ',' ##  ','     '],'f':['  #  ',' # # ',' #   ','###  ',' #   ',' #   ','     '],'g':['     ','     ',' ### ','#  # ',' ##  ','#    ',' ### '],
        'h':['#    ','#    ','###  ','#  # ','#  # ','#  # ','     '],'i':[' #   ','     ','##   ',' #   ',' #   ','###  ','     '],'j':['  #  ','     ','  #  ','  #  ','  #  ','# #  ',' #   '],
        'k':['#    ','#    ','# #  ','##   ','# #  ','#  # ','     '],'l':['##   ',' #   ',' #   ',' #   ',' #   ','###  ','     '],'m':['     ','     ','# #  ','#### ','#  # ','#  # ','     '],
        'n':['     ','     ','###  ','#  # ','#  # ','#  # ','     '],'o':['     ','     ',' ##  ','#  # ','#  # ',' ##  ','     '],'p':['     ','     ','###  ','#  # ','#  # ','###  ','#    '],
        'q':['     ','     ',' ### ','#  # ','#  # ',' ### ','   # '],'r':['     ','     ','###  ','#  # ','#    ','#    ','     '],'s':['     ','     ','###  ','##    ',' ##  ','###   ','     '],
        't':[' #   ',' #   ','###  ',' #   ',' #   ','  ## ','     '],'u':['     ','     ','#  # ','#  # ','#  # ',' ### ','     '],'v':['     ','     ','# #  ','# #  ','# #  ',' #   ','     '],
        'w':['     ','     ','#  # ','#  # ','#### ','#### ','     '],'x':['     ','     ','#  # ',' ##  ',' ##  ','#  # ','     '],'y':['     ','     ','#  # ','#  # ',' # # ','  #  ',' #   '],
        'z':['     ','     ','#### ','  #  ',' #   ','#### ','     '],'|':[' #   ',' #   ',' #   ',' #   ',' #   ',' #   ','     '],'}':['#     ','#    ','##   ','#    ','#    ','#     ','     '],
        '~':[' # # ','# #  ','     ','     ','     ','     ','     ']
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_5x7.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the 5x7 font"""
        print(banner_5x7.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: 5x8.flf ─────────────────────────────────────────────────────────────────────────────────────────────────────────────

 ####   ##   #  # #####        ####  #  #   ##
 #     #  #  ## #   #          #     #  #  #  #
 ###   #  #  ####   #          ###    ##    ##
 #     #  #  # ##   #             #   ##   #  #
 #     #  #  # ##   #          #  #  #  #  #  #
 #      ##   #  #   #           ##   #  #   ##

class banner_5x8():
    letters = { ##──── The figlet font 5x8.flf converted to a dict 
        ' ':['     ','     ','     ','     ','     ','     ','     ','     ','     '],'!':['     ','     ','  #  ','  #  ','  #  ','  #  ','     ','  #  ','     '],
        '"':['     ','     ',' # # ',' # # ',' # # ','     ','     ','     ','     '],'#':['     ',' # # ',' # # ','#####',' # # ','#####',' # # ',' # # ','     '],
        '$':['     ','  #  ',' ### ','# #  ',' ### ','  # #',' ### ','  #  ','     '],'%':['     ','     ',' #   ',' # # ','  #  ',' # # ','   # ','     ','     '],
        '&':['     ','  #  ',' # # ',' # # ','  #  ',' # # ',' # # ','  # #','     '],'´':['     ','     ','  ## ','  #  ',' #   ','     ','     ','     ','     '],
        '(':['     ','   ##','  #  ','   # ',' ##  ','   # ','  #  ','   ##','     '],')':['     ','     ',' #   ','  #  ','  #  ','  #  ',' #   ','     ','     '],
        '*':['     ','     ',' #  #','  ## ',' ####','  ## ',' #  #','     ','     '],'+':['     ','     ','  #  ','  #  ','#####','  #  ','  #  ','     ','     '],
        ',':['     ','     ','     ','     ','     ','  ## ','  #  ',' #   ','     '],'-':['     ','     ','     ','     ','     ',' ####','     ','     ','     '],
        '.':['     ','     ','     ','     ','     ','  #  ',' ### ','  #  ','     '],'/':['     ','     ','    #','    #','   # ','  #  ',' #   ',' #   ','     '],
        '0':['     ','     ','  #  ',' # # ',' # # ',' # # ',' # # ','  #  ','     '],'1':['     ','     ','  #  ',' ##  ','  #  ','  #  ','  #  ',' ### ','     '],
        '2':['     ','     ','  ## ',' #  #','    #','  ## ',' #   ',' ####','     '],'3':['     ','     ','  ## ',' #  #','   # ','    #',' #  #','  ## ','     '],
        '4':['     ','     ','   # ','  ## ',' # # ',' ####','   # ','   # ','     '],'5':['     ','     ',' ####',' #   ',' ### ','    #',' #  #','  ## ','     '],
        '6':['     ','     ','  ## ',' #   ',' # # ',' ## #',' #  #','  ## ','     '],'7':['     ','     ',' ####','    #','   # ','   # ','  #  ','  #  ','     '],
        '8':['     ','     ','  ## ',' #  #','  ## ',' #  #',' #  #','  ## ','     '],'9':['     ','     ','  ## ',' #  #',' # ##','  # #','    #','  ## ','     '],
        ':':['     ','     ','  ## ','  ## ','     ','  ## ','  ## ','     ','     '],';':['     ','     ','  ## ','  ## ','     ','  ## ','  #  ',' #   ','     '],
        '<':['     ','     ','   # ','  #  ',' #   ',' #   ','  #  ','   # ','     '],'=':['     ','     ','     ',' ### ','     ',' ### ','     ','     ','     '],
        '>':['     ','     ',' #   ','  #  ','   # ','   # ','  #  ',' #   ','     '],'?':['     ','     ','  #  ',' # # ','   # ','  #  ','     ','  #  ','     '],
        '@':['     ','  ## ',' #  #','#  ##','# # #','# # #','#  # ',' #   ','  ## '],'A':['     ','     ','  ## ',' #  #',' #  #',' ####',' #  #',' #  #','     '],
        'B':['     ','     ',' ### ',' #  #',' ### ',' #  #',' #  #',' ### ','     '],'C':['     ','     ','  ## ',' #  #',' #   ',' #   ',' #  #','  ## ','     '],
        'D':['     ','     ',' ### ',' #  #',' #  #',' #  #',' #  #',' ### ','     '],'E':['     ','     ',' ####',' #   ',' ### ',' #   ',' #   ',' ####','     '],
        'F':['     ','     ',' ####',' #   ',' ### ',' #   ',' #   ',' #   ','     '],'G':['     ','     ','  ## ',' #  #',' #   ',' # ##',' #  #','  ## ','     '],
        'H':['     ','     ',' #  #',' #  #',' ####',' #  #',' #  #',' #  #','     '],'I':['     ','     ',' ### ','  #  ','  #  ','  #  ','  #  ',' ### ','     '],
        'J':['     ','     ','  ###','    #','    #','    #',' #  #','  ## ','     '],'K':['     ','     ',' #  #',' # # ',' ##  ',' # # ',' # # ',' #  #','     '],
        'L':['     ','     ',' #   ',' #   ',' #   ',' #   ',' #   ',' ### ','     '],'M':['     ','     ',' #  #',' ####',' ####',' #  #',' #  #',' #  #','     '],
        'N':['     ','     ',' #  #',' ## #',' ####',' # ##',' # ##',' #  #','     '],'O':['     ','     ','  ## ',' #  #',' #  #',' #  #',' #  #','  ## ','     '],
        'P':['     ','     ',' ### ',' #  #',' #  #',' ### ',' #   ',' #   ','     '],'Q':['     ','     ','  ## ',' #  #',' #  #',' ## #',' # ##','  ## ','    #'],
        'R':['     ','     ',' ### ',' #  #',' #  #',' ### ',' # ##',' #  #','     '],'S':['     ','     ','  ## ',' #  #','  #  ','   # ',' #  #','  ## ','     '],
        'T':['     ','     ','#####','  #  ','  #  ','  #  ','  #  ','  #  ','     '],'U':['     ','     ',' #  #',' #  #',' #  #',' #  #',' #  #','  ## ','     '],
        'V':['     ','     ',' #  #',' #  #',' #  #',' #  #','  ## ','  ## ','     '],'W':['     ','     ',' #  #',' #  #',' #  #',' ####',' ####',' #  #','     '],
        'X':['     ','     ',' #  #',' #  #','  ## ','  ## ',' #  #',' #  #','     '],'Y':['     ','     ','#   #','#   #',' # # ','  #  ','  #  ','  #  ','     '],
        'Z':['     ','     ',' ####','    #','   # ','  #  ',' #   ',' ####','     '],'[':['     ','     ',' ### ',' #   ',' #   ',' #   ',' #   ',' ### ','     '],
       '\\':['     ','     ',' #   ',' #   ','  #  ','   # ','    #','    #','     '],']':['     ','     ',' ### ','   # ','   # ','   # ','   # ',' ### ','     '],
        '^':['     ','     ','  #  ',' # # ',' # # ','     ','     ','     ','     '],'_':['     ','     ','     ','     ','     ','     ','     ','     ',' ####'],
        '`':['     ','     ',' ##  ',' #   ','  #  ','     ','     ','     ','     '],'a':['     ','     ','     ','     ','  # #',' # ##',' # ##','  # #','     '],
        'b':['     ','     ',' #   ',' #   ',' ### ',' #  #',' #  #',' ### ','     '],'c':['     ','     ','     ','     ','  ## ',' #   ',' #   ','  ## ','     '],
        'd':['     ','     ','    #','    #','  # #',' # ##',' # ##','  # #','     '],'e':['     ','     ','     ','     ','  ## ',' ####',' #   ','  ## ','     '],
        'f':['     ','     ','   # ','  # #','  #  ',' ### ','  #  ','  #  ','     '],'g':['     ','     ','     ','     ','  ## ',' #  #','  ###','    #','  ## '],
        'h':['     ','     ',' #   ',' #   ',' ### ',' #  #',' #  #',' #  #','     '],'i':['     ','     ','  #  ','     ',' ##  ','  #  ','  #  ',' ### ','     '],
        'j':['     ','     ','   # ','     ','   # ','   # ','   # ',' # # ','  #  '],'k':['     ','     ',' #   ',' #   ',' #  #',' ### ',' #  #',' #  #','     '],
        'l':['     ','     ',' ##  ','  #  ','  #  ','  #  ','  #  ',' ### ','     '],'m':['     ','     ','     ','     ',' # # ','# # #','# # #','#   #','     '],
        'n':['     ','     ','     ','     ',' ### ',' #  #',' #  #',' #  #','     '],'o':['     ','     ','     ','     ','  ## ',' #  #',' #  #','  ## ','     '],
        'p':['     ','     ','     ','     ',' ### ',' #  #',' ### ',' #   ',' #   '],'q':['     ','     ','     ','     ','  ###',' #  #','  ###','    #','    #'],
        'r':['     ','     ','     ','     ',' # # ',' ## #',' #   ',' #   ','     '],'s':['     ','     ','     ','     ',' ### ',' ##  ','   # ',' ### ','     '],
        't':['     ','     ','  #  ','  #  ',' ### ','  #  ','  # #','   # ','     '],'u':['     ','     ','     ','     ',' #  #',' #  #',' #  #','  ###','     '],
        'v':['     ','     ','     ','     ',' # # ',' # # ',' # # ','  #  ','     '],'w':['     ','     ','     ','     ','#   #','# # #','# # #',' ### ','     '],
        'x':['     ','     ','     ','     ',' #  #','  ## ','  ## ',' #  #','     '],'y':['     ','     ','     ','     ',' #  #',' #  #','  ###',' #  #','  ## '],
        'z':['     ','     ','     ','     ',' ####','   # ','  #  ',' ####','     '],'|':['     ','     ','  #  ','  #  ','  #  ','  #  ','  #  ','  #  ','     '],
        '}':['     ',' ##  ','   # ','  #  ','   ##','  #  ','   # ',' ##  ','     '],'~':['     ','     ','  # #',' # # ','     ','     ','     ','     ','     '],               
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_5x8.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the 5x8 font"""
        print(banner_5x8.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: 6x9.flf ─────────────────────────────────────────────────────────────────────────────────────────────────────────────

 ####    ##    #  #   #####          ##    #   #   ##
 #      #  #   ## #     #           #       # #   #  #
 ###    #  #   # ##     #           # #      #    # ##
 #      #  #   #  #     #           ## #    # #    # #
 #      #  #   #  #     #           #  #    # #      #
 #       ##    #  #     #            ##    #   #   ##

class banner_6x9():
    letters = { ##──── The figlet font 6x9.flf converted to a dict 
        ' ':['      ','      ','      ','      ','      ','      ','      ','      ','      '],'!':['      ','   #  ','   #  ','   #  ','   #  ','      ','   #  ','      ','      '],
        '"':['      ','  # # ','  # # ','  # # ','      ','      ','      ','      ','      '],'#':['      ','  # # ','  # # ',' #####','  # # ',' #####','  # # ','  # # ','      '],
        '$':['   #  ','  ### ',' # # #',' # #  ','  ### ','   # #',' # # #','  ### ','   #  '],'%':[' #    ','# # # ',' #  # ','   #  ','  #   ',' #  # ',' # # #','    # ','      '],
        '&':['      ','  ##  ',' #  # ',' #  # ','  ##  ',' #  ##',' #  # ','  ## #','      '],'´':['      ','  ##  ','   #  ','   #  ','  #   ','      ','      ','      ','      '],
        '(':['   #  ','  #   ','  #   ',' ##   ','  #   ','  #   ','   #  ','      ','      '],')':['      ','  #   ','   #  ','   #  ','   #  ','   #  ','   #  ','  #   ','      '],
        '*':['      ','      ',' #   #','  # # ',' #####','  # # ',' #   #','      ','      '],'+':['      ','      ','   #  ','   #  ',' #####','   #  ','   #  ','      ','      '],
        ',':['      ','      ','      ','      ','      ','  ##  ','   #  ','   #  ','  #   '],'-':['      ','      ','      ','      ',' #####','      ','      ','      ','      '],
        '.':['      ','      ','      ','      ','      ','  ##  ','  ##  ','      ','      '],'/':['      ','    # ','    # ','   #  ','  #   ',' #    ',' #    ','      ','      '],
        '0':['      ','  ##  ',' #  # ',' # ## ',' ## # ',' #  # ','  ##  ','      ','      '],'1':['      ','  #   ',' ##   ','  #   ','  #   ','  #   ',' ###  ','      ','      '],
        '2':['      ','  ##  ',' #  # ','    # ','  ##  ',' #    ',' #### ','      ','      '],'3':['      ',' #### ','    # ','  ### ','    # ','    # ',' #### ','      ','      '],
        '4':['      ','   ## ','  # # ',' #  # ',' #####','    # ','    # ','      ','      '],'5':['      ',' #### ',' #    ',' # #  ',' ## # ','    # ',' #### ','      ','      '],
        '6':['      ','  ##  ',' #    ',' # #  ',' ## # ',' #  # ','  ##  ','      ','      '],'7':['      ',' #### ',' #  # ','    # ','   ## ','  ##  ','  #   ','      ','      '],
        '8':['      ','  ##  ',' #  # ','  ##  ',' #  # ',' #  # ','  ##  ','      ','      '],'9':['      ','  ##  ',' #  # ',' # ## ','  # # ','    # ','  ##  ','      ','      '],
        ':':['      ','      ','  ##  ','  ##  ','      ','  ##  ','  ##  ','      ','      '],';':['      ','      ','  ##  ','  ##  ','      ','  ##  ','   #  ','   #  ','  #   '],
        '<':['      ','      ','    ##','  ##  ',' #    ','  ##  ','    ##','      ','      '],'=':['      ','      ','      ',' #####','      ',' #####','      ','      ','      '],
        '>':['      ','      ',' ##   ','   ## ','     #','   ## ',' ##   ','      ','      '],'?':['  ##  ',' #  # ','    # ','  ##  ','  #   ','      ','  #   ','      ','      '],
        '@':['      ','  ### ',' #  # ',' # # #',' # ## ',' #    ','  ### ','      ','      '],'A':['      ','   #  ','  # # ',' #   #',' #####',' #   #',' #   #','      ','      '],
        'B':['      ',' #### ',' #   #',' #### ',' #   #',' #   #',' #### ','      ','      '],'C':['      ','  ##  ',' #  # ',' #    ',' #    ',' #  # ','  ##  ','      ','      '],
        'D':['      ',' ###  ',' #  # ',' #  # ',' #  # ',' #  # ',' ###  ','      ','      '],'E':['      ',' #### ',' #    ',' ###  ',' #    ',' #    ',' #### ','      ','      '],
        'F':['      ',' #### ',' #    ',' ###  ',' #    ',' #    ',' #    ','      ','      '],'G':['      ','  ##  ',' #  # ',' #    ',' # ## ',' #  # ','  ##  ','      ','      '],
        'H':['      ',' #  # ',' #  # ',' #### ',' #  # ',' #  # ',' #  # ','      ','      '],'I':['      ',' ###  ','  #   ','  #   ','  #   ','  #   ',' ###  ','      ','      '],
        'J':['      ','  ### ','    # ','    # ','    # ',' #  # ','  ### ','      ','      '],'K':['      ',' #  # ',' # #  ',' ##   ',' # #  ',' #  # ',' #  # ','      ','      '],
        'L':['      ',' #    ',' #    ',' #    ',' #    ',' #    ',' #### ','      ','      '],'M':['      ',' #   #',' ## ##',' # # #',' # # #',' #   #',' #   #','      ','      '],
        'N':['      ',' #  # ',' ## # ',' # ## ',' #  # ',' #  # ',' #  # ','      ','      '],'O':['      ','  ##  ',' #  # ',' #  # ',' #  # ',' #  # ','  ##  ','      ','      '],
        'P':['      ',' ###  ',' #  # ',' #  # ',' ###  ',' #    ',' #    ','      ','      '],'Q':['      ','  ##  ',' #  # ',' #  # ',' ## # ',' # ## ','  ##  ','    # ','      '],
        'R':['      ',' ###  ',' #  # ',' #  # ',' ###  ',' #  # ',' #  # ','      ','      '],'S':['      ','  ##  ',' #  # ','  #   ','   #  ',' #  # ','  ##  ','      ','      '],
        'T':['      ',' #####','   #  ','   #  ','   #  ','   #  ','   #  ','      ','      '],'U':['      ',' #  # ',' #  # ',' #  # ',' #  # ',' #  # ','  ##  ','      ','      '],
        'V':['      ',' #  # ',' #  # ',' #  # ',' #### ','  ##  ','  ##  ','      ','      '],'W':['      ',' #   #',' #   #',' # # #',' # # #',' ## ##',' #   #','      ','      '],
        'X':['      ',' #   #','  # # ','   #  ','  # # ','  # # ',' #   #','      ','      '],'Y':['      ',' #   #',' #   #','  # # ','   #  ','   #  ','   #  ','      ','      '],
        'Z':['      ',' #### ','    # ','   #  ','  #   ',' #    ',' #### ','      ','      '],'[':['      ',' ###  ',' #    ',' #    ',' #    ',' #    ',' ###  ','      ','      '],
       '\\':['      ',' #    ',' #    ','  #   ','   #  ','    # ','    # ','      ','      '],']':['      ',' ###  ','   #  ','   #  ','   #  ','   #  ',' ###  ','      ','      '],
        '^':['      ','   #  ','  # # ',' #   #','      ','      ','      ','      ','      '],'_':['      ','      ','      ','      ','      ','      ','      ','      ',' #####'],
        '`':['      ','  ##  ','  #   ','  #   ','   #  ','      ','      ','      ','      '],'a':['      ','      ','      ','  ### ',' #  # ',' #  # ','  ####','      ','      '],
        'b':[' #    ',' #    ',' #    ',' ###  ',' #  # ',' #  # ',' ###  ','      ','      '],'c':['      ','      ','      ','  ### ',' #    ',' #    ','  ### ','      ','      '],
        'd':['    # ','    # ','    # ','  ### ',' #  # ',' #  # ','  ### ','      ','      '],'e':['      ','      ','      ','  ##  ',' # ## ',' ##   ','  ### ','      ','      '],
        'f':['   #  ','  ### ','  #   ',' ###  ','  #   ','  #   ','  #   ','      ','      '],'g':['      ','      ','      ','  ##  ',' #  # ',' # ## ','  # # ','    # ','  ##  '],
        'h':[' #    ',' #    ',' #    ',' # #  ',' ## # ',' #  # ',' #  # ','      ','      '],'i':['      ','   #  ','      ','  ##  ','   #  ','   #  ','  ### ','      ','      '],
        'j':['      ','   #  ','      ','  ##  ','   #  ','   #  ','   #  ',' ###  ','  #   '],'k':[' #    ',' #    ',' #  # ',' # #  ',' ###  ',' #  # ',' #  # ','      ','      '],
        'l':['      ','  ##  ','   #  ','   #  ','   #  ','   #  ','  ### ','      ','      '],'m':['      ','      ','      ',' ## # ',' # # #',' # # #',' #   #','      ','      '],
        'n':['      ','      ','      ',' ###  ',' #  # ',' #  # ',' #  # ','      ','      '],'o':['      ','      ','      ','  ##  ',' #  # ',' #  # ','  ##  ','      ','      '],
        'p':['      ','      ','      ',' ###  ',' #  # ',' #  # ',' ###  ',' #    ',' #    '],'q':['      ','      ','      ','  ### ',' #  # ',' #  # ','  ### ','    # ','    # '],
        'r':['      ','      ','      ',' # #  ',' ## # ',' #    ',' #    ','      ','      '],'s':['      ','      ','      ',' #### ',' ##   ','   ## ',' #### ','      ','      '],
        't':['  #   ','  #   ',' ###  ','  #   ','  # # ','  # # ','   #  ','      ','      '],'u':['      ','      ','      ',' #  # ',' #  # ',' #  # ','  ### ','      ','      '],
        'v':['      ','      ','      ',' #  # ',' #  # ','  ##  ','  ##  ','      ','      '],'w':['      ','      ','      ',' #   #',' # # #',' # # #','  # # ','      ','      '],
        'x':['      ','      ','      ',' #  # ','  ##  ','  ##  ',' #  # ','      ','      '],'y':['      ','      ','      ',' #  # ',' #  # ',' ## # ','   ## ',' #  # ','  ##  '],
        'z':['      ','      ','      ',' #### ','   ## ',' ##   ',' #### ','      ','      '],'|':['      ','  #   ','  #   ','  #   ','      ','  #   ','  #   ','  #   ','      '],
        '}':[' #    ','  #   ','  #   ','  ##  ','  #   ','  #   ',' #    ','      ','      '],'~':['      ','      ','  # # ',' # #  ','      ','      ','      ','      ','      '],               
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_6x9.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the 6x9 font"""
        print(banner_6x9.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

##──── Font: 6x10.flf ────────────────────────────────────────────────────────────────────────────────────────────────────────────

 #####   ###   #   #  #####           ##   #   #    #      #
 #      #   #  #   #    #            #     #   #   ##     # #
 #      #   #  ##  #    #           #       # #   # #    #   #
 ####   #   #  # # #    #           # ##     #      #    #   #
 #      #   #  #  ##    #           ##  #   # #     #    #   #
 #      #   #  #   #    #           #   #  #   #    #     # #
 #       ###   #   #    #            ###   #   #  #####    #

class banner_6x10():
    letters = { ##──── The figlet font 6x10.flf converted to a dict 
        ' ':['      ','      ','      ','      ','      ','      ','      ','      ','      ','      '],'!':['      ','   #  ','   #  ','   #  ','   #  ','   #  ','      ','   #  ','      ','      '],
        '"':['      ','  # # ','  # # ','  # # ','      ','      ','      ','      ','      ','      '],'#':['      ','  # # ','  # # ',' #####','  # # ',' #####','  # # ','  # # ','      ','      '],
        '$':['      ','   #  ','  ### ',' # #  ','  ### ','   # #','  ### ','   #  ','      ','      '],'%':['      ','  #  #',' # # #','  # # ','   #  ','  # # ',' # # #',' #  # ','      ','      '],
        '&':['      ','  #   ',' # #  ',' # #  ','  #   ',' # # #',' #  # ','  ## #','      ','      '],'´':['      ','   ## ','   #  ','  #   ','      ','      ','      ','      ','      ','      '],
        '(':['      ','    ##','   #  ','    # ','  ##  ','    # ','   #  ','    ##','      ','      '],')':['      ','  #   ','   #  ','    # ','    # ','    # ','   #  ','  #   ','      ','      '],
        '*':['      ','      ',' #   #','  # # ',' #####','  # # ',' #   #','      ','      ','      '],'+':['      ','      ','   #  ','   #  ',' #####','   #  ','   #  ','      ','      ','      '],
        ',':['      ','      ','      ','      ','      ','      ','   ## ','   #  ','  #   ','      '],'-':['      ','      ','      ','      ',' #####','      ','      ','      ','      ','      '],
        '.':['      ','      ','      ','      ','      ','      ','   #  ','  ### ','   #  ','      '],'/':['      ','     #','     #','    # ','   #  ','  #   ',' #    ',' #    ','      ','      '],
        '0':['      ','   #  ','  # # ',' #   #',' #   #',' #   #','  # # ','   #  ','      ','      '],'1':['      ','   #  ','  ##  ',' # #  ','   #  ','   #  ','   #  ',' #####','      ','      '],
        '2':['      ','  ### ',' #   #','     #','   ## ','  #   ',' #    ',' #####','      ','      '],'3':['      ',' #####','     #','    # ','   ## ','     #',' #   #','  ### ','      ','      '],
        '4':['      ','    # ','   ## ','  # # ',' #  # ',' #####','    # ','    # ','      ','      '],'5':['      ',' #####',' #    ',' # ## ',' ##  #','     #',' #   #','  ### ','      ','      '],
        '6':['      ','   ## ','  #   ',' #    ',' # ## ',' ##  #',' #   #','  ### ','      ','      '],'7':['      ',' #####','     #','    # ','    # ','   #  ','  #   ','  #   ','      ','      '],
        '8':['      ','  ### ',' #   #',' #   #','  ### ',' #   #',' #   #','  ### ','      ','      '],'9':['      ','  ### ',' #   #',' #  ##','  ## #','     #','    # ','  ##  ','      ','      '],
        ':':['      ','      ','   #  ','  ### ','   #  ','      ','   #  ','  ### ','   #  ','      '],';':['      ','      ','   #  ','  ### ','   #  ','      ','   ## ','   #  ','  #   ','      '],
        '<':['      ','     #','    # ','   #  ','  #   ','   #  ','    # ','     #','      ','      '],'=':['      ','      ','      ',' #####','      ',' #####','      ','      ','      ','      '],
        '>':['      ',' #    ','  #   ','   #  ','    # ','   #  ','  #   ',' #    ','      ','      '],'?':['      ','  ### ',' #   #','    # ','   #  ','   #  ','      ','   #  ','      ','      '],
        '@':['      ','  ### ',' #   #',' #  ##',' # # #',' # ## ',' #    ','  ### ','      ','      '],'A':['      ','   #  ','  # # ',' #   #',' #   #',' #####',' #   #',' #   #','      ','      '],
        'B':['      ',' #### ','  #  #','  #  #','  ### ','  #  #','  #  #',' #### ','      ','      '],'C':['      ','  ### ',' #   #',' #    ',' #    ',' #    ',' #   #','  ### ','      ','      '],
        'D':['      ',' #### ','  #  #','  #  #','  #  #','  #  #','  #  #',' #### ','      ','      '],'E':['      ',' #####',' #    ',' #    ',' #### ',' #    ',' #    ',' #####','      ','      '],
        'F':['      ',' #####',' #    ',' #    ',' #### ',' #    ',' #    ',' #    ','      ','      '],'G':['      ','  ### ',' #   #',' #    ',' #    ',' #  ##',' #   #','  ### ','      ','      '],
        'H':['      ',' #   #',' #   #',' #   #',' #####',' #   #',' #   #',' #   #','      ','      '],'I':['      ','  ### ','   #  ','   #  ','   #  ','   #  ','   #  ','  ### ','      ','      '],
        'J':['      ','   ###','     #','     #','     #','     #',' #   #','  ### ','      ','      '],'K':['      ',' #   #',' #  # ',' # #  ',' ##   ',' # #  ',' #  # ',' #   #','      ','      '],
        'L':['      ',' #    ',' #    ',' #    ',' #    ',' #    ',' #    ',' #####','      ','      '],'M':['      ',' #   #',' #   #',' ## ##',' # # #',' #   #',' #   #',' #   #','      ','      '],
        'N':['      ',' #   #',' #   #',' ##  #',' # # #',' #  ##',' #   #',' #   #','      ','      '],'O':['      ','  ### ',' #   #',' #   #',' #   #',' #   #',' #   #','  ### ','      ','      '],
        'P':['      ',' #### ',' #   #',' #   #',' #### ',' #    ',' #    ',' #    ','      ','      '],'Q':['      ','  ### ',' #   #',' #   #',' #   #',' #   #',' # # #','  ### ','     #','      '],
        'R':['      ',' #### ',' #   #',' #   #',' #### ',' # #  ',' #  # ',' #   #','      ','      '],'S':['      ','  ### ',' #   #',' #    ','  ### ','     #',' #   #','  ### ','      ','      '],
        'T':['      ',' #####','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','      ','      '],'U':['      ',' #   #',' #   #',' #   #',' #   #',' #   #',' #   #','  ### ','      ','      '],
        'V':['      ',' #   #',' #   #',' #   #','  # # ','  # # ','  # # ','   #  ','      ','      '],'W':['      ',' #   #',' #   #',' #   #',' # # #',' # # #',' ## ##',' #   #','      ','      '],
        'X':['      ',' #   #',' #   #','  # # ','   #  ','  # # ',' #   #',' #   #','      ','      '],'Y':['      ',' #   #',' #   #','  # # ','   #  ','   #  ','   #  ','   #  ','      ','      '],
        'Z':['      ',' #####','     #','    # ','   #  ','  #   ',' #    ',' #####','      ','      '],'[':['      ','  ### ','  #   ','  #   ','  #   ','  #   ','  #   ','  ### ','      ','      '],
       '\\':['      ',' #    ',' #    ','  #   ','   #  ','    # ','     #','     #','      ','      '],']':['      ','  ### ','    # ','    # ','    # ','    # ','    # ','  ### ','      ','      '],
        '^':['      ','   #  ','  # # ',' #   #','      ','      ','      ','      ','      ','      '],'_':['      ','      ','      ','      ','      ','      ','      ','      ',' #####','      '],
        '`':['      ','  ##  ','   #  ','    # ','      ','      ','      ','      ','      ','      '],'a':['      ','      ','      ','  ### ','     #','  ####',' #   #','  ####','      ','      '],
        'b':['      ',' #    ',' #    ',' # ## ',' ##  #',' #   #',' ##  #',' # ## ','      ','      '],'c':['      ','      ','      ','  ### ',' #   #',' #    ',' #   #','  ### ','      ','      '],
        'd':['      ','     #','     #','  ## #',' #  ##',' #   #',' #  ##','  ## #','      ','      '],'e':['      ','      ','      ','  ### ',' #   #',' #####',' #    ','  ### ','      ','      '],
        'f':['      ','   ## ','  #  #','  #   ',' #### ','  #   ','  #   ','  #   ','      ','      '],'g':['      ','      ','      ','  ## #',' #  # ','  ##  ',' #    ','  ### ',' #   #','  ### '],
        'h':['      ',' #    ',' #    ',' # ## ',' ##  #',' #   #',' #   #',' #   #','      ','      '],'i':['      ','   #  ','      ','  ##  ','   #  ','   #  ','   #  ','  ### ','      ','      '],
        'j':['      ','    # ','      ','   ## ','    # ','    # ','    # ',' #  # ',' #  # ','  ##  '],'k':['      ',' #    ',' #    ',' #   #',' #  # ',' ###  ',' #  # ',' #   #','      ','      '],
        'l':['      ','  ##  ','   #  ','   #  ','   #  ','   #  ','   #  ','  ### ','      ','      '],'m':['      ','      ','      ',' ## # ',' # # #',' # # #',' # # #',' #   #','      ','      '],
        'n':['      ','      ','      ',' # ## ',' ##  #',' #   #',' #   #',' #   #','      ','      '],'o':['      ','      ','      ','  ### ',' #   #',' #   #',' #   #','  ### ','      ','      '],
        'p':['      ','      ','      ',' # ## ',' ##  #',' ##  #',' # ## ',' #    ',' #    ',' #    '],'q':['      ','      ','      ','  ## #',' #  ##',' #  ##','  ## #','     #','     #','     #'],
        'r':['      ','      ','      ',' # ## ',' ##  #',' #    ',' #    ',' #    ','      ','      '],'s':['      ','      ','      ','  ### ',' #    ','  ### ','     #',' #### ','      ','      '],
        't':['      ','  #   ','  #   ',' #### ','  #   ','  #   ','  #  #','   ## ','      ','      '],'u':['      ','      ','      ',' #   #',' #   #',' #   #',' #  ##','  ## #','      ','      '],
        'v':['      ','      ','      ',' #   #',' #   #','  # # ','  # # ','   #  ','      ','      '],'w':['      ','      ','      ',' #   #',' #   #',' # # #',' # # #','  # # ','      ','      '],
        'x':['      ','      ','      ',' #   #','  # # ','   #  ','  # # ',' #   #','      ','      '],'y':['      ','      ','      ',' #   #',' #   #',' #  ##','  ## #','     #',' #   #','  ### '],
        'z':['      ','      ','      ',' #####','    # ','   #  ','  #   ',' #####','      ','      '],'|':['      ','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','   #  ','      ','      '],
        '}':['      ',' ##   ','   #  ','  #   ','   ## ','  #   ','   #  ',' ##   ','      ','      '],'~':['      ','  #  #',' # # #',' #  # ','      ','      ','      ','      ','      ','      '],               
    }
    def get_banner(word,spacing:int=0,char:str='#'):
        """Returns the banner as text without print it"""
        font = banner_6x10.letters
        text = ""
        for row in range(len(list(font.values())[0])):
            for c in word:
                text += font.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip().replace("#",char)
    def print(word,spacing:int=0,char:str='#'):
        """Prints the given text using the 6x10 font"""
        print(banner_6x10.get_banner(word,spacing,char))
##────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────
